; Super Fighter Team

;=========================================================================
; S. Weak Punch
;=========================================================================
[Statedef 200]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 200, Change Animation]
type = changeanim
trigger1 = !time
value = 200

[state 200, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 200, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F2, 0
volumescale = 100
channel = 1
persistent = 0

[state 200, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 200
[state 200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 200)
attr = S, NA
damage = ceil(cond(6 * fvar(23) < 2, 2, 6 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 2 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -40)
animtype = light
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 10
guard.slidetime = 6
guard.hittime = 10
air.hittime = 3
ground.velocity = -7.5
guard.velocity = -7.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 200, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Medium Punch
;=========================================================================
[Statedef 205]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 205, Set Position]
type = posset
trigger1 = !time
y = 0

[state 205, Change Animation]
type = changeanim
trigger1 = !time
value = 205

[state 205, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 0

[state 205, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F2, 0
volumescale = 100
channel = 1
persistent = 0

[state 205, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(3)
trigger2 = !animelemtime(7) || !animelemtime(8)
x = 8.0 + -16.0 * (animelemtime(7) >= 0)

[state 205, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 205
[state 205, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 205)
attr = S, NA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -60)
animtype = light
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 5
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 8.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(9 - 1 * var(13) < 1, 1, 9 - 1 * var(13)), 4
givepower = 2 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 205, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 205, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 205, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Strong Punch
;=========================================================================
[Statedef 210]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 210, Set Position]
type = posset
trigger1 = !time
y = 0

[state 210, Change Animation]
type = changeanim
trigger1 = !time
value = 210

[state 210, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 210, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 210, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 210
[state 210, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 210)
attr = S, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -64)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 10
ground.hittime = 18
guard.slidetime = 10
guard.hittime = 16
air.hittime = 7
ground.velocity = -7.5
guard.velocity = -7.5
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 10.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 210, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 210, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 210, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Distinct Punch
;=========================================================================
[Statedef 215]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 215, Set Position]
type = posset
trigger1 = !time
y = 0

[state 215, Change Animation]
type = changeanim
trigger1 = !time
value = 215

[state 215, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 215, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 215, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(8)
x = 8.0 - 16.0 * !animelemtime(8)

[state 215, Add Position]
type = posadd
trigger1 = !animelemtime(3) || !animelemtime(4)
trigger2 = !animelemtime(6) || !animelemtime(7)
x = 4.0 - 8.0 * (animelemtime(6) >= 0)

[state 215, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 215
[state 215, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 215)
attr = S, NA
damage = ceil(cond(36 * fvar(23) < 2, 2, 36 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 54), (var(42) := -66)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 9
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 4
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 215, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 215, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 215, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Weak Kick
;=========================================================================
[Statedef 230]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 230, Set Position]
type = posset
trigger1 = !time
y = 0

[state 230, Change Animation]
type = changeanim
trigger1 = !time
value = 230

[state 230, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 230, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F2, 1
volumescale = 100
channel = 1
persistent = 0

[state 230, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 230
[state 230, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 230)
attr = S, NA
damage = ceil(cond(6 * fvar(23) < 2, 2, 6 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 2 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -62)
animtype = light
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 10
guard.slidetime = 6
guard.hittime = 10
air.hittime = 3
ground.velocity = -7.5
guard.velocity = -7.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 230, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 230, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 230, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Medium Kick
;=========================================================================
[Statedef 235]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 235, Set Position]
type = posset
trigger1 = !time
y = 0

[state 235, Change Animation]
type = changeanim
trigger1 = !time
value = 235

[state 235, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 0

[state 235, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 1
volumescale = 100
channel = 1
persistent = 0

[state 235, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(4)
trigger2 = !animelemtime(6) || !animelemtime(8)
x = 8.0 + -16.0 * (animelemtime(6) >= 0)

[state 235, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 235
[state 235, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 235)
attr = S, NA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -28)
animtype = light
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 5
ground.velocity = -8.0
guard.velocity = -8.0
air.velocity = -4.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 8.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(9 - 1 * var(13) < 1, 1, 9 - 1 * var(13)), 4
givepower = 2 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 235, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 235, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 235, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; S. Strong Kick
;=========================================================================
[Statedef 240]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 240, Set Position]
type = posset
trigger1 = !time
y = 0

[state 240, Change Animation]
type = changeanim
trigger1 = !time
value = 240

[state 240, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 240, Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(6)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 240, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(3)
trigger2 = !animelemtime(8) || !animelemtime(9)
x = 16.0 * !animelemtime(2) + 12.0 * !animelemtime(3) - 12.0 * !animelemtime(8) - 16.0 * !animelemtime(9)

[state 240, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 1 || var(15) := 5 || var(21) := 240
[state 240, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 240)
attr = S, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 62), (var(42) := -68)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 10
ground.hittime = 18
guard.slidetime = 10
guard.hittime = 16
air.hittime = 7
ground.velocity = -6.5
guard.velocity = -6.5
air.velocity = -1.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 10.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 240, Juggle Points 2]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 241
[state 240, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 241)
attr = S, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 62), (var(42) := -68)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 10
ground.hittime = 18
guard.slidetime = 10
guard.hittime = 16
air.hittime = 7
ground.velocity = -7.5
guard.velocity = -7.5
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 10.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 240, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 240, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 240, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; C. Weak Punch
;=========================================================================
[Statedef 400]
type = C
movetype = A
physics = C
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 400, Change Animation]
type = changeanim
trigger1 = !time
value = 400

[state 400, Add Power]
type = poweradd
trigger1 = !animelemtime(2)
value = 0

[state 400, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F2, 0
volumescale = 100
channel = 1
persistent = 0

[state 400, Juggle Points 1]
type = null
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 400
[state 400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
ID = 0 + 0 * (var(21) := 400)
attr = C, NA
damage = ceil(cond(6 * fvar(23) < 2, 2, 6 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 2 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 70), (var(42) := -12)
animtype = light
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 10
guard.slidetime = 6
guard.hittime = 10
air.hittime = 3
ground.velocity = -7.0
guard.velocity = -7.0
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 400, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 400, End State]
type = changestate
trigger1 = !animtime
value = 11
ctrl = 1

;=========================================================================
; C. Strong Punch
;=========================================================================
[Statedef 410]
type = C
movetype = A
physics = C
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 410, Set Position]
type = posset
trigger1 = !time
y = 0

[state 410, Change Animation]
type = changeanim
trigger1 = !time
value = 410

[state 410, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 410, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 410, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(3)
trigger2 = !animelemtime(6) || !animelemtime(7)
x = 16.0 + -32.0 * (animelemtime(6) >= 0)

[state 410, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 410
[state 410, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 410)
attr = C, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 76), (var(42) := -20)
animtype = hard
ground.type = trip
air.animtype = back
air.type = trip
ground.slidetime = 10
ground.hittime = 18
guard.slidetime = 10
guard.hittime = 16
air.hittime = 0
ground.velocity = -6.0, -2.0
guard.velocity = -10.0
air.velocity = -6.0, -2.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 10.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 410, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 410, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 410, End State]
type = changestate
trigger1 = !animtime
value = 11
ctrl = 1

;=========================================================================
; C. Medium Kick
;=========================================================================
[Statedef 430]
type = C
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 430, Set Position]
type = posset
trigger1 = !time
y = 0

[state 430, Change Animation]
type = changeanim
trigger1 = !time
value = 430

[state 430, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 430, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F2, 1
volumescale = 100
channel = 1
persistent = 0

[state 430, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 430
[state 430, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 430)
attr = C, NA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 82), (var(42) := -36)
animtype = light
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 5
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 8.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(9 - 1 * var(13) < 1, 1, 9 - 1 * var(13)), 4
givepower = 2 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 430, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 430, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 430, End State]
type = changestate
trigger1 = !animtime
value = 11
ctrl = 1

;=========================================================================
; C. Strong Kick
;=========================================================================
[Statedef 440]
type = C
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 440, Set Position]
type = posset
trigger1 = !time
y = 0

[state 440, Change Animation]
type = changeanim
trigger1 = !time
value = 440

[state 440, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 440, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 440, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(8)
x = 8.0 - 16.0 * !animelemtime(8)
[state 440, Add Position]
type = posadd
trigger1 = !animelemtime(3) || !animelemtime(7)
x = 16.0 - 32.0 * !animelemtime(7)
[state 440, Add Position]
type = posadd
trigger1 = !animelemtime(4) || !animelemtime(6)
x = 13.0 - 26.0 * !animelemtime(6)

[state 440, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 440
[state 440, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 440)
attr = C, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 76), (var(42) := -60)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 10
ground.hittime = 18
guard.slidetime = 10
guard.hittime = 16
air.hittime = 7
ground.velocity = -8.0
guard.velocity = -8.0
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 10.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 440, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 440, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 440, End State]
type = changestate
trigger1 = !animtime
value = 11
ctrl = 1

;=========================================================================
; A. Medium Punch
;=========================================================================
[Statedef 600]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 0
velset = vel x, vel y
sprpriority = 1

[state 600, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 600, Change Animation]
type = changeanim
trigger1 = !time
value = 600

[state 600, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 600, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F2, 0
volumescale = 100
channel = 1
persistent = 0

[state 600, Levitation Physics]
type = velmul
trigger1 = fvar(29)
x = 0.9
y = 0.9

[state 600, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 600, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 600, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 600
[state 600, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 600)
attr = A, NA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = HA
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 48), (var(42) := -64)
animtype = light
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 13
guard.slidetime = 6
guard.hittime = 13
air.hittime = 5
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(9 - 1 * var(13) < 1, 1, 9 - 1 * var(13)), 4
givepower = 2 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 600, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 600, Control]
type = ctrlset
trigger1 = time >= 1024
value = 1
persistent = 0

[state 600, Re-Levitate]
type = changestate
trigger1 = fvar(29)
trigger1 = animelemtime(6) >= 0
value = 905

[state 600, End State]
type = changestate
trigger1 = !fvar(29)
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; A. Strong Punch 1, 2
;=========================================================================
[Statedef 610]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 0
velset = vel x, vel y
sprpriority = 1

[state 610, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 610, Change Animation]
type = changeanim
trigger1 = !time
value = 610 + 5 * (vel x >= const(velocity.jump.fwd.x) || vel x <= const(velocity.jump.back.x))

[state 610, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 610, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 610, Levitation Physics]
type = velmul
trigger1 = fvar(29)
x = 0.9
y = 0.9

[state 610, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 610, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 610, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 610
[state 610, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 610)
attr = A, NA
damage = ceil(cond(cond(anim = 615, 22, 26) * fvar(23) < 2, 2, cond(anim = 615, 22, 26) * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = HA
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(anim = 615, 56, 82)), (var(42) := cond(anim = 615, -36, -64))
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
air.hittime = 7
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 610, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 610, Control]
type = ctrlset
trigger1 = time >= 1024
value = 1
persistent = 0

[state 610, Re-Levitate]
type = changestate
trigger1 = fvar(29)
trigger1 = animelemtime(7) >= 0
value = 905

[state 610, End State]
type = changestate
trigger1 = !fvar(29)
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; A. Medium Kick 1, 2
;=========================================================================
[Statedef 630]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 0
velset = vel x, vel y
sprpriority = 1

[state 630, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 630, Change Animation]
type = changeanim
trigger1 = !time
value = 630 + 5 * (vel x >= const(velocity.jump.fwd.x) || vel x <= const(velocity.jump.back.x))

[state 630, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 0

[state 630, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 1
volumescale = 100
channel = 1
persistent = 0

[state 630, Levitation Physics]
type = velmul
trigger1 = fvar(29)
x = 0.9
y = 0.9

[state 630, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 630, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 630, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 630
[state 630, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 630)
attr = A, NA
damage = ceil(cond(cond(anim = 635, 12, 16) * fvar(23) < 2, 2, cond(anim = 635, 12, 16) * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = HA
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 0)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(anim = 635, 22, 54)), (var(42) := cond(anim = 635, -46, -46))
animtype = light
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 13
guard.slidetime = 6
guard.hittime = 13
air.hittime = 3
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(9 - 1 * var(13) < 1, 1, 9 - 1 * var(13)), 4
givepower = 2 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 630, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 630, Control]
type = ctrlset
trigger1 = time >= 1024
value = 1
persistent = 0

[state 630, Re-Levitate]
type = changestate
trigger1 = fvar(29)
trigger1 = animelemtime(8) >= 0
value = 905

[state 630, End State]
type = changestate
trigger1 = !fvar(29)
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; A. Strong Kick
;=========================================================================
[Statedef 640]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 0
velset = vel x, vel y
sprpriority = 1

[state 640, A. Crossup Kick]
type = changestate
triggerall = !time
trigger1 = vel x >= const(velocity.jump.fwd.x)
trigger2 = vel x <= const(velocity.jump.back.x)
value = stateno + 5

[state 640, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 640, Change Animation]
type = changeanim
trigger1 = !time
value = 640

[state 640, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 640, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 640, Levitation Physics]
type = velmul
trigger1 = fvar(29)
x = 0.9
y = 0.9

[state 640, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 640, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 640, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 640
[state 640, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 640)
attr = A, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = HA
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 54), (var(42) := -46)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
air.hittime = 7
ground.velocity = -8.5
guard.velocity = -8.5
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 3
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 640, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 640, Control]
type = ctrlset
trigger1 = time >= 1024
value = 1
persistent = 0

[state 640, Re-Levitate]
type = changestate
trigger1 = fvar(29)
trigger1 = animelemtime(8) >= 0
value = 905

[state 640, End State]
type = changestate
trigger1 = !fvar(29)
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; A. Crossup kick
;=========================================================================
[Statedef 645]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 0
velset = vel x, vel y
sprpriority = 1

[state 645, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 645, Change Animation]
type = changeanim
trigger1 = !time
value = 645

[state 645, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 645, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 645, Levitation Physics]
type = velmul
trigger1 = fvar(29)
x = 0.9
y = 0.9

[state 645, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 645, Add Velocity]
type = veladd
triggerall = !fvar(29)
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 645, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 1 || var(15) := 15 || var(21) := 645
[state 645, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 645)
attr = A, NA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = HA
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(anim = 645, 80, 54)), (var(42) := cond(anim = 645, -56, -46))
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 6
ground.hittime = 18 + 8 * (p2dist x <= 0)
guard.slidetime = 6
guard.hittime = 18
air.hittime = 7
ground.velocity = -6.0
guard.velocity = -6.0
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.375
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 4
envshake.freq = 128
fall = 0
air.fall = 0
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1

[state 645, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 645, Control]
type = ctrlset
trigger1 = time >= 1024
value = 1
persistent = 0

[state 645, Crossup Width]
type = playerpush
trigger1 = !ctrl && movetype = A
value = 1 - (p2dist x <= 0)
ignorehitpause = 1

[state 645, Re-Levitate]
type = changestate
trigger1 = fvar(29)
trigger1 = animelemtime(8) >= 0
value = 905

[state 645, End State]
type = changestate
trigger1 = !fvar(29)
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; Throw Attempt
;=========================================================================
[Statedef 800]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 800, Level]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 800, Direction]
type = null
triggerall = !time
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0)
trigger2 = cond(!fvar(3) && (command = "holdback"), 1 * (var(9) := 2), 0)
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0

[state 800, Set Position]
type = posset
trigger1 = !time
y = 0

[state 800, Change Animation]
type = changeanim
trigger1 = !time
value = 800

[state 800, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F2, 0
volumescale = 100
channel = 1
persistent = 0

[state 800, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 800, Juggle Points 1]
type = null
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger1 = var(5) := 4 || var(15) := 0 || var(21) := 800
[state 800, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2movetype != H || p2stateno = 5300
trigger1 = p2dist x > 0 && p2stateno != [150, 155]
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
ID = 810 + 0 * (var(21) := 800)
attr = S, NT
damage = 0
fall.damage = 0 ; ceil(cond(24 * fvar(23) < 2, 2, 24 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag =
hitflag = M
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 4
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1stateno = 805 ; + (var(9) = 2)
numhits = 0

[state 800, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 800, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 800, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Throw Front
;=========================================================================
[Statedef 805]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 805, Change Animation]
type = changeanim
trigger1 = !time
value = 805

[state 805, Width]
type = width
trigger1 = !time
edge = 0, 0

[state 805, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 0
volumescale = 100
channel = 0

[state 805, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 805, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 805, Add Position]
type = posadd
trigger1 = !animelemtime(9)
x = -16.0
y = 72.0

[state 805, Add Position]
type = posadd
trigger1 = !animelemtime(10)
y = -16.0

[state 805, Set Velocity]
type = velset
trigger1 = !animelemtime(10)
x = -4.0
Y = -6.0

[state 805, Add Velocity]
type = veladd
trigger1 = animelemtime(10) > 0
y = 0.5

[state 805, End State]
type = changestate
triggerall = var(9) = 2
trigger1 = !animelemtime(9)
value = 806

[state 805, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Target Timeline >========================

[state 805, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 810

[state 805, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
value = -1

[state 805, Bind to Lee]
type = null
triggerall = numtarget
triggerall = target,name = "Lee"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 52 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -8 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Yun]
type = null
triggerall = numtarget
triggerall = target,name = "Yun"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := -4 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 52 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -8 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -24 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to King]
type = null
triggerall = numtarget
triggerall = target,name = "King"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 12 * (animelemtime(2) >= 0) - 60 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := 8 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Kaori]
type = null
triggerall = numtarget
triggerall = target,name = "Kaori"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := -8 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 44 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -12 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -16 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Sheana]
type = null
triggerall = numtarget
triggerall = target,name = "Sheana"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := -8 || fvar(19) := 0 - 32 * (animelemtime(2) >= 0) - 52 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -12 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -12 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Madiesha]
type = null
triggerall = numtarget
triggerall = target,name = "Madiesha"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := -8 || fvar(19) := 0 - 12 * (animelemtime(2) >= 0) - 48 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -12 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -8 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Gerdon]
type = null
triggerall = numtarget
triggerall = target,name = "Gerdon"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 54 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := 0 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Stan]
type = null
triggerall = numtarget
triggerall = target,name = "Stan"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := -20 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 54 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -24 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -16 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Chieshen]
type = null
triggerall = numtarget
triggerall = target,name = "Chieshen"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 48 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Dietrich]
type = null
triggerall = numtarget
triggerall = target,name = "Dietrich"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 50 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -24 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Cula]
type = null
triggerall = numtarget
triggerall = target,name = "Cula"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 50 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -8 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Zhao]
type = null
triggerall = numtarget
triggerall = target,name = "Zhao"
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
trigger1 = fvar(18) := 0 || fvar(19) := 0 - 24 * (animelemtime(2) >= 0) - 52 * (animelemtime(3) >= 0)
trigger2 = animelemtime(4) >= 0 && animelemtime(5) < 0 || animelemtime(6) >= 0 && animelemtime(7) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger2 = fvar(18) := -4 || fvar(19) := (target,pos y - pos y)
trigger3 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(7) >= 0 && animelemtime(8) < 0
trigger3 = fvar(18) := -8 || fvar(19) := (target,pos y - pos y)
trigger4 = cond(animelemtime(9) >= 0, fvar(18) := 24 || fvar(19) := -8, 0)

[state 805, Bind to Target]
type = bindtotarget
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(4) < 0
pos = fvar(18) * target,const(size.xscale), fvar(19) * target,const(size.yscale), foot

[state 805, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(10) < 0
pos = fvar(18) * const(size.xscale), fvar(19) * const(size.yscale)

[state 805, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
value = -ceil(cond(8 * fvar(23) < 2, 2, 8 * fvar(23)))
kill = !animelemtime(7)

[state 805, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
value = (1 + !animelemtime(9)) * (target,prevstateno != 5300)

[state 805, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(10)
value = 811

;========================< Throw Effects >========================

[state 805, Add Hit]
type = hitadd
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
trigger1 = var(15) := 1 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := 1 || var(12) := 10 || fvar(22) := -1 || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := 200 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := 16 + 16 * !animelemtime(9) || var(42) := 0 - 64 * !animelemtime(9) || 1 ; sparkxy
value = 1

[state 805, Add Power]
type = poweradd
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
value = 2 + 4 * !animelemtime(9)

[state 805, Shake]
type = envshake
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
time = 4
ampl = 1
freq = 128

[state 805, Hit Sound]
type = playsnd
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
value = F4, var(11)
channel = 2

[state 805, Hit Spark]
type = explod
trigger1 = !animelemtime(5) || !animelemtime(7) || !animelemtime(9)
anim = F(var(39))
ID = 200
postype = p1
pos = ceil(var(41)* const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5

;========================< End Throw >========================

[state 805, Idle]
type = statetypeset
trigger1 = animelemtime(10) >= 0
movetype = I
persistent = 0

[state 805, End State]
type = changestate
trigger1 = animelemtime(10) > 0
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; Throw Back
;=========================================================================
[Statedef 806]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 806, Change Animation]
type = changeanim
trigger1 = !time
value = 806

[state 806, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 3.0
Y = -5.0

[state 806, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0
y = 0.5

[state 806, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Target Timeline >========================

[state 806, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 812

[state 806, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time || !animelemtime(3), 0)
value = -1 + 2 * !animelemtime(3)

[state 806, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
pos = 32 * const(size.xscale), -58 * const(size.yscale)

[state 806, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
pos = 0 * const(size.xscale), -104 * const(size.yscale)

[state 806, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = -48 * const(size.xscale), -70 * const(size.yscale)

[state 806, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(4)
pos = -72 * const(size.xscale), -70 * const(size.yscale)

[state 806, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(4)
value = 811

[state 806, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 806, End State]
type = changestate
trigger1 = animelemtime(4) > 0 && vel y > 0
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; Target (810) - Front 1
;=========================================================================
[Statedef 810]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 810, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 810 

[state 810, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 810, Faux-Shake]
type = offset
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger2 = animelemtime(8) >= 0 && animelemtime(9) < 0
x = cond(random < 500, random % 2, -random % 2)
y = cond(random < 500, random % 2, -random % 2)

[state 810, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (810) - Front 2
;=========================================================================
[statedef 811]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 811, Change Animation]
type = changeanim
trigger1 = !time
value = 5050

[state 811, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 811, Add Position]
type = posadd
trigger1 = !time
trigger1 = prevstateno = 812
y = -const(size.mid.pos.y)

[state 811, Set Velocity]
type = velset
trigger1 = !time
x = -5.0 * fvar(27)
y = (-5.0 + 10.0 * (prevstateno = 812)) * fvar(27)

[state 811, Add Velocity]
type = veladd
trigger1 = time
y = 0.5

[state 811, Own State]
type = selfstate
trigger1 = pos y + vel y > 0
value = 5100

[state 811, Own State]
type = selfstate
trigger1 = !gethitvar(isbound)
trigger1 = time > 128
value = 5050

;=========================================================================
; Target (810) - Back 1
;=========================================================================
[Statedef 812]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 812, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 812

[state 812, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 812, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 812, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050