; Super Fighter Team

;=========================================================================
; Hurricane Kick
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1000, 0
volumescale = 100
channel = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(6)
trigger2 = !animelemtime(8) 
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(10)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3) || !animelemtime(10)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -8, 0
facing = 1 - 2 * !animelemtime(10)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = animelemtime(10) = 4
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = cond(random < 500, random % 12, -random % 12), 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Width]
type = width
trigger1 = animelemtime(3) >= 0 && animelemtime(10) < 0
edge = 40, 0

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1001, 8.0, 4.0)
[state 1000, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(10) <= 7
x = cond(anim = 1001, -0.2285714285714286, -0.1142857142857143)
[state 1000, Stop Sliding Velocity]
type = velset
trigger1 = animelemtime(10) = 8
x = 0.0

[state 1000, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(3) >= 0 && animelemtime(10) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-cond(anim = 1001, 1.0, 1.5) + (0 - (-cond(anim = 1001, 1.0, 1.5) * 27.0)) / (27.0 ** 2.0 / 2.0) * animelemtime(3)) * !hitpausetime
ignorehitpause = 1

[state 1000, Faux-Velocity]
type = offset
trigger1 = animelemtime(11) >= 0
trigger1 = cond(!animelemtime(11), fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(11) >= 0 && animelemtime(14) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-6.0 + (0 - (-6.0 * 11.0)) / (11.0 ** 2.0 / 2.0) * animelemtime(11)) * !hitpausetime
ignorehitpause = 1

[state 1000, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = A, SA
damage = ceil(cond(cond(anim = 1001, 26, 20) * fvar(23) < 2, 2, cond(anim = 1001, 26, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -2.0
guard.velocity = -10.0
air.velocity = -4.0, -2.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1001
[state 1000, Hit 2]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 1001)
attr = A, SA
damage = ceil(cond(cond(anim = 1001, 22, 16) * fvar(23) < 2, 2, cond(anim = 1001, 22, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -4.0
guard.velocity = -10.0
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 3]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1002
[state 1000, Hit 3]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1002)
attr = A, SA
damage = ceil(cond(cond(anim = 1001, 18, 12) * fvar(23) < 2, 2, cond(anim = 1001, 18, 12) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -6.0
guard.velocity = -10.0
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 4.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(9) >= 0
movetype = I
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 1000, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Spiral Kick
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100


[state 1100, Set Number Loops]
type = varset
trigger1 = !time
var(6) = 3 ; number of cycles. values equal to and below ONE will generate one cycle.

[state 1100, Loop Animation]
type = changeanim
triggerall = var(6) > 0
trigger1 = !animelemtime(12)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 4

[state 1100, Loop Animation]
type = changeanim
triggerall = var(6) = 1
trigger1 = !animelemtime(10)
value = anim
elem = 12

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3
persistent = 0

[state 1100, Vulnerability]
type = hitby
trigger1 = !time
value = SCA, AA, AT
time = 32 + 8 * (anim = 1101)

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1100, 0
volumescale = 100
channel = 0

[state 1100, Sound]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 12 = 0 && cond(var(6) = 1, animelemtime(7) < 0, 1)
value = F2, 1
volumescale = 100
channel = 1
ignorehitpause = 1
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 12 = 0 && cond(var(6) = 1, animelemtime(7) < 0, 1)
value = F3, 10
volumescale = 100
channel = 3
ignorehitpause = 1

[state 1100, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 1100, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 1100, Snd/Dust Interval]
type = varadd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
var(8) = 1
ignorehitpause = 1

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1101, 2.0, 0.5)
persistent = 0
[state 1100, Precise Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
trigger1 = pos y > cond(anim = 1101, -56, -40)
y = (cond(anim = 1101, -56.0, -40.0) - (0.0 * 31.0)) / (31.0 ** 2.0 / 2.0)

[state 1100, Air Velocity]
type = velset
trigger1 = pos y <= cond(anim = 1101, -56, -40)
x = 0.0
y = 0.0
persistent = 0
[state 1100, Air Position]
type = posset
trigger1 = pos y <= cond(anim = 1101, -56, -40)
y = cond(anim = 1101, -56, -40)
persistent = 0

[state 1100, Circle Movement]
type = posadd
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
trigger1 = var(7) := var(7) + 1
x = 0.5 * cos(var(7) * pi / 16.0)
[state 1100, Circle Movement]
type = posadd
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
trigger1 = pos y <= cond(anim = 1101, -56, -40)
y = -0.5 * sin(var(7) * pi / 16.0)

[state 1100, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(12), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(12) > 0 && animelemtime(14) <= 0
y = (fvar(18) - (fvar(19) * cond(anim = 1101, 16.0, 10.0))) / (cond(anim = 1101, 16.0, 10.0) ** 2.0 / 2.0)

[state 1100, Land Velocity]
type = velset
trigger1 = !animelemtime(14)
x = 0.0
y = 0.0
[state 1100, Land Position]
type = posset
trigger1 = !animelemtime(14)
y = 0

[state 1100, Airborne]
type = statetypeset
trigger1 = !animelemtime(4)
statetype = A
[state 1100, Grounded]
type = statetypeset
trigger1 = !animelemtime(14)
statetype = S

[state 1100, Width]
type = width
trigger1 = statetype = A
edge = 40, 0

[state 1100, Solidity]
type = playerpush
trigger1 = statetype = A
value = 0
ignorehitpause = 1

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1100 + (animelemtime(6) >= 0) + (animelemtime(8) >= 0) + (animelemtime(10) >= 0)
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1100 + (animelemtime(6) >= 0) + (animelemtime(8) >= 0) + (animelemtime(10) >= 0))
attr = A, SA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 48))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0 || hitcount >= 7, -9.0, 9.0), cond(hitcount >= 7, -6.0, -4.0) + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0 || hitcount >= 7, -9.0, 9.0), cond(hitcount >= 7, -6.0, -4.0) + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1 - 2 * (p2dist x < 0 && hitcount < 7)

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(12) >= 0
movetype = I
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 1100, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Iron Headbutt
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
trigger2 = pos y>0 ;fix
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Width]
type = width
trigger1 = animelemtime(3) >= 0 && animelemtime(8) < 0
edge = 40, 0

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(6)
value = 3

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1200, 0
volumescale = 100
channel = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(6) 
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(8)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3) || !animelemtime(8)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -8, 0
facing = 1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = animelemtime(8) = 4
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = cond(random < 500, random % 12, -random % 12), 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1201, 9.0, 5.0)
y = -cond(anim = 1201, 6.0, 6.0)
[state 1200, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(8) < 0
x = cond(anim = 1201, -0.4285714285714286, -0.2380952380952381)
[state 1200, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(8) <= 0
y = (0.0 - (-cond(anim = 1201, 6.0, 6.0) * 20.0)) / (20.0 ** 2.0 / 2.0)
[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(8)
x = 0.0
y = 0.0

[state 1200, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(9) >= 0 && animelemtime(12) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-6.0 + (0 - (-6.0 * 8.0)) / (8.0 ** 2.0 / 2.0) * animelemtime(9)) * !hitpausetime
ignorehitpause = 1

[state 1200, Land Position]
type = posset
trigger1 = !animelemtime(8)
y = 0

[state 1200, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1200, Grounded]
type = statetypeset
trigger1 = !animelemtime(8)
statetype = S

[state 1200, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 1210 + 0 * (var(21) := 1200)
attr = A, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 20 ; stun damage
guardflag =
hitflag = MAF
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1205
numhits = 0
kill = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1200, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Iron Headbutt Success
;=========================================================================
[Statedef 1205]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1205, Change Animation]
type = changeanim
trigger1 = !time
value = 1205

[state 1205, Width]
type = width
trigger1 = !time
edge = 40, 0

[state 1205, Voice]
type = null ; playsnd
trigger1 = !animelemtime(1)
value = 1200, 0
volumescale = 100
channel = 0

[state 1205, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1205, Set Velocity]
type = velset
trigger1 = animelemtime(6) = 1
x = -4.0
Y = -4.0

[state 1205, Precise Velocity]
type = veladd
trigger1 = cond(animelemtime(6) = 1, fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(6) > 1 && animelemtime(10) <= 0
y = (fvar(18) - (fvar(19) * 24.0)) / (24.0 ** 2.0 / 2.0)

[state 1205, Land Velocity]
type = velset
trigger1 = !animelemtime(10)
x = 0.0
y = 0.0
[state 1205, Land Position]
type = posset
trigger1 = !animelemtime(10)
trigger2 = pos y>0 ;fix
y = 0

[state 1205, Grounded]
type = statetypeset
trigger1 = !animelemtime(10)
statetype = S

[state 1205, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1205, Fake Grounded]
type = null
triggerall = numtarget && !time
triggerall = target,pos y >= 0 || target,statetype != A
trigger1 = cond(target,name = "Lee", fvar(18) := -52 - pos y, 0)
trigger2 = cond(target,name = "Yun", fvar(18) := -49 - pos y, 0)
trigger3 = cond(target,name = "King", fvar(18) := -49 - pos y, 0)
trigger4 = cond(target,name = "Kaori", fvar(18) := -49 - pos y, 0)
trigger5 = cond(target,name = "Sheana", fvar(18) := -56 - pos y, 0)
trigger6 = cond(target,name = "Madiesha", fvar(18) := -54 - pos y, 0)
trigger7 = cond(target,name = "Gerdon", fvar(18) := -59 - pos y, 0)
trigger8 = cond(target,name = "Stan", fvar(18) := -67 - pos y, 0)
trigger9 = cond(target,name = "Chieshen", fvar(18) := -49 - pos y, 0)
trigger10 = cond(target,name = "Dietrich", fvar(18) := -62 - pos y, 0)
trigger11 = cond(target,name = "Cula", fvar(18) := -69 - pos y, 0)
trigger12 = cond(target,name = "Zhao", fvar(18) := -59 - pos y, 0)

[state 1205, Set Position]
type = posset	
trigger1 = fvar(18)
y = fvar(18)
persistent = 0

[state 1205, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1210

[state 1205, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
value = -1

;========================< Bind Target >========================

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
pos = 20 * const(size.xscale), -32 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
pos = 16 * const(size.xscale), -32 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = 24 * const(size.xscale), -34 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
pos = 20 * const(size.xscale), -32 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
pos = 24 * const(size.xscale), -32 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(6)
pos = 24 * const(size.xscale), -32 * const(size.yscale)

;========================< Damage Target >========================

[state 1205, Target Damage]
type = targetlifeadd
trigger1 = !animelemtime(3) || !animelemtime(5)
value = -ceil(cond(32 * fvar(23) < 2, 2, 32 * fvar(23)))
kill = !animelemtime(5)

[state 1205, Target Power]
type = targetpoweradd
trigger1 = !animelemtime(3) || !animelemtime(5)
value = 2 * (target,prevstateno != 5300)

;========================< Release Target >========================

[state 1205, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(6)
value = 1211

;========================< Throw Effects >========================

[state 1205, Add Hit]
type = hitadd
trigger1 = !animelemtime(3) || !animelemtime(5)
trigger1 = var(15) := 1 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := 1 || var(12) := 10 || fvar(22) := 0 || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := 200 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := 22 - 4 * !animelemtime(5) || var(42) := -44 - 20 * !animelemtime(5) || 1 ; sparkxy
value = 1

[state 1205, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13))
[state 1205, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13))

[state 1205, Shake]
type = envshake
trigger1 = !animelemtime(3) || !animelemtime(5)
time = 8
ampl = 8
freq = 128

[state 1205, Hit Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(5)
value = F4, var(11)
channel = 2

[state 1205, Hit Spark]
type = explod
trigger1 = !animelemtime(3) || !animelemtime(5)
anim = F(var(39))
ID = 200
postype = p1
pos = ceil(var(41)* const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5

;========================< End Throw >========================

[state 1205, Idle]
type = statetypeset
trigger1 = animelemtime(6) >= 0
movetype = I
persistent = 0

[state 1205, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Target (1210) - 1
;=========================================================================
[Statedef 1210]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1210, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1210 

[state 1210, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1210, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1210, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1210) - 2
;=========================================================================
[Statedef 1211]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1211, Change Animation]
type = changeanim
trigger1 = !time
value = 5050

[state 1211, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1211, Add Position]
type = posadd
trigger1 = !time
y = 32.0

[state 1211, Set Velocity]
type = velset
trigger1 = !time
x = -5.0 * fvar(27)
y = -5.0 * fvar(27)

[state 1211, Add Velocity]
type = veladd
trigger1 = time
y = gethitvar(yaccel)

[state 1211, Own State]
type = selfstate
trigger1 = pos y + vel y > -16
value = 5100

[state 1211, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Phoenix Attack
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = -1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1300, 0
volumescale = 100
channel = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F3, 4
volumescale = 100

[state 1300, Hop Up Velocity]
type = velset
trigger1 = !animelemtime(10)
y = -5.0
[state 1300, Controlled Velocity]
type = veladd
trigger1 = animelemtime(10) > 0 && animelemtime(14) <= 0
y = (0.0 - (-5.0 * 11.0)) / (11.0 ** 2.0 / 2.0)
[state 1300, Land Velocity]
type = velset
trigger1 = !animelemtime(14)
x = 0.0
y = 0.0

[state 1300, Land Position]
type = posset
trigger1 = !animelemtime(14)
y = 0

[state 1300, Airborne]
type = statetypeset
trigger1 = !animelemtime(10)
statetype = A
[state 1300, Grounded]
type = statetypeset
trigger1 = !animelemtime(14)
statetype = S

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(7)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(7)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = -16, 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Phoenix]
type = helper
trigger1 = !animelemtime(7)
name = "Phoenix"
ID = 1305
stateno = 1305
postype = P1
pos = 4, -81
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1300, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(9) >= 0
movetype = I
persistent = 0

[state 1300, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Phoenix Start 1
;=========================================================================
[Statedef 1305]
type = S
movetype = A
physics = N
ctrl = 0
; velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1305, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1307
[state 1305, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1307

[state 1305, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1306 && !time
var(0) = 1
ignorehitpause = 1

[state 1305, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 20) ;original cooldown 2
ignorehitpause = 1

[state 1305, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1305, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1305, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1305, Change Animation]
type = changeanim
trigger1 = anim != cond(vel y > 0, 1306, 1305)
value = cond(vel y > 0, 1306, 1305)

[state 1305, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1305, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1305, Vulnerability]
type = hitby
trigger1 = 1 ; var(1) < 5
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1305, Hit Override]
type = hitoverride
trigger1 = 1 ; var(1) < 5
attr = SCA, AA, AT, AP
stateno = 1306
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1305, Vulnerability]
type = null ; nothitby
trigger1 = var(1) >= 5
value = SCA
time = -1
ignorehitpause = 1

[state 1305, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1305, Characters' Shadows]
type = explod
trigger1 = !numexplod(1305)
anim = F0
ID = 1305
postype = left
pos = ceil(screenpos x), ceil((1.3333333333333333333333333333333 * gameheight / gamewidth) * (screenpos y - pos y))
facing = 1
bindtime = -1
removetime = -1
supermovetime = -1
pausemovetime = -1
sprpriority = -5
ownpal = 1

[state 1305, Shadow Default Size]
type = null
trigger1 = numexplod(1305)
trigger1 = fvar(0) := 10.0
trigger1 = fvar(1) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0))) || 1
trigger1 = fvar(2) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)))

[state 1305, Modify Shadow]
type = modifyexplod
trigger1 = numexplod(1305)
postype = left
pos = ceil(screenpos x + 0 * facing), ceil((1.3333333333333333333333333333333 * gameheight / gamewidth) * (screenpos y - pos y))
facing = facing
scale = fvar(1), cond(pos y, fvar(2), 2.0)
trans = addalpha
alpha = 256, 200
ID = 1305

[state 1305, Go Up Velocity]
type = velset
trigger1 = !prevstateno && !time
y = -12.0

[state 1305, Come Down Velocity]
type = velset
trigger1 = screenpos y <= -480
trigger1 = var(16) := 0 || var(17) := 0 || var(18) := 0 || 1
y = 12.0
persistent = 0
[state 1305, Come Down Position]
type = posset
trigger1 = vel y >= 0 && screenpos y < -50
x = cond(var(9) = 2 && numenemy, enemynear,pos x, 0)

[state 1305, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , SP
hitflag = 

[state 1305, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1305
[state 1305, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1305)
attr = , SP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = cond(vel y < 0, -4.0, -4.0), cond(vel y < 0, -10.0, -6.0)
guard.velocity = -10.0
air.velocity = cond(vel y < 0, -4.0, -4.0), cond(vel y < 0, -10.0, -6.0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A


[state 1305, Hit 1: Magnetic]
type = hitdef
triggerall = numenemy
triggerall = enemy,name = "Dietrich"
triggerall = enemy,var(53) && enemy,numhelper(911)
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1305)
attr = S, SP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = cond(vel y < 0, -4.0, -4.0), cond(vel y < 0, -10.0, -6.0)
guard.velocity = -10.0
air.velocity = cond(vel y < 0, -4.0, -4.0), cond(vel y < 0, -10.0, -6.0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A


;========================< Projectile Contact >========================

[state 1305, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1305, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1305, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1305, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1305, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1305, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1305, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1305, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1305, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1305, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1305, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = left
pos = floor(cond(numtarget, target,screenpos x, screenpos x)), floor(cond(numtarget, target,screenpos y - 48, screenpos y)) 
; ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1305, Miss]
type = hitdef
trigger1 = hitpausetime ; || var(1)
attr = , SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1306, Destroy]
type = removeexplod
trigger1 = pos y >= -40 && !hitpausetime
trigger2 = time >= 512

[state 1305, End State]
type = changestate
trigger1 = pos y >= -40 && !hitpausetime
value = 1307
ignorehitpause = 1

[state 1305, Destroy Helper]
type = destroyself
trigger1 = time >= 512

[state 1305, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Phoenix Canceled 1
;=========================================================================
[Statedef 1306]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1306, Shadow Default Size]
type = null
trigger1 = numexplod(1305)
trigger1 = fvar(0) := 2.25
trigger1 = fvar(1) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0))) || 1
trigger1 = fvar(2) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)))

[state 1306, Modify Shadow]
type = modifyexplod
trigger1 = numexplod(1305)
postype = left
pos = ceil(screenpos x + 0 * facing), ceil((1.3333333333333333333333333333333 * gameheight / gamewidth) * (screenpos y - pos y))
facing = facing
scale = fvar(1), cond(pos y, fvar(2), 2.0)
trans = addalpha
alpha = 256, 200
ID = 1305

[state 1306, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1306, Change Animation]
type = changeanim
trigger1 = 1
value = anim
elem = animelemno(0)

[state 1306, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1306, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1306, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1306, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, AP
time = -1

[state 1306, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1306
slot = 0
time = -1
forceair = 0

[state 1306, Vulnerability]
type = nothitby
trigger1 = 0
value = SCA
time = -1

[state 1306, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1306, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1306, Miss]
type = hitdef
trigger1 = 1
attr = , SP
hitflag = 

[state 1306, Destroy]
type = removeexplod
trigger1 = time >= 8 && pos y >= -40

[state 1306, End State]
type = changestate
trigger1 = time >= 8
value = cond(pos y >= -40, 1307, 1305)

;=========================================================================
; Phoenix End 1
;=========================================================================
[Statedef 1307]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
movehitpersist = 1

[state 1307, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1307, Change Animation]
type = changeanim
trigger1 = !time
value = 1307

[state 1307, Angle]
type = angledraw
trigger1 = 1
value = -30

[state 1307, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1307, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1307, Sound]
type = playsnd
trigger1 = !time
value = F3, 5
volumescale = 100

[state 1307, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0
volumescale = 100

[state 1307, Shadow Default Size]
type = null
trigger1 = numexplod(1305)
trigger1 = fvar(0) := 2.25
trigger1 = fvar(1) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0))) || 1
trigger1 = fvar(2) := cond(fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)) > fvar(0), fvar(0), fvar(0) / cond(!abs((pos y) / 32.0), 1.0, abs((pos y) / 32.0)))

[state 1307, Modify Shadow]
type = modifyexplod
trigger1 = numexplod(1305)
postype = left
pos = ceil(screenpos x + 0 * facing), ceil((1.3333333333333333333333333333333 * gameheight / gamewidth) * (screenpos y - pos y))
facing = facing
scale = fvar(1), cond(pos y, fvar(2), 2.0)
trans = addalpha
alpha = 256, 200
ID = 1305

[state 1307, Shake]
type = envshake
trigger1 = !time
time = 8
ampl = 8
freq = 128

[state 1307, Destroy]
type = removeexplod
trigger1 = !time

[state 1307, Destroy]
type = destroyself
trigger1 = !animtime

;=========================================================================
; Levitation Spiral Kick
;=========================================================================
[Statedef 1400]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1400, Not Too High/Low]
type = posadd
trigger1 = fvar(29)
trigger1 = pos y >= -8 || pos y <= -64
y = cond(pos y <= -64, (pos y + 64) / -4.0, (pos y + 8) / -4.0)

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Set Number Loops]
type = varset
trigger1 = !time
var(6) = 3 ; number of cycles. values equal to and below ONE will generate one cycle.

[state 1400, Loop Animation]
type = changeanim
triggerall = var(6) > 0
trigger1 = !animelemtime(12)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 4

[state 1400, Loop Animation]
type = changeanim
triggerall = var(6) = 1
trigger1 = !animelemtime(10)
value = anim
elem = 12

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3
persistent = 0

[state 1400, Vulnerability]
type = hitby
trigger1 = !time
value = SCA, AA, AT
time = 32 + 8 * (anim = 1401)

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1100, 0
volumescale = 100
channel = 0

[state 1400, Sound]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 12 = 0 && cond(var(6) = 1, animelemtime(7) < 0, 1)
value = F2, 1
volumescale = 100
channel = 1
ignorehitpause = 1
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 12 = 0 && cond(var(6) = 1, animelemtime(7) < 0, 1)
value = F3, 10
volumescale = 100
channel = 3
ignorehitpause = 1

[state 1400, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 1400, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 1400, Snd/Dust Interval]
type = varadd
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
var(8) = 1
ignorehitpause = 1

[state 1400, Spin Forward Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1401, 6.0, 0.0)
persistent = 0
[state 1400, Spin Upward Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
x = -cond(anim = 1401, 0.125, 0.0)
[state 1400, Stop Upward Velocity]
type = velset
trigger1 = vel x < 0
x = 0.0
persistent = 0

[state 1400, Circle Movement]
type = posadd
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
trigger1 = var(7) := var(7) + 1
x = 0.5 * cos(var(7) * pi / 16.0)
[state 1400, Circle Movement]
type = posadd
trigger1 = animelemtime(4) > 0 && animelemtime(12) < 0
trigger1 = pos y <= cond(anim = 1401, -56, -40)
y = -0.5 * sin(var(7) * pi / 16.0)

[state 1400, Add Velocity]
type = veladd
trigger1 = !fvar(29) && animelemtime(15) >= 0
y = const(movement.yaccel)

[state 1400, Width]
type = width
trigger1 = 1
edge = 40, 0

[state 1400, Solidity]
type = playerpush
trigger1 = 1
value = 0
ignorehitpause = 1

[state 1400, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1400 + (animelemtime(6) >= 0) + (animelemtime(8) >= 0) + (animelemtime(10) >= 0)
[state 1400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1400 + (animelemtime(6) >= 0) + (animelemtime(8) >= 0) + (animelemtime(10) >= 0))
attr = A, SA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 48))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0 || hitcount >= 7, -9.0, 9.0), cond(hitcount >= 7, -6.0, -4.0) + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0 || hitcount >= 7, -9.0, 9.0), cond(hitcount >= 7, -6.0, -4.0) + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1 - 2 * (p2dist x < 0 && hitcount < 7)

[state 1400, Idle]
type = statetypeset
trigger1 = animelemtime(12) >= 0
movetype = I
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = !animtime
value = cond(fvar(29), 905, 50)