; Super Fighter Team

;=========================================================================
; Burning Spirit
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 0

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1000, 0
volumescale = 100
channel = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 40, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Burning Spirit]
type = helper
trigger1 = !animelemtime(4)
name = "Burning Spirit"
ID = 1005
stateno = 1005
postype = P1
pos = cond(anim = 1001, 109, 69), -cond(anim = 1001, 37, 28)
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1000, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Fire Spirit Inactive 1
;=========================================================================
[StateDef 1005]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1005, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1005, Change Animation]
type = changeanim
trigger1 = anim != 1005 + (var(9) = 2)
value = 1005 + (var(9) = 2)

[state 1005, Set Velocity]
type = velset
trigger1 = time >= 1
x = cond(var(9) = 2, 6.0, 5.0)
y = cond(var(9) = 2, 4.0, 6.0)

[state 1005, Sound]
type = playsnd
trigger1 = pos y + vel y > 0
value = F3, 5
volumescale = 100

[state 1005, Bound]
type = screenbound
trigger1 = pos y + vel y > 0
value = 1
movecamera = 0, 0

[state 1005, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1010

[state 1005, Destroy Helper]
type = destroyself
trigger1 = time >= 128

;=========================================================================
; Fire Spirit Start 1
;=========================================================================
[Statedef 1010]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1010, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1012
[state 1010, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1010

[state 1010, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1005 && prevstateno != 1011 && !time
var(0) = 1
ignorehitpause = 1

[state 1010, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 9)
ignorehitpause = 1

[state 1010, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1010, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1010, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1

[state 1010, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1010, Change Animation]
type = changeanim
trigger1 = anim != 1010 && !time
value = 1010

[state 1010, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1010, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1010, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1010, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1011
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1010, Vulnerability]
type = nothitby
trigger1 = 0
value = SCA
time = -1
ignorehitpause = 1

[state 1010, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1010, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , SP
hitflag = 

[state 1010, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1010
[state 1010, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1010)
attr = , SP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 48))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -0.5 - 0.5 * (hitcount >= 3), -6.0 - 2.0 * (hitcount >= 3)
guard.velocity = -12.0
air.velocity = -0.5 - 0.5 * (hitcount >= 3), -6.0 - 2.0 * (hitcount >= 3)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

[state 1010, Hit 1: Magnetic]
type = hitdef
triggerall = numenemy
triggerall = enemy,name = "Dietrich"
triggerall = enemy,var(53) && enemy,numhelper(911)
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1010)
attr = S, SP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 48))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -0.5 - 0.5 * (hitcount >= 3), -6.0 - 2.0 * (hitcount >= 3)
guard.velocity = -12.0
air.velocity = -0.5 - 0.5 * (hitcount >= 3), -6.0 - 2.0 * (hitcount >= 3)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1010, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1010, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1010, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1010, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1010, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1010, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1010, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1010, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1010, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1010, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1010, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1010, Miss]
type = hitdef
trigger1 = hitpausetime
attr = , SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1010, End State]
type = changestate
trigger1 = animelemtime(9) >= 0
value = 1012
ignorehitpause = 1

[state 1010, Destroy Helper]
type = destroyself
trigger1 = !animtime || time >= 256

[state 1010, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Fire Spirit Canceled 1
;=========================================================================
[Statedef 1011]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1011, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1011, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1011, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1011, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1011, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1011, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, AP
time = -1

[state 1011, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1011
slot = 0
time = -1
forceair = 0

[state 1011, Vulnerability]
type = nothitby
trigger1 = 0
value = SCA
time = -1

[state 1011, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1011, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1011, Miss]
type = hitdef
trigger1 = 1
attr = , SP
hitflag = 

[state 1011, End State]
type = changestate
trigger1 = !time
value = 1010 + 2 * (animelemtime(9) >= 0)

;=========================================================================
; Fire Spirit End 1
;=========================================================================
[Statedef 1012]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
movehitpersist = 1

[state 1012, Change Animation]
type = changeanim
trigger1 = anim != 1010
trigger2 = animelemtime(9) < 0
value = 1010
elem = 9

[state 1012, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1012, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1012, Destroy]
type = destroyself
trigger1 = !animtime || time >= 256

;=========================================================================
; Death Slash
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Pause Frame 1]
type = changeanim
trigger1 = hitpausetime = 11
trigger1 = animelemtime(4) > 0 && animelemtime(6) <= 0
value = anim
elem = 5
ignorehitpause = 1
persistent = 0
[state 1100, Pause Frame 2]
type = changeanim
trigger1 = hitpausetime = 11
trigger1 = animelemtime(8) > 0 && animelemtime(9) <= 0
value = anim
elem = 9
ignorehitpause = 1
persistent = 0

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3
persistent = 0

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(4)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(8)
value = F3, 10
volumescale = 100

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4) || !animelemtime(7)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Add Position]
type = posadd
trigger1 = !animelemtime(3) || !animelemtime(13)
x = 16.0 - 32.0 * !animelemtime(13)
[state 1100, Add Position]
type = posadd
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
x = cond(anim = 1101, 8.0, 4.0) - cond(anim = 1101, 1.0, 0.5) * animelemtime(4)
[state 1100, Add Position]
type = posadd
trigger1 = animelemtime(7) >= 0 && animelemtime(10) < 0
x = cond(anim = 1101, 8.0, 4.0) - cond(anim = 1101, 0.6666666666666667, 0.3333333333333333) * animelemtime(7)

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 2 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 28, 20) * fvar(23) < 2, 2, cond(anim = 1101, 28, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 40), (var(42) := -104)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0, -7.5 + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -7.0
air.velocity = -2.0, -7.5 + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Juggle Points 2]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := 2 || var(21) := 1101
[state 1100, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1101)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 28, 20) * fvar(23) < 2, 2, cond(anim = 1101, 28, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 40), (var(42) := -104)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -7.0
guard.velocity = -10.0
air.velocity = -5.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(10) >= 0
movetype = I
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Hell Spirit
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[State 1200, AI Hack]
type = Null
triggerall = AILevel>0
trigger1 = !time
trigger1 = 1 && var(9):=(1+random%2)
ignorehitpause = 1
;persistent = 

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1200, 0
volumescale = 100
channel = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1200, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 24, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Hell Spirit]
type = helper
trigger1 = !animelemtime(3)
name = "Hell Spirit"
ID = 1205
stateno = 1205
postype = P1
pos = cond(anim = 1201, 77, 61), -cond(anim = 1201, 101, 85)
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1200, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Demon Spirit Start 1
;=========================================================================
[Statedef 1205]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1205, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1207
[state 1205, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1210

[state 1205, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1206 && !time
var(0) = 1
ignorehitpause = 1

[state 1205, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1205, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1205, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1205, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1205, Change Animation]
type = changeanim
triggerall = root,AILevel=0
trigger1 = anim != 1205 + var(9) - 1 && !time
value = 1205 + var(9) - 1
[state 1205, AI Change Animation]
type = changeanim
triggerall = root,AILevel>0
trigger1 = anim != 1205 + var(9) - 1 && !time
value = 1205

[state 1205, Angle]
type = angledraw
trigger1 = var(9) = 1
value = -30
ignorehitpause = 1

[state 1205, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1205, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1205, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1205, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1206
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1205, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1205, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1205, Set Velocity]
type = velset
trigger1 = cond(prevstateno, time = 0, time = 1)
x = cond(var(9) = 2, 4.0, 4.5)
y = -2.0 * (var(9) = 2)

[state 1205, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = S, SP
hitflag = 

[state 1205, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1205
[state 1205, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1205)
attr = S, SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1205, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1205, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1205, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1205, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1205, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1205, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1205, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1205, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1205, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1205, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1205, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1205, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = S, SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1205, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1207
ignorehitpause = 1

[state 1205, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1205, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Demon Spirit Canceled 1
;=========================================================================
[Statedef 1206]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1206, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1206, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1206, Angle]
type = angledraw
trigger1 = var(9) = 1
value = -30

[state 1206, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1206, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1206, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1206, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1206, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1206
slot = 0
time = -1
forceair = 0

[state 1206, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1206, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1206, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1206, Miss]
type = hitdef
trigger1 = 1
attr = S, SP
hitflag = 

[state 1206, End State]
type = changestate
trigger1 = !time
value = 1207

;=========================================================================
; Demon Spirit End 1
;=========================================================================
[Statedef 1207]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
movehitpersist = 1

[state 1207, Change Animation]
type = changeanim
trigger1 = !time
value = 1207

[state 1207, Angle]
type = angledraw
trigger1 = var(9) = 1
value = -30

[state 1207, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1207, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1207, Destroy]
type = destroyself
trigger1 = !animtime

;=========================================================================
; Demon Spirit Reflected 1
;=========================================================================
[Statedef 1210]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; var(3) = reflected
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1210, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1207
[state 1210, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1207

[state 1210, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1211 && !time
var(0) = 1
ignorehitpause = 1

[state 1210, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1210, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1210, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1210, Reset Variables After Reflection]
type = null
triggerall = var(3) && !time
trigger1 = var(0) := 0 || var(1) := 0 || var(2) := -1 || var(3) := 0

[state 1210, Projectile Configuration]
type = null
triggerall = numenemy
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := enemy,var(14) || var(16) := enemy,var(16) || var(17) := enemy,var(17) || var(18) := enemy,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := enemy,var(13) || fvar(22) := enemy,fvar(22) || fvar(23) := enemy,fvar(23) || 1

[state 1210, Change Animation]
type = changeanim
trigger1 = anim != 1205 + var(9) - 1 && !time
value = 1205 + var(9) - 1

[state 1210, Angle]
type = angledraw
trigger1 = var(9) = 1
value = -30
ignorehitpause = 1

[state 1210, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1210, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1210, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1210, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1211
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1210, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1210, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1210, Set Velocity]
type = velset
trigger1 = !time
x = cond(anim = 1206, 6.0, 4.5)
y = -6.0 * (anim = 1206)

[state 1210, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , SP
hitflag = 

[state 1210, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1210
[state 1210, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1210)
attr = , SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
affectteam = F
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (root,stateno != 5300), 0 * (root,stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = root,statetype != A

;========================< Projectile Contact >========================

[state 1210, Reflective Juggle Points 1]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(19) = cond(var(21) = 1210, var(15), 0)
ignorehitpause = 1

[state 1210, Reflective Juggle Points]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(20) = 2
ignorehitpause = 1

[state 1210, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1210, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1210, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = , SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1210, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1207
ignorehitpause = 1

[state 1210, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1210, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Demon Spirit Canceled 2
;=========================================================================
[Statedef 1211]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1211, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1211, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1211, Angle]
type = angledraw
trigger1 = var(9) = 1
value = -30

[state 1211, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1211, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1211, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1211, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1211, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1211
slot = 0
time = -1
forceair = 0

[state 1211, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1211, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1211, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1211, Miss]
type = hitdef
trigger1 = 1
attr = , SP
hitflag = 

[state 1211, End State]
type = changestate
trigger1 = !time
value = 1207