; Super Fighter Team

;=========================================================================
; Jump Start
;=========================================================================
[Statedef 40]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && !time
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"
[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && time
trigger1 = command = "holdfwd" || command = "holdback"
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 40, FWD Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = P2BodyDist X > 80 && random >500
trigger2 = (enemynear,movetype!=A || backedgebodydist<=10)
sysvar(1) = 1
[state 40, BACK Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = (P2BodyDist X =[1,60]) && random >500
trigger2 = (enemynear,movetype=A)
sysvar(1) = -1

[state 40, Change Animation]
type = changeanim
trigger1 = !time
value = 41 + sysvar(1)

[state 40, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, NA,SA,HA, NP,SP,HP

[state 40, Jump Dust]
type = helper
triggerall = random%3=0
trigger1 = !animtime
name = "Jump Dust"
ID = 60255
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 40, Neutral Jump]
type = velset
triggerall = !animtime && sysvar(1) = 0
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.5 || 1 ; velocity
trigger1 = fvar(38) := 36.0 || 1 ; time
x = 0.0 
y = fvar(37)
[state 40, Forward Jump]
type = velset
triggerall = !animtime && sysvar(1) = 1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.5 || 1 ; velocity
trigger1 = fvar(38) := 36.0 || 1 ; time
x = 3.25
y = fvar(37)
[state 40, Backward Jump]
type = velset
triggerall = !animtime && sysvar(1) = -1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.5 || 1 ; velocity
trigger1 = fvar(38) := 36.0 || 1 ; time
x = -3.125
y = fvar(37)

[state 40, End State]
type = changestate
trigger1 = !animtime
value = 50
ctrl = 1

;=========================================================================
; Dash Forward
;=========================================================================
[Statedef 100]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 100, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 100, Change Animation]
type = changeanim
trigger1 = !time
value = 100

[state 100, Dash Skill]
type = changestate
triggerall = !ailevel
triggerall = power >= powermax * 0.5
triggerall = animelemtime(2) >= 1 && animelemtime(4) < 0
trigger1 = command = "dskill"
value = 110
ctrl = 0

[state 100, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 100, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(1)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 100, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = 16.0

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 6.0

[state 100, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(2) > 0 && animelemtime(4) <= 0
x = -3.0 / 16.0

[state 100, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -3.0 + (4 - (-3.0 * 15.0)) / (15.0 ** 2.0 / 2.0) * animelemtime(2)

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 0.0

[state 100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Backward
;=========================================================================
[Statedef 105]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 105, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 105, Set Position]
type = posset
trigger1 = !time
y = 0

[state 105, Change Animation]
type = changeanim
trigger1 = !time
value = 105

[state 105, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 105, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(1)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 105, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = -16.0

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = -6.0

[state 105, Add Velocity]
type = veladd
trigger1 = vel x < 0
trigger1 = animelemtime(2) > 0 && animelemtime(4) <= 0
x = 3.0 / 16.0

[state 105, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -3.0 + (4 - (-3.0 * 15.0)) / (15.0 ** 2.0 / 2.0) * animelemtime(2)

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 0.0

[state 105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Skill
;=========================================================================
[Statedef 110]
type = A
movetype = A
physics = N

[state 110, Level]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 110, Change State on Contact]
type = changestate
trigger1 = movecontact || movereversed
trigger1 = var(6) := movehit || 1
value = 1205

[state 110, Change Animation]
type = changeanim
trigger1 = !time
value = 110

[state 110, Afterimage]
type = afterimage
trigger1 = !time
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 110, Width]
type = width
trigger1 = 1
edge = 24, 0

[state 110, Add Power]
type = poweradd
trigger1 = !time
value = -powermax / 2

[state 110, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1200, 0
volumescale = 100
channel = 0
persistent = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 110, Add Position]
type = posadd
trigger1 = !time
y = fvar(35) 

[state 110, Add Position]
type = posadd
trigger1 = !animelemtime(1)
x = 8.0

[state 110, Freeze Position]
type = posfreeze
trigger1 = animelemtime(6) > 0 && animelemtime(7) < 0
value = 1

[state 110, Set Velocity]
type = velset
trigger1 = !animelemtime(1)
x = 6.0
y = -10.0

[state 110, Precise Velocity]
type = veladd
trigger1 = animelemtime(1) > 0 && animelemtime(6) <= 0
x = -3.0 / 3.0 * (animelemtime(5) > 0 && animelemtime(6) < 0)
y = (-32 - (-10.0 * 20.0)) / (20.0 ** 2.0 / 2.0)

[state 110, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(7), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(7) > 0 && animelemtime(9) <= 0
x = -0.125
y = (fvar(18) - (fvar(19) * 6.0)) / (6.0 ** 2.0 / 2.0)

[state 110, Land Velocity]
type = velset
trigger1 = !animelemtime(9)
x = 0.0
y = 0.0
[state 110, Land Position]
type = posset
trigger1 = !animelemtime(9)
y = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(9)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 110, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(9)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 110, Grounded]
type = statetypeset
trigger1 = !animelemtime(9)
statetype = S

[state 110, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 110
[state 110, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 110)
attr = A, SA
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -24)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -9.0
guard.velocity = -8.0
air.velocity = -3.0, -9.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 110, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 110, Crouch]
type = statetypeset
trigger1 = !animelemtime(9)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 110, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 110, End State]
type = changestate
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 110, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; End of Round
;=========================================================================
[statedef 180]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 2

[state 180, Reset Miscellaneous Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 180, Calculate Score Bonus Normal]
type = null
triggerall = !time
trigger1 = var(3) := var(2) || 1 ;update previous score
trigger1 = var(2) := var(2) + Cond((stagevar(info.name)="Bonus Stage"=1),0,(100 * life + 100 * (100 - cond(sysfvar(1) > 99, 99, floor(sysfvar(1))))))


[state 180, Set Position]
type = posset
trigger1 = !time
y = 0

[state 180, Change Animation]
type = changeanim
trigger1 = !time
value = 180 + random % 2

[state 180, Victory Quote]
type = victoryquote
trigger1 = 0
value = 0

[state 180, Special Effect]
type = assertspecial
trigger1 = time < 240
flag = roundnotover

[state 180, Invulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = 1

[state 180, Voice]
type = playsnd
triggerall = stagevar(info.name) != "Bonus Stage"
trigger1 = anim = 180
trigger1 = !animelemtime(1)
value = 180, 0
volumescale = 100
channel = 0

;=========================================================================
; Arcade CPU Intro
;=========================================================================
[Statedef 191]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 191, Set Position]
type = posset
trigger1 = !time
y = 0

[state 191, Camera]
type = helper
trigger1 = !time
name = "Camera"
ID = 191
stateno = 9990
postype = P1
pos = 0, 0
facing = 1
ownpal = 1

[state 191, Change Animation]
type = changeanim
trigger1 = !time
value = 45

[state 191, Special Effect]
type = assertspecial
trigger1 = 1
flag = intro

[state 191, Vulnerability]
type = nothitby
trigger1 = anim = 45
value = SCA
time = 1

[state 191, Solidity]
type = playerpush
trigger1 = anim = 45
value = 0

[state 191, Add Position]
type = posadd
trigger1 = !time
x = -200.0
y = 0.0

[state 191, Set Velocity]
type = velset
trigger1 = !time
x = cond(numhelper(stateno), (helper(stateno),pos x - pos x) * facing, 200.0) / 56.0
y = const(movement.yaccel) * 28.0 * -1.0

[state 191, Add Velocity]
type = veladd
trigger1 = anim = 45
trigger1 = time
y = const(movement.yaccel)

[state 191, Change Animation]
type = changeanim
trigger1 = anim = 45 && time
trigger1 = pos y + vel y >= 0
value = 48

[state 191, State Type Set]
type = statetypeset
trigger1 = anim = 48
statetype = S
persistent = 0

[state 191, Sound]
type = playsnd
trigger1 = anim = 48
value = F52, 0
volumescale = 100
persistent = 0

[state 191, Set Velocity]
type = velset
trigger1 = anim = 48
x = 0.0
y = 0.0
persistent = 0

[state 191, Set Velocity]
type = posset
trigger1 = anim = 48
x = cond(numhelper(stateno), helper(stateno),pos x, pos x)
y = 0.0
persistent = 0

[state 191, Bound]
type = screenbound
trigger1 = anim = 45
value = 0
movecamera = 0, 0

[state 191, End State]
type = changestate
trigger1 = anim = 48
trigger1 = !animtime
value = 0

;=========================================================================
; Taunt
;=========================================================================
[Statedef 195]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 195, Set Position]
type = posset
trigger1 = !time
y = 0

[state 195, Change Animation]
type = changeanim
trigger1 = !time
value = 195

[state 195, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Tough Skill
;=========================================================================
[Statedef 900]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 900, Reset Misc Variables]
type = varset
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(2) = 600 + 0 * (var(52) := 600 / 3)

[state 900, Set Position]
type = posset
trigger1 = !time
y = 0

[state 900, Change Animation]
type = changeanim
trigger1 = !time
value = 900

[state 900, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 900, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 900, Super Pause]
type = superpause
trigger1 = !time
time = 48
movetime = (var(54) := 48)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 900, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 900, Voice]
type = playsnd
trigger1 = !time
value = 1, 1
volumescale = 100
channel = 0

[state 900, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 900, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Sogui Active
;=========================================================================
[Statedef 905]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 905, Decrement Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
var(52) = -(sysvar(2) / 3)

[state 905, Set Position]
type = posset
trigger1 = !time
y = 0

[state 905, Change Animation]
type = changeanim
trigger1 = !time
value = 905

[state 905, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 0
volumescale = 100
channel = 0

[state 905, Reversal]
type = reversaldef
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
reversal.attr = SCA, AA, AP
pausetime = 0, 40
sparkno = -1
sparkxy = 0, 0
p1stateno = 906
numhits = 0

[state 905, Miss]
type = reversaldef
trigger1 = animelemtime(4) >= 0
reversal.attr =
persistent = 0

[state 905, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 905, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Sogui Counter Attack
;=========================================================================
[Statedef 906]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 906, Set Position]
type = posset
trigger1 = !time
y = 0

[state 906, Change Animation]
type = changeanim
trigger1 = !time
value = 906

[state 906, Solidity]
type = playerpush
trigger1 = 1
value = 0
ignorehitpause = 1

[state 906, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1, 1
volumescale = 100
channel = 0

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F3, 2
volumescale = 100

[state 906, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = p2dist x / 13.0
y = -6.0
[state 906, Set Velocity]
type = velset
trigger1 = movecontact
x = 6.0

[state 906, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0
y = 0.5

[state 906, Add Velocity]
type = veladd
trigger1 = animelemtime(6) >= 0
X = -0.125

[state 906, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A

[state 906, Shake]
type = envshake
trigger1 = !animelemtime(1)
time = 16
ampl = 4
freq = 128

[state 906, Background Effect]
type = bgpalfx
trigger1 = !animelemtime(1)
time = 16
mul = 256, 256, 256
add = 0, 0, 0
color = 256
invertall = 1

[state 906, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 906, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := 0 || var(21) := 901
[state 906, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 901)
attr = A, HA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = abs(enemy,const(size.mid.pos.y) * 0.5) ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag =
hitflag = MAFD
priority = 4, Hit
pausetime = 0, 40
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 22
air.hittime = 0
ground.velocity = -1.0, -8.0
guard.velocity = -8.0
air.velocity = -1.0, -8.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 8 * (p2stateno != 5300), 4 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

[state 906, Ghost Hits]
type = helper
trigger1 = playeridexist(var(56)) && movehit
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
name = "Ghost Hits"
ID = 908
stateno = 908
postype = P2
pos = 0, playerid(var(56)),const(size.mid.pos.y)
ownpal = 0
ignorehitpause = 1
persistent = 0

[state 906, Target Bind]
type = targetbind
trigger1 = movehit = 1 & numtarget
pos = -16, target,pos y - pos y
persistent = 0

[state 906, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 906, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 907

;=========================================================================
; Sogui Land
;=========================================================================
[Statedef 907]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 907, Set Position]
type = posset
trigger1 = !time
y = 0

[state 907, Change Animation]
type = changeanim
trigger1 = !time
value = 907

[state 907, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 907, Control]
type = ctrlset
trigger1 = !animtime
trigger2 = p2statetype != A
value = 1
persistent = 0

[state 907, End State]
type = changestate
trigger1 = !animtime
trigger2 = p2statetype != A
value = 0
ctrl = 1

;=========================================================================
; Active Ghost Hits
;=========================================================================
[Statedef 908]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

[state 908, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && !time
var(0) = 1
ignorehitpause = 1

[state 908, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 6)
ignorehitpause = 1

[state 908, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 908, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 908, Change Animation]
type = changeanim
trigger1 = !time
value = 908

[state 908, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 908, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Projectile Functionality >========================

[state 908, Turn]
type = turn
trigger1 = numenemy
trigger1 = facing = enemy,facing

[state 908, Add Position]
type = posadd
trigger1 = numenemy
x = p2dist x
y = p2dist y + enemy,const(size.mid.pos.y)

[state 908, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , HA
hitflag = 

[state 908, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := -3 || var(21) := 908
[state 908, Hit 1]
type = hitdef
triggerall = numenemy
; triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 908)
attr = , HA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag =
hitflag = MAF
priority = 4, Hit
pausetime = 0, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x + cond(random < 500, -random % 16, random % 16))), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y) + cond(random < 500, -random % 32, random % 32)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 22
air.hittime = 0
ground.velocity = 0.0, -8.0
guard.velocity = -8.0
air.velocity = 0.0, -8.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 4 * (p2stateno != 5300), 4 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

;========================< Projectile Contact >========================

[state 908, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 908, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 908, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 908, Miss]
type = hitdef
trigger1 = hitpausetime || var(1) >= 5
attr = , HA
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 908, Destroy Helper]
type = destroyself
trigger1 = var(1) >= 5 && !hitpausetime
trigger2 = p2movetype != H || p2statetype = L
trigger3 = time >= 128

[state 908, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Sogui Passive
;=========================================================================
[Statedef 910]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 910, Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(3) = sysvar(2) + 0 * (var(53) := 1)

[state 910, Set Position]
type = posset
trigger1 = !time
y = 0

[state 910, Change Animation]
type = changeanim
trigger1 = !time
value = 910

[state 910, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 910, Super Pause]
type = superpause
trigger1 = !time
time = 36
movetime = (var(54) := 36)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 910, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 36

[state 910, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 910, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100
channel = 9

[state 910, Shake]
type = envshake
trigger1 = !animelemtime(2)
time = 32
ampl = 4
freq = 128

[state 910, Control]
type = ctrlset
trigger1 = time = 36 || !animelemtime(10)
value = 1

[state 910, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Passive Ghost Hits
;=========================================================================
[Statedef 911]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

[state 911, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && !time
var(0) = 1
ignorehitpause = 1

[state 911, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 6)
ignorehitpause = 1

[state 911, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 911, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 911, Start Time]
type = null
trigger1 = !prevstateno && !time
trigger1 = fvar(29) := root,fvar(29) * 4

[state 911, Change Animation]
type = changeanim
trigger1 = cond(fvar(29) > 0, fvar(29) := fvar(29) - 1, anim != 911)
value = 911

[state 911, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 911, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Projectile Functionality >========================

[state 911, Turn]
type = turn
trigger1 = numenemy
trigger1 = facing = enemy,facing

[state 911, Add Position]
type = posadd
trigger1 = numenemy
x = p2dist x
y = p2dist y + enemy,const(size.mid.pos.y)

[state 911, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , HA
hitflag = 

[state 911, Juggle Points 1, 2, 3]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := -1 || var(21) := 911

[state 911, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = cond(numenemy, enemy,gethitvar(groundtype) = 1, 0)
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 920)
attr = , HA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23))), 1
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAFD
priority = 4, Hit
pausetime = 0, floor(root,fvar(29))
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x + cond(random < 500, -random % 16, random % 16))), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y) + cond(random < 500, -random % 32, random % 32)))
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = enemy,gethitvar(slidetime)
ground.hittime = abs(enemy,gethitvar(hittime))
guard.slidetime = enemy,gethitvar(slidetime)
guard.hittime = abs(enemy,gethitvar(hittime))
air.hittime = 0
ground.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
guard.velocity = enemy,gethitvar(xvel) * enemy,facing
air.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
airguard.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
down.velocity = enemy,gethitvar(xvel) * enemy,facing, -abs(enemy,gethitvar(yvel))
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = gethitvar(yaccel)
getpower = 0, 0
givepower = 4 * (p2stateno != 5300), 4 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = enemy,gethitvar(fall)
air.fall = enemy,gethitvar(fall)
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

[state 911, Hit 2]
type = hitdef
triggerall = numenemy
triggerall = cond(numenemy, enemy,gethitvar(groundtype) = 2, 0)
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 920)
attr = , HA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23))), 1
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAFD
priority = 4, Hit
pausetime = 0, floor(root,fvar(29))
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x + cond(random < 500, -random % 16, random % 16))), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y) + cond(random < 500, -random % 32, random % 32)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = enemy,gethitvar(slidetime)
ground.hittime = abs(enemy,gethitvar(hittime))
guard.slidetime = enemy,gethitvar(slidetime)
guard.hittime = abs(enemy,gethitvar(hittime))
air.hittime = 0
ground.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
guard.velocity = enemy,gethitvar(xvel) * enemy,facing
air.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
airguard.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
down.velocity = enemy,gethitvar(xvel) * enemy,facing, -abs(enemy,gethitvar(yvel))
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = gethitvar(yaccel)
getpower = 0, 0
givepower = 4 * (p2stateno != 5300), 4 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = enemy,gethitvar(fall)
air.fall = enemy,gethitvar(fall)
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

[state 911, Hit 3]
type = hitdef
triggerall = numenemy
triggerall = cond(numenemy, enemy,gethitvar(groundtype) = 3, 0)
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 920)
attr = , HA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23))), 1
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAFD
priority = 4, Hit
pausetime = 0, floor(root,fvar(29))
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x + cond(random < 500, -random % 16, random % 16))), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y) + cond(random < 500, -random % 32, random % 32)))
animtype = hard
ground.type = trip
air.animtype = back
air.type = trip
ground.slidetime = enemy,gethitvar(slidetime)
ground.hittime = abs(enemy,gethitvar(hittime))
guard.slidetime = enemy,gethitvar(slidetime)
guard.hittime = abs(enemy,gethitvar(hittime))
air.hittime = 0
ground.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
guard.velocity = enemy,gethitvar(xvel) * enemy,facing
air.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
airguard.velocity = enemy,gethitvar(xvel) * enemy,facing, enemy,gethitvar(yvel)
down.velocity = enemy,gethitvar(xvel) * enemy,facing, -abs(enemy,gethitvar(yvel))
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = gethitvar(yaccel)
getpower = 0, 0
givepower = 4 * (p2stateno != 5300), 4 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 1
envshake.freq = 128
fall = enemy,gethitvar(fall)
air.fall = enemy,gethitvar(fall)
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

;========================< Projectile Contact >========================

[state 920, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 920, Hit Counter]
type = null ; parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 920, Hit Counter]
type = null ; parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 920, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 920, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 920, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 920, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 920, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = , HA
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 920, Destroy Helper]
type = destroyself
trigger1 = var(1) && !hitpausetime
trigger2 = !animtime

[state 920, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Lying Down
;=========================================================================
[Statedef 5111]
type = L
movetype = H
physics = N

[state 5111, End State]
type = changestate
triggerall = alive
trigger1 = sysvar(0) = 5071 && animelemtime(1) >= 8 ; unqiue
trigger2 = sysvar(0) != 5071 && animelemtime(1) >= 16 ; unqiue
trigger3 = time > 128
value = 5120

[state 5111, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Get Up
;=========================================================================
[Statedef 5120]
type = L
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 5120, Change Animation]
type = changeanim
trigger1 = !time
value = 5120

[state 5120, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 5120, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(5)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 5120, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(1) >= 0 && animelemtime(5) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 16.0)) / (16.0 ** 2.0 / 2.0) * animelemtime(1)

[state 5120, State Type Set]
type = statetypeset
trigger1 = fvar(14) >= fvar(15) || var(4)
movetype = H
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = !animtime
statetype = S
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = statetype = L
value = SCA
time = 1

[state 5120, Set Hit Fall]
type = hitfallset
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = 1

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = ,NT,ST,HT
time = 12
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value2 = SCA
time = 3
persistent = 0

[state 5120, Control Set]
type = ctrlset
trigger1 = statetype = S
value = 1
persistent = 0

[state 5120, Change to Dizzy State]
type = changestate
triggerall = numhelper(6002) && alive
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger1 = ctrl || !animtime
trigger1 = fvar(14) := 0 || var(4) := 0 || 1
value = 5300

[state 5120, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1