; Super Fighter Team

;=========================================================================
; Spiral Crusher
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000


[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(6 - (anim = 1001))
value = 3

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1000, 0
volumescale = 100
channel = 0
persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1001, 7.0, 3.5)
y = -cond(anim = 1001, 5.3125, 4.25)

[state 1000, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(9) <= 0
x = -cond(anim = 1001, (5.5 / 22.0), (2.25 / 18.0))
y = (0 - (-cond(anim = 1001, 5.3125, 4.25) * cond(anim = 1001, 22.0, 18.0))) / (cond(anim = 1001, 22.0, 18.0) ** 2.0 / 2.0)

[state 1000, Land Velocity]
type = velset
trigger1 = !animelemtime(9)
x = 0.0
y = 0.0
[state 1000, Land Position]
type = posset
trigger1 = !animelemtime(9)
y = 0

[state 1000, Land Sound]
type = playsnd
trigger1 = !animelemtime(9)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1000, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(9)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1000, Grounded]
type = statetypeset
trigger1 = !animelemtime(9)
statetype = S

[state 1000, Juggle Points 1]
type = null
trigger1 = anim = 1000
trigger1 = animelemtime(6) >= 0 && animelemtime(8) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1000
trigger1 = animelemtime(6) >= 0 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = A, SA
damage = ceil(cond(36 * fvar(23) < 2, 2, 36 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(animelemtime(7) >= 0, 72, 64)), (var(42) := cond(animelemtime(7) >= 0, -16, -72))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, 5.0
guard.velocity = -8.0
air.velocity = -4.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = anim = 1001
trigger1 = animelemtime(5) >= 0 && animelemtime(8) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1000
[state 1000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1001
trigger1 = animelemtime(5) >= 0 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = A, SA
damage = ceil(cond(44 * fvar(23) < 2, 2, 44 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 12 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(animelemtime(7) >= 0, 72, cond(animelemtime(6) >= 0, 64, 56))), (var(42) := cond(animelemtime(7) >= 0, -16, cond(animelemtime(6) >= 0, -72, -96)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 11
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, 5.0
guard.velocity = -8.0
air.velocity = -4.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 1000, Crouch]
type = statetypeset
trigger1 = !animelemtime(17)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = null;changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1000, AI End State]
type = null;changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Cyclone Kick
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100


[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(7)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = 20.0

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1101, 4.0, 2.25)
y = -cond(anim = 1101, 7.0, 5.0)
[state 1100, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(13) < 0
x = -0.1
y = cond(anim = 1101, 0.375, 0.3125)
[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(13)
y = 0.5

[state 1100, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(13), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(13) > 0 && animelemtime(17) <= 0
y = (fvar(18) - (fvar(19) * cond(anim = 1101, 18.0, 15.0))) / (cond(anim = 1101, 18.0, 15.0) ** 2.0 / 2.0)

[state 1100, Land Velocity]
type = velset
trigger1 = !animelemtime(17)
x = 0.0
y = 0.0
[state 1100, Land Position]
type = posset
trigger1 = !animelemtime(17)
y = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(17)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1100, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(17)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Airborne]
type = statetypeset
trigger1 = !animelemtime(4)
statetype = A
[state 1100, Grounded]
type = statetypeset
trigger1 = !animelemtime(17)
statetype = S

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = A, SA
damage = ceil(cond(cond(anim = 1101, 36, 28) * fvar(23) < 2, 2, cond(anim = 1101, 36, 28) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 48), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, cond(anim = 1101, -7.0, -5.0) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
guard.velocity = -8.0
air.velocity = -3.0, cond(anim = 1101, -7.0, -5.0) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Juggle Points 2]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1101
[state 1100, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1101)
attr = A, SA
damage = ceil(cond(cond(anim = 1101, 24, 16) * fvar(23) < 2, 2, cond(anim = 1101, 24, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -7.0
guard.velocity = -8.0
air.velocity = -3.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(11 + (anim = 1101)) >= 0
movetype = I
persistent = 0

[state 1100, Crouch]
type = statetypeset
trigger1 = !animelemtime(17)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = null;changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1100, AI End State]
type = null;changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Blitz Kick
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change State on Contact]
type = changestate
trigger1 = movecontact || movereversed
trigger1 = var(6) := movehit || 1
value = 1205

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200


[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(8)
value = 4

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1200, 0
volumescale = 100
channel = 0
persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Add Position]
type = posadd
trigger1 = !animelemtime(3)
x = 8.0

[state 1200, Freeze Position]
type = posfreeze
trigger1 = animelemtime(8) > 0 && animelemtime(9) < 0
value = 1

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1201, 6.0, 2.0)
y = -cond(anim = 1201, 5.0, 7.0)

[state 1200, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(8) <= 0
x = -cond(anim = 1201, (3.0 / 3.0), (1.0 / 3.0)) * (animelemtime(7) > 0 && animelemtime(8) < 0)
y = (cond(anim = 1201, -32, -56) - (-cond(anim = 1201, 5.0, 7.0) * 20.0)) / (20.0 ** 2.0 / 2.0)

[state 1200, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(9), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(9) > 0 && animelemtime(11) <= 0
x = -0.125
y = (fvar(18) - (fvar(19) * cond(anim = 1201, 8.0, 12.0))) / (cond(anim = 1201, 8.0, 12.0) ** 2.0 / 2.0)

[state 1200, Land Velocity]
type = velset
trigger1 = !animelemtime(11)
x = 0.0
y = 0.0
[state 1200, Land Position]
type = posset
trigger1 = !animelemtime(11)
y = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(11)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1200, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(11)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1200, Grounded]
type = statetypeset
trigger1 = !animelemtime(11)
statetype = S

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = A, SA
damage = ceil(cond(cond(anim = 1201, 54, 36) * fvar(23) < 2, 2, cond(anim = 1201, 54, 36) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, floor(fvar(29) := 14)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -24)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -7.0 ; + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -8.0
air.velocity = -3.0, -7.0 ; + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(9) >= 0
movetype = I
persistent = 0

[state 1200, Crouch]
type = statetypeset
trigger1 = !animelemtime(11)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = null;changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1200, AI End State]
type = null;changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Blitz Kick Contact
;=========================================================================
[Statedef 1205]
type = A
movetype = I
physics = N

[state 1205, Change Animation]
type = changeanim
trigger1 = !time
value = 1205

[state 1205, Set Velocity]
type = velset
trigger1 = !time
x = -1.75
y = -9.5 * cond(var(6), 0.5, 0.65)

[state 1205, Add Velocity]
type = veladd
trigger1 = var(6)
x = 0.5 * (command = "holdfwd") - 0.5 * (command = "holdback")

[state 1205, Set Velocity]
type = velset
trigger1 = vel x != [-3.5, 3.5]
x = cond(vel x < -3.5, -3.5, 3.5)

[state 1205, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(1), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(1) > 0 && animelemtime(10) <= 0
y = (fvar(18) - (fvar(19) * 27.0)) / (27.0 ** 2.0 / 2.0)

[state 1205, Land Velocity]
type = velset
trigger1 = !animelemtime(10)
x = 0.0
y = 0.0
[state 1205, Land Position]
type = posset
trigger1 = !animelemtime(10)
y = 0

[state 1205, Sound]
type = playsnd
trigger1 = !animelemtime(10)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1205, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(10)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1205, Grounded]
type = statetypeset
trigger1 = !animelemtime(10)
statetype = S

[state 1205, Crouch]
type = statetypeset
trigger1 = !animelemtime(10)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1205, Control]
type = null;ctrlset
trigger1 = animelemtime(1) = 4
value = var(6)

[state 1205, End State]
type = null;changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1205, AI End State]
type = null;changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1205, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Quick Kick
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300


[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(10)
trigger2 = anim = 1301 && !animelemtime(16)
value = 1300, (animelemtime(4) >= 0) + (animelemtime(10) >= 0) + (anim = 1301 && animelemtime(16) >= 0)
volumescale = 100
channel = 0
;persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(10)
trigger2 = anim = 1301 && !animelemtime(16)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1300, Hit Pause Frame]
type = changeanim
triggerall = hitpausetime
trigger1 = animelemno(0) = 5 || animelemno(0) = 11
trigger2 = anim = 1301 && animelemno(0) = 17
value = anim
elem = animelemno(0) + 1
ignorehitpause = 1

[state 1300, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = anim = 1300
trigger1 = !animelemtime(3) || !animelemtime(10) || !animelemtime(13)
trigger2 = anim = 1301
trigger2 = !animelemtime(3) || !animelemtime(7) || !animelemtime(16) || !animelemtime(19)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Set Velocity]
type = velset
trigger1 = anim = 1300
trigger1 = !animelemtime(3) || !animelemtime(10) || !animelemtime(13)
trigger2 = anim = 1301
trigger2 = !animelemtime(3) || !animelemtime(7) || !animelemtime(16) || !animelemtime(19)
x = 3.5

[state 1300, Set Velocity]
type = velset
trigger1 = anim = 1300
trigger1 = !animelemtime(6) || !animelemtime(12) || !animelemtime(17)
trigger2 = anim = 1301
trigger2 = !animelemtime(6) || !animelemtime(12) || !animelemtime(18) || !animelemtime(23)
x = 0.0

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = S, SA
damage = ceil(cond(cond(anim = 1301, 22, 16) * fvar(23) < 2, 2, cond(anim = 1301, 22, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, floor(fvar(29) := 6)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 76), (var(42) := -72)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0
guard.velocity = -4.0
air.velocity = -3.0, -5.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Juggle Points 2]
type = null
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1301
[state 1300, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1301)
attr = S, SA
damage = ceil(cond(cond(anim = 1301, 22, 16) * fvar(23) < 2, 2, cond(anim = 1301, 22, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, floor(fvar(29) := 6)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 58), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0
guard.velocity = -4.0
air.velocity = -3.0, -5.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Juggle Points 3]
type = null
trigger1 = anim = 1301
trigger1 = animelemtime(17) >= 0 && animelemtime(18) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1302
[state 1300, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1301
trigger1 = animelemtime(17) >= 0 && animelemtime(18) < 0
ID = 0 + 0 * (var(21) := 1302)
attr = S, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, floor(fvar(29) := 12)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 76), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -6.0
guard.velocity = -10.0
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(12 + 6 * (anim = 1301)) >= 0
movetype = I
persistent = 0

[state 1300, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Combo Kick
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Button Tap Supplement]
type = varadd
trigger1 = command = "a" || command = "b"
fvar(12) = 2

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + (fvar(11) = 2)
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400


[state 1400, Switch Kick Level]
type = changeanim
triggerall = anim = [1400, 1401]
triggerall = !animtime
trigger1 = fvar(11) = 1 && anim = 1401
trigger2 = fvar(11) = 2 && anim = 1400
value = cond(fvar(11) = 2, 1401, 1400)
elem = 3

[state 1400, Begin Looping]
type = changeanim
trigger1 = anim = [1400, 1401]
trigger1 = !animtime
trigger1 = var(6) := var(6) + 1
value = anim
elem = 3

[state 1400, Stop Kicking]
type = changeanim
triggerall = var(6) > 1
triggerall = anim = [1400, 1401]
trigger1 = !animtime || !animelemtime(6)
trigger1 = fvar(10) < 16 || !fvar(12)
value = cond(fvar(11) = 2, 1406, 1405)

[state 1400, Add Power]
type = poweradd
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(3)
value = 3
persistent = 0

[state 1400, Voice]
type = playsnd
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(6) && random < 500
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(3) || !animelemtime(6)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1400, Set Velocity]
type = velset
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(3)
x = cond(fvar(11) = 2, 8.0, 4.0)
persistent = 0
[state 1400, Set Velocity]
type = velset
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(6)
x = 0.0
persistent = 0

[state 1400, Add Position]
type = posadd
trigger1 = anim = 1401
trigger1 = !animelemtime(3) || !animelemtime(6)
x = 2.0

[state 1400, Hitdef ID] ; needed directly in states for looping animations with two hitdefs doing multiple hits
type = null
trigger1 = anim = [1400, 1401]
trigger1 = !animelemtime(3)
trigger1 = var(21) := -1 || var(22) := -2

[state 1400, Juggle Points 1]
type = null
trigger1 = anim = [1400, 1401]
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1400
[state 1400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = [1400, 1401]
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 1400)
attr = S, SA
damage = ceil(cond(8 * fvar(23) < 2, 2, 8 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 2 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, floor(fvar(29) := 8)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 62), (var(42) := -88)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -cond(fvar(11) = 2, 5.0, 3.0)
guard.velocity = -8.0
air.velocity = -3.0, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1400, Juggle Points 2]
type = null
trigger1 = anim = [1400, 1401]
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1401
[state 1400, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = [1400, 1401]
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 1401)
attr = S, SA
damage = ceil(cond(8 * fvar(23) < 2, 2, 8 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 2 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, floor(fvar(29) := 8)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 62), (var(42) := -24)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -cond(fvar(11) = 2, 5.0, 3.0)
guard.velocity = -8.0
air.velocity = -3.0, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1400, Idle]
type = statetypeset
trigger1 = anim = [1405, 1406]
movetype = I
persistent = 0

[state 1400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = anim = [1405, 1406]
trigger1 = !animtime
value = 0
ctrl = 1