; Super Fighter Team

;=========================================================================
; Relentless Kick
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = P1
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Set Number Loops]
type = varset
trigger1 = !time
var(6) = 5 ; number of cycles. values equal to and below ONE will generate one cycle.

[state 3000, Loop Animation]
type = changeanim
triggerall = var(6) > 0
trigger1 = !animelemtime(15)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 11

[state 3000, Loop Kicks]
type = changeanim
trigger1 = var(6) <= 1 && movecontact = 1
trigger1 = animelemtime(14) >= 0 && animelemtime(15) < 0
value = anim
elem = 15
persistent = 0

[state 3000, Width]
type = width
trigger1 = animelemtime(10) >= 0 && animelemtime(15) < 0
edge = 32, 0
player = 16, 0
ignorehitpause = 1

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0
persistent = 0

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(12) || !animelemtime(14)
value = 1300, 1 + random % 3
volumescale = 100
channel = 0
;persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(12) || !animelemtime(14)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 4.0
y = -6.0
[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(11)
x = 4.0
y = 0.0
persistent = 0
[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(15)
x = -4.0
y = -8.0

[state 3000, Precise Velocity]
type = veladd
trigger1 = animelemtime(6) >= 0 && animelemtime(11) < 0
y = (-32 - (-6.0 * 16.0)) / (16.0 ** 2.0 / 2.0)
[state 3000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(11) && var(6) = 5, fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(11) >= 0 && animelemtime(15) < 0
y = (fvar(18) - (fvar(19) * 128.0)) / (128.0 ** 2.0 / 2.0)
[state 3000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(15), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(15) >= 0 && animelemtime(22) < 0
y = (fvar(18) - (fvar(19) * 21.0)) / (21.0 ** 2.0 / 2.0)

[state 3000, Land Velocity]
type = velset
trigger1 = !animelemtime(22)
x = 0.0
y = 0.0
[state 3000, Land Position]
type = posset
trigger1 = !animelemtime(22)
y = 0

[state 3000, Land Sound]
type = playsnd
trigger1 = !animelemtime(22)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 3000, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(22)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Airborne]
type = statetypeset
trigger1 = !animelemtime(6)
statetype = A
[state 3000, Grounded]
type = statetypeset
trigger1 = !animelemtime(22)
statetype = S

[state 3000, Juggle Points 1]
type = null
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
trigger1 = var(5) := 3 || var(15) := -15 * (var(6) = 5) || var(21) := 3000
[state 3000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
ID = 0 + 0 * (var(21) := 3000)
attr = A, HA
damage = ceil(cond(14 * fvar(23) < 2, 2, 14 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 8 * (var(6) <= 1), floor(fvar(29) := 4 + 8 * (var(6) <= 1))
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -48)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0
guard.velocity = -6.0
air.velocity = -4.0, -3.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 2]
type = null
trigger1 = animelemtime(14) >= 0 && animelemtime(15) < 0
trigger1 = var(5) := 3 || var(15) := -15 * (var(6) = 5) || var(21) := 3001
[state 3000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(14) >= 0 && animelemtime(15) < 0
ID = 0 + 0 * (var(21) := 3001)
attr = A, HA
damage = ceil(cond(14 * fvar(23) < 2, 2, 14 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 8 * (var(6) <= 1), floor(fvar(29) := 4 + 8 * (var(6) <= 1))
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -40)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, (-8.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)) * (var(6) <= 1)
guard.velocity = -6.0
air.velocity = -4.0, cond(var(6) <= 1, -8.0, -3.0) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0 * (var(6) <= 1))
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = (var(6) <= 1)
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(15) >= 0
movetype = I
persistent = 0

[state 3000, Crouch]
type = statetypeset
trigger1 = !animelemtime(22)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1