; Super Fighter Team

;=========================================================================
; Spine Breaker
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Solidity]
type = playerpush
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
value = 0

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(6)
value = 3 * !var(53)

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1000, 0
volumescale = 100
channel = 0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Add Position]
type = posadd
trigger1 = !animelemtime(4)
x = 16.0
; y = 20.0

[state 1000, Freeze Position]
type = posfreeze
trigger1 = animelemtime(7) > 0 && animelemtime(8) < 0
value = 1

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1001, 10.0, 5.0)
y = -cond(anim = 1001, 4.0, 8.0)

[state 1000, Precise Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(7) <= 0
y = (cond(anim = 1001, -32, cond((prevstateno = [200, 699]), -40, -56)) - (-cond(anim = 1001, 4.0, 8.0) * cond(anim = 1001, 12.0, 9.0))) / (cond(anim = 1001, 12.0, 9.0) ** 2.0 / 2.0)

[state 1000, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(4) > 0 && animelemtime(7) <= 0
x = -cond(anim = 1001, (5.0 / 12.0), (2.5 / 9.0))
[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(8)
y = 0.0
[state 1000, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(8) >= 0 && animelemtime(11) < 0
x = -cond(anim = 1001, (2.5 / cond(anim = 1001, 12.0, 16.0)), (1.25 / cond(anim = 1001, 12.0, 16.0)))

[state 1000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(8), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(8) > 0 && animelemtime(11) <= 0
x = -0.125
y = (fvar(18) - (fvar(19) * cond(anim = 1001, 12.0, 16.0))) / (cond(anim = 1001, 12.0, 16.0) ** 2.0 / 2.0)

[state 1000, Land Velocity]
type = velset
trigger1 = !animelemtime(11)
x = 0.0
y = 0.0
[state 1000, Land Position]
type = posset
trigger1 = !animelemtime(11)
y = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(11)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1000, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(11)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 4, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Airborne]
type = statetypeset
trigger1 = !animelemtime(4)
statetype = A
[state 1000, Grounded]
type = statetypeset
trigger1 = !animelemtime(11)
statetype = S

[state 1000, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1000, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 1010 + (p2statetype = A) + 0 * (var(21) := 1000)
attr = A, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag =
hitflag = MAF
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1005
numhits = 0
kill = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 1000, Crouch]
type = statetypeset
trigger1 = !animelemtime(11)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1000, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Spine Breaker Success
;=========================================================================
[Statedef 1005]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1005, Change Animation]
type = changeanim
trigger1 = !time
value = 1005

[state 1005, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1005, Add Position]
type = posadd
trigger1 = !animelemtime(4)
y = 36.0

[state 1005, Add Position]
type = posfreeze
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
value = 1

[state 1005, Add Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 4.0
y = -0.75
[state 1005, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(5) < 0
x = -0.1
y = 0.5

[state 1005, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(6), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(6) > 0 && animelemtime(7) <= 0
x = -0.125
y = (fvar(18) - (fvar(19) * 12.0)) / (12.0 ** 2.0 / 2.0)

[state 1005, Land Velocity]
type = velset
trigger1 = !animelemtime(7)
x = 0.0
y = 0.0
[state 1005, Land Position]
type = posset
trigger1 = !animelemtime(7)
y = 0

[state 1005, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1005, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(7)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 4, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1005, Grounded]
type = statetypeset
trigger1 = !animelemtime(7)
statetype = S

[state 1005, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1005, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1010

[state 1005, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
value = -1

;========================< Bind Target >========================

[state 1005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(3) < 0
pos = -8 * target,const(size.xscale), 16 * target,const(size.yscale), head

[state 1005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = -16 * target,const(size.xscale), 12 * target,const(size.yscale), head

[state 1005, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(5) >= 0 && animelemtime(5) < 8
pos = -48 * const(size.xscale), p2dist y * const(size.yscale)

;========================< Damage Target >========================

[state 1005, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = !animelemtime(5)
value = -ceil(cond((50 + 10 * (numtarget(1011))) * fvar(23) < 2, 2, (50 + 10 * (numtarget(1011))) * fvar(23)))
kill = !animelemtime(5)

[state 1005, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = !animelemtime(5)
value = 4 * (target,prevstateno != 5300)

;========================< Release Target >========================

[state 1005, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = animelemtime(5) = 8
value = 1011

;========================< Throw Effects >========================

[state 1005, Add Hit]
type = hitadd
trigger1 = !animelemtime(5)
trigger1 = var(15) := 3 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := 2 || var(12) := 10 || fvar(22) := fvar(22) || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := 200 || var(40) := 210 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := -48 || var(42) := -48 || 1 ; sparkxy
value = 1

[state 1005, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 16 * !var(53)

[state 1005, Shake]
type = envshake
trigger1 = !animelemtime(5)
time = 8
ampl = 8
freq = 128

[state 1005, Hit Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F4, var(11)
channel = 2

[state 1005, Hit Spark]
type = explod
trigger1 = !animelemtime(5)
anim = F(var(39))
ID = 200
postype = p1
pos = ceil(var(41)* const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5

;========================< End Throw >========================

[state 1005, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 1005, Crouch]
type = statetypeset
trigger1 = !animelemtime(7)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1005, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1005, End State]
type = changestate
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 1005, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Target (1010) - 1
;=========================================================================
[Statedef 1010]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1010, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1010

[state 1011, Turn]
type = turn
trigger1 = !animelemtime(5)

[state 1010, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1010, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1010, Add Position]
type = posadd
trigger1 = animelemtime(2) >= 0 && animelemtime(4) < 0
x = -1.0 + 0.1 * animelemtime(1)

[state 1011, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 4.0

[state 1010, Own State]
type = selfstate
trigger1 = vel y > 0
trigger1 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5100

[state 1010, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1010) - 2
;=========================================================================
[Statedef 1011]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1011, Change Animation]
type = changeanim
trigger1 = !time
value = 5060 

[state 1011, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1011, Set Velocity]
type = velset
trigger1 = !time
x = -8.0 * fvar(27)
y = -1.0 * fvar(27)

[state 1011, Add Velocity]
type = veladd
trigger1 = time
y = 0.25

[state 1011, Own State]
type = selfstate
trigger1 = vel y > 0
trigger1 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5100

[state 1011, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Flying Kick
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(6)
value = 3 * !var(53)

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(6) || !animelemtime(10)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Freeze Position]
type = posfreeze
trigger1 = animelemtime(6) > 0 && animelemtime(8) < 0
trigger2 = animelemtime(10) > 0 && animelemtime(12) < 0
value = 1

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = cond(anim = 1101, 8.0, 4.0)
y = -cond(anim = 1101, 6.0, 8.0)
[state 1100, Precise Velocity]
type = veladd
trigger1 = animelemtime(2) > 0 && animelemtime(6) <= 0
x = -cond(anim = 1101, (4.0 / 20.0), (1.5 / 16.0))
y = (cond(anim = 1101, -40,-48) - (-cond(anim = 1101, 6.0, 8.0) * cond(anim = 1101, 20.0, 16.0))) / (cond(anim = 1101, 20.0, 16.0) ** 2.0 / 2.0)

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(8)
x = vel x * 0.75
[state 1100, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(8), fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(8) > 0 && animelemtime(10) <= 0
y = (16 - (fvar(19) * 8.0)) / (8.0 ** 2.0 / 2.0)

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(12)
x = vel x * 0.5
[state 1100, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(12), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(12) > 0 && animelemtime(15) <= 0
y = (fvar(18) - (fvar(19) * 9.0)) / (9.0 ** 2.0 / 2.0)

[state 1100, Land Velocity]
type = velset
trigger1 = !animelemtime(15)
x = 0.0
y = 0.0
[state 1100, Land Position]
type = posset
trigger1 = !animelemtime(15)
y = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(15)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1100, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(15)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 4, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A
[state 1100, Grounded]
type = statetypeset
trigger1 = !animelemtime(15)
statetype = S

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = A, SA
damage = ceil(cond(cond(anim = 1101, 28, 24) * fvar(23) < 2, 2, cond(anim = 1101, 28, 24) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 12 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -68)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.5, -5.0 + cond(p2dist y < -12, 0.05 * abs(p2dist y + 12), 0)
guard.velocity = -8.0
air.velocity = -2.5, -5.0 + cond(p2dist y < -12, 0.05 * abs(p2dist y + 12), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Juggle Points 2]
type = null
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1101
[state 1100, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 1101)
attr = A, SA
damage = ceil(cond(cond(anim = 1101, 24, 20) * fvar(23) < 2, 2, cond(anim = 1101, 24, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 12 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 48), (var(42) := -60)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -6.0
guard.velocity = -8.0
air.velocity = -4.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(11) >= 0
movetype = I
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1100, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Spiral Dive
;=========================================================================
[Statedef 1200]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Change Animation]
type = changeanim
trigger1 = !time
value = 1200

[state 1200, Skip Animation]
type = changeanim
trigger1 = var(9) = 1
trigger1 = !animelemtime(2)
value = anim
elem = 6

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(7)
value = 3 * !var(53)
persistent = 0

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(7)
value = 1200, 0
volumescale = 100
channel = 0
persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(7) || !animelemtime(9)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1200, Solidity]
type = playerpush
trigger1 = animelemtime(7) >= 0
value = 0

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 2.0
Y = 1.0
[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(7)
x = cond(var(9) = 2, 3.0, 0.0)
y = cond(var(9) = 2, 3.0, 5.0)

[state 1200, Add Velocity]
type = veladd
trigger1 = animelemtime(7) > 0
y = 0.1

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(7) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(7) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = A, SA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := -24)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -4.0, 4.0), -vel y
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -4.0, 4.0), -vel y
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1

[state 1200, Juggle Points 2]
type = null
trigger1 = animelemtime(9) >= 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1201
[state 1200, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(9) >= 0
ID = 0 + 0 * (var(21) := 1201)
attr = A, SA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := -24)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -4.0, 4.0), -vel y
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -4.0, 4.0), -vel y
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = -1

[state 1200, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1201

;=========================================================================
; Spiral Dive Land
;=========================================================================
[Statedef 1201]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 1201, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1201, Change Animation]
type = changeanim
trigger1 = !time
value = 1201

[state 1201, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1201, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !time
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = -4, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1201, Add Position]
type = playerpush
trigger1 = 1
value = 0

[state 1201, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1201, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Crown Kick
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3 * !var(53)

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(4) ; || !animelemtime(7)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1
persistent = 0

[state 1300, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1301, 8.0, 4.0)
y = -cond(anim = 1301, 10.0, 5.0)

[state 1300, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(8) <= 0
x = -cond(anim = 1301, (4.0 / 22.0), (4.0 / 16.0))
y = (0 - (-cond(anim = 1301, 10.0, 5.0) * cond(anim = 1301, 22.0, 16.0))) / (cond(anim = 1301, 22.0, 16.0) ** 2.0 / 2.0)

[state 1300, Land Velocity]
type = velset
trigger1 = !animelemtime(8)
x = 0.0
y = 0.0
[state 1300, Land Position]
type = posset
trigger1 = !animelemtime(8)
y = 0

[state 1300, Land Sound]
type = playsnd
trigger1 = !animelemtime(8)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1300, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(8)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1300, Grounded]
type = statetypeset
trigger1 = !animelemtime(8)
statetype = S

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond(cond(anim = 1301, 30, 28) * fvar(23) < 2, 2, cond(anim = 1301, 30, 28) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 48), (var(42) := -60)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 - 3.0 * (anim = 1301), -5.0 + 2.0 * (anim = 1301) + cond(p2dist y < 0, 0.05 * abs(p2dist y + 0), 0)
guard.velocity = -8.0
air.velocity = -3.0 - 3.0 * (anim = 1301), -5.0 + 2.0 * (anim = 1301) + cond(p2dist y < 0, 0.05 * abs(p2dist y + 0), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0.0
forcestand = 1
forcenofall = 0

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1301
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 1301)
attr = A, SA
damage = ceil(cond(cond(anim = 1301, 30, 20) * fvar(23) < 2, 2, cond(anim = 1301, 30, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 66), (var(42) := -46)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, 5.0
guard.velocity = -8.0
air.velocity = -5.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 22.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0.0
forcestand = 1
forcenofall = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 1300, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1300, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1300, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Colorful Twirl
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Set Number Loops]
type = varset
trigger1 = !time
var(6) = cond(var(9) = 2, 2, 1) ; number of cycles. values equal to and below ONE will generate one cycle.

[state 1400, Change Animation]
type = changeanim
trigger1 = var(7)
value = anim
elem = animelemno(0)

[state 1400, Loop Animation]
type = changeanim
triggerall = !var(7)
trigger1 = var(6) > 0
trigger1 = !animelemtime(13)
trigger1 = var(6) := var(6) - 1 || 1
trigger2 = var(6) <= 0
trigger2 = !animelemtime(9)
value = anim
elem = 5 + 8 * !animelemtime(9)

[state 1400, Width]
type = width
trigger1 = !animelemtime(13)
value = 24, 0

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3 * !var(53)

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(9)
value = F2, 2
volumescale = 100
channel = 1
;persistent = 0

[state 1400, Slide Dust]
type = helper
triggerall = random%3=0
trigger1 = vel x > 3 && !var(7)
trigger1 = animelemtime(3) % 4 = 0
name = "Slide Dust"
ID = 60257
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1400, Split Dust]
type = helper
triggerall = random%3=0
trigger1 = vel x <= 0
trigger1 = animelemtime(3) > 0
name = "Split Dust"
ID = 60254
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
persistent = 0

[state 1400, Solidity]
type = playerpush
trigger1 = numenemy && animelemtime(3) >= 0
trigger1 = p2movetype = H && p2statetype != L
trigger1 = !enemynear,gethitvar(guarded)
value = 0
ignorehitpause = 1

[state 1400, Add Position]
type = posfreeze
trigger1 = var(7)
value = 1

[state 1400, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1401, 8.0, 6.0)
persistent = 0
[state 1400, Add Velocity]
type = veladd
trigger1 = vel x > 0 && !var(7)
trigger1 = animelemtime(3) > 0
x = -cond(anim = 1401, 8.0, 6.0) / cond(anim = 1401, 32.0, 16.0)

[state 1400, Colorful Barrier]
type = helper
trigger1 = !animelemtime(3)
name = "Colorful Barrier"
ID = 1405
stateno = 1405
postype = P1
pos = 0, 0
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)
persistent = 0

[state 1400, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1400
[state 1400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 1400)
attr = S, SA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1

[state 1400, Juggle Points 2]
type = null
triggerall = var(6) > 0
trigger1 = animelemtime(7) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1401
[state 1400, Hit 2]
type = hitdef
triggerall = var(6) > 0
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(7) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1401)
attr = S, SA
damage = ceil(cond(14 * fvar(23) < 2, 2, 14 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = -1

[state 1400, Juggle Points 3]
type = null
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1402
[state 1400, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1402)
attr = S, SA
damage = ceil(cond(14 * fvar(23) < 2, 2, 14 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -6.0, 3.0), -5.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1

[state 1400, Juggle Points 4]
type = null
triggerall = var(6) <= 0
trigger1 = animelemtime(7) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1403
[state 1400, Hit 4]
type = hitdef
triggerall = var(6) <= 0
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(7) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1403)
attr = S, SA
damage = ceil(cond(14 * fvar(23) < 2, 2, 14 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -7.0
guard.velocity = -8.0
air.velocity = -5.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 6.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1400, Idle]
type = statetypeset
trigger1 = animelemtime(13) >= 0
movetype = I
persistent = 0

[state 1400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

[state 1400, Pausetime]
type = varadd
trigger1 = var(7)
var(7) = -1

;=========================================================================
; Colorful Barrier
;=========================================================================
[Statedef 1405]
type = A
movetype = I
physics = N
ctrl = 0
movehitpersist = 1

[state 1405, Bind to Parent]
type = bindtoparent
trigger1 = 1
pos = 0, 0

[state 1405, Pausetime]
type = parentvarset
trigger1 = prevstateno
var(7) = 8

[state 1405, Absorb Hit]
type = envshake
trigger1 = prevstateno
time = 4
ampl = 5
freq = 128

[state 1405, Absorb Hit]
type = playsnd
trigger1 = prevstateno
value = F4, 10
channel = 2

[state 1405, Absorb Hit]
type = destroyself
trigger1 = prevstateno

[state 1405, Change Animation]
type = changeanim
trigger1 = anim != 1405
value = 1405

[state 1405, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1405
slot = 0
time = -1
forceair = 0

[state 1405, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1405, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1405, Reversal]
type = reversaldef
trigger1 = 1
reversal.attr = SCA, AP
pausetime = 0, 8
sparkno = -1
sparkxy = 0, 0
p1stateno = 1405
numhits = 0

[state 1405, Destroy Helper]
type = destroyself
trigger1 = !animtime || root,movetype = H
trigger2 = root,stateno != 1400 || root,anim != [1400, 1401]
trigger3 = root,animelemtime(3) < 0 || root,animelemtime(5) >= 0