; Super Fighter Team

;=========================================================================
; Jump Start
;=========================================================================
[Statedef 40]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && !time
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"
[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && time
trigger1 = command = "holdfwd" || command = "holdback"
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 40, FWD Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = P2BodyDist X > 80 && random >500
trigger2 = (enemynear,movetype!=A || backedgebodydist<=10)
sysvar(1) = 1
[state 40, BACK Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = (P2BodyDist X =[1,60]) && random >500
trigger2 = (enemynear,movetype=A)
sysvar(1) = -1

[state 40, Change Animation]
type = changeanim
trigger1 = !time
value = 41 + sysvar(1)

[state 40, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, NA,SA,HA, NP,SP,HP

[state 40, Jump Dust]
type = helper
triggerall = random%3=0
trigger1 = !animtime
name = "Jump Dust"
ID = 60255
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 40, Neutral Jump]
type = velset
triggerall = !animtime && sysvar(1) = 0
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.0 || 1 ; velocity
trigger1 = fvar(38) := 38.0 || 1 ; time
x = 0.0 
y = fvar(37)
[state 40, Forward Jump]
type = velset
triggerall = !animtime && sysvar(1) = 1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.5 || 1 ; velocity
trigger1 = fvar(38) := 36.0 || 1 ; time
x = 4.0
y = fvar(37)
[state 40, Backward Jump]
type = velset
triggerall = !animtime && sysvar(1) = -1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.5 || 1 ; velocity
trigger1 = fvar(38) := 36.0 || 1 ; time
x = -4.0
y = fvar(37)

[state 40, End State]
type = changestate
trigger1 = !animtime
value = 50
ctrl = 1

;=========================================================================
; Dash Forward
;=========================================================================
[Statedef 100]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 100, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 100, Change Animation]
type = changeanim
trigger1 = !time
value = 100

[state 100, Dash Skill]
type = changestate
triggerall = !ailevel
triggerall = power >= powermax * 0.5
triggerall = animelemtime(2) >= 1 && animelemtime(3) < 0
trigger1 = command = "dskill"
value = 110
ctrl = 0

[state 100, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 100, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = 16.0

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 6.0

[state 100, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(2) > 0 && animelemtime(3) <= 0
x = -1.5 / 12.0

[state 100, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(3) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -1.0 + (0 - (-1.0 * 11.0)) / (11.0 ** 2.0 / 2.0) * animelemtime(2)

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = 0.0

[state 100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Backward
;=========================================================================
[Statedef 105]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 105, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 105, Set Position]
type = posset
trigger1 = !time
y = 0

[state 105, Change Animation]
type = changeanim
trigger1 = !time
value = 105

[state 105, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 105, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 105, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = -16.0

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = -6.0

[state 105, Add Velocity]
type = veladd
trigger1 = vel x < 0
trigger1 = animelemtime(2) > 0 && animelemtime(3) <= 0
x = 1.5 / 14.0

[state 105, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(3) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -3.0 + (0 - (-3.0 * 13.0)) / (13.0 ** 2.0 / 2.0) * animelemtime(2)

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = 0.0

[state 105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Skill
;=========================================================================
[Statedef 110]
type = A
movetype = I
physics = N

[state 110, Change Animation]
type = changeanim
trigger1 = !time
value = 110

[state 110, Add Power]
type = poweradd
trigger1 = !time
value = -powermax / 2

[state 110, Afterimage]
type = afterimage
trigger1 = !time
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 110, Width]
type = width
trigger1 = 1
edge = 40, 0

[state 110, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 110, Add Position]
type = posadd
trigger1 = !time
y = fvar(35) - 8.0

[state 110, Add Velocity]
type = veladd
trigger1 = 1
x = -0.05
y = 0.535

[state 110, End State]
type = changestate
trigger1 = pos y + vel y > 20
value = 111

;=========================================================================
; Dash Skill Land
;=========================================================================
[Statedef 111]
type = C
movetype = A
physics = N
ctrl = 0

[state 111, Set Position]
type = posset
trigger1 = !time
y = 0

[state 111, Change Animation]
type = changeanim
trigger1 = !time
value = 111

[state 111, Pause Frame 1]
type = changeanim
trigger1 = animelemtime(1) > 0 && animelemtime(3) <= 0
trigger1 = hitpausetime
value = anim
elem = 3
ignorehitpause = 1
persistent = 0

[state 111, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0
volumescale = 100

[state 111, Shake]
type = envshake
trigger1 = !time
time = 4
ampl = 6
freq = 128

[state 111, Slide Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Slide Dust"
ID = 60256
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 111, Set Velocity]
type = velset
trigger1 = !time
y = 0.0
[state 111, Set Velocity]
type = velset
trigger1 = vel x - 0.2375 <= 0
x = 0.0
[state 111, Add Velocity]
type = veladd
trigger1 = vel x - 0.2375 > 0
x = -0.2375
[state 111, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 0.0

[state 111, Juggle Points 1]
type = null
trigger1 = animelemtime(1) > 0 && animelemtime(3) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 110
[state 111, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(1) > 0 && animelemtime(3) < 0
ID = 0 + 0 * (var(21) := 110)
attr = C, SA
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -8)
animtype = hard
ground.type = trip
air.animtype = back
air.type = trip
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -6.0
guard.velocity = -8.0
air.velocity = -3.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 111, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
statetype = S
movetype = I
persistent = 0

[state 111, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 111, End State]
type = changestate
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 111, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; End of Round
;=========================================================================
[statedef 180]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 2

[state 180, Reset Miscellaneous Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 180, Calculate Score Bonus Normal]
type = null
triggerall = !time
trigger1 = var(3) := var(2) || 1 ;update previous score
trigger1 = var(2) := var(2) + Cond((stagevar(info.name)="Bonus Stage"=1),0,(100 * life + 100 * (100 - cond(sysfvar(1) > 99, 99, floor(sysfvar(1))))))


[state 180, Set Position]
type = posset
trigger1 = !time
y = 0

[state 180, Change Animation]
type = changeanim
trigger1 = !time
value = 180 + random % 2

[state 180, Victory Quote]
type = victoryquote
trigger1 = 0
value = 0

[state 180, Special Effect]
type = assertspecial
trigger1 = time < 240
flag = roundnotover

[state 180, Invulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = 1

[state 180, Voice]
type = playsnd
triggerall = stagevar(info.name) != "Bonus Stage"
trigger1 = anim = 180
trigger1 = !animelemtime(3)
trigger2 = anim = 181
trigger2 = !animelemtime(1) ; || !animelemtime(3) 
value = 180, anim - 180
volumescale = 100
channel = 0

;=========================================================================
; Arcade CPU Intro
;=========================================================================
[Statedef 191]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 191, Set Position]
type = posset
trigger1 = !time
y = 0

[state 191, Camera]
type = helper
trigger1 = !time
name = "Camera"
ID = 191
stateno = 9990
postype = P1
pos = 0, 0
facing = 1
ownpal = 1

[state 191, Change Animation]
type = changeanim
trigger1 = !time
value = 45

[state 191, Special Effect]
type = assertspecial
trigger1 = 1
flag = intro

[state 191, Vulnerability]
type = nothitby
trigger1 = anim = 45
value = SCA
time = 1

[state 191, Solidity]
type = playerpush
trigger1 = anim = 45
value = 0

[state 191, Add Position]
type = posadd
trigger1 = !time
x = -200.0
y = 0.0

[state 191, Set Velocity]
type = velset
trigger1 = !time
x = cond(numhelper(stateno), (helper(stateno),pos x - pos x) * facing, 200.0) / 56.0
y = const(movement.yaccel) * 28.0 * -1.0

[state 191, Add Velocity]
type = veladd
trigger1 = anim = 45
trigger1 = time
y = const(movement.yaccel)

[state 191, Change Animation]
type = changeanim
trigger1 = anim = 45 && time
trigger1 = pos y + vel y >= 0
value = 48

[state 191, State Type Set]
type = statetypeset
trigger1 = anim = 48
statetype = S
persistent = 0

[state 191, Sound]
type = playsnd
trigger1 = anim = 48
value = F52, 0
volumescale = 100
persistent = 0

[state 191, Set Velocity]
type = velset
trigger1 = anim = 48
x = 0.0
y = 0.0
persistent = 0

[state 191, Set Velocity]
type = posset
trigger1 = anim = 48
x = cond(numhelper(stateno), helper(stateno),pos x, pos x)
y = 0.0
persistent = 0

[state 191, Bound]
type = screenbound
trigger1 = anim = 45
value = 0
movecamera = 0, 0

[state 191, End State]
type = changestate
trigger1 = anim = 48
trigger1 = !animtime
value = 0

;=========================================================================
; Taunt
;=========================================================================
[Statedef 195]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 195, Set Position]
type = posset
trigger1 = !time
y = 0

[state 195, Change Animation]
type = changeanim
trigger1 = !time
value = 195

[state 195, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Tough Skill
;=========================================================================
[Statedef 900]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 900, Reset Misc Variables]
type = varset
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(2) = 900 + 0 * (var(52) := 900 / 3)

[state 900, Set Position]
type = posset
trigger1 = !time
y = 0

[state 900, Change Animation]
type = changeanim
trigger1 = !time
value = 900

[state 900, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 900, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 900, Super Pause]
type = superpause
trigger1 = !time
time = 48
movetime = (var(54) := 48)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 900, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 900, Voice]
type = playsnd
trigger1 = !time
value = 1, 1
volumescale = 100
channel = 0

[state 900, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 900, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Ghost Recon Active
;=========================================================================
[Statedef 905]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 905, Decrement Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
var(52) = -(sysvar(2) / 3)

[state 905, Set Position]
type = posset
trigger1 = !time
y = 0

[state 905, Change Animation]
type = changeanim
trigger1 = !time
value = 905

[state 905, Charge Animation]
type = varset
triggerall = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = command = "a" || command = "b"
trigger2 = command = "x" || command = "y"
var(6) = cond(command = "y", 4, cond(command = "x", 3, cond(command = "b", 2, 1)))

[state 905, Charge Animation]
type = changestate
triggerall = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = command = "a" || command = "b"
trigger2 = command = "x" || command = "y"
value = 906

[state 905, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 905, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Ghost Recon Disappear
;=========================================================================
[Statedef 906]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 906, Reset Juggle]
type = null
trigger1 = !time
trigger1 = var(16) := 0 || var(17) := 0 || var(18) := 0

[state 906, Set Position]
type = posset
trigger1 = !time
y = 0

[state 906, Change Animation]
type = changeanim
trigger1 = !time
value = 906

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F3, 0
volumescale = 100

[state 906, End State]
type = changestate
trigger1 = !animtime
value = cond(var(6) >= 3, 908, 907)

;=========================================================================
; Ghost Recon Grounded
;=========================================================================
[Statedef 907]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 907, Set Position]
type = posset
trigger1 = !time
y = 0

[state 907, Change Animation]
type = changeanim
trigger1 = !time
value = 907

[state 907, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F3, 6
volumescale = 100

[state 907, Set Position]
type = posset
trigger1 = !time
x = cond(var(6) = 2, gamewidth * 0.5 - const(size.ground.back), -gamewidth * 0.5 + const(size.ground.back))

[state 907, Turn]
type = turn
trigger1 = !time && p2dist x < 0

[state 907, Invisible]
type = assertspecial
trigger1 = time < 8
flag = invisible

[state 907, Poof Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Poof Dust"
ID = 60258
stateno = 6025
postype = P1
pos = 12, -38
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 907, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 907, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Ghost Recon Airborne
;=========================================================================
[Statedef 908]
type = A
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 908, Change Animation]
type = changeanim
trigger1 = !time
value = 908

[state 908, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F3, 6
volumescale = 100

[state 908, Set Position]
type = posset
trigger1 = !time
x = cond(var(6) = 4, gamewidth * 0.5 - const(size.ground.back), -gamewidth * 0.5 + const(size.ground.back))
Y = -120.0

[state 908, Turn]
type = turn
trigger1 = !time && p2dist x < 0

[state 908, Invisible]
type = assertspecial
trigger1 = time < 8
flag = invisible

[state 908, Add Velocity]
type = veladd
trigger1 = 1
y = 0.375

[state 908, Poof Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Poof Dust"
ID = 60258
stateno = 6025
postype = P1
pos = 0, -72
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 908, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 908, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; Ghost Recon Passive
;=========================================================================
[Statedef 910]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 910, Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(3) = sysvar(2) + 0 * (var(53) := 1)

[state 910, Set Position]
type = posset
trigger1 = !time
y = 0

[state 910, Change Animation]
type = changeanim
trigger1 = !time
value = 910

[state 910, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 910, Super Pause]
type = superpause
trigger1 = !time
time = 36
movetime = (var(54) := 36)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 910, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 36

[state 910, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 910, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100
channel = 9

[state 910, Shake]
type = envshake
trigger1 = !animelemtime(2)
time = 32
ampl = 4
freq = 128

[state 910, Control]
type = ctrlset
trigger1 = time = 36 || !animelemtime(10)
value = 1

[state 910, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; A. Gethit Flying
;=========================================================================
[Statedef 5030]
type = A
movetype = H
physics = N
ctrl = 0

[state 5030, Set Hit Fall]
type = hitfallset
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger2 = !alive
value = 1

[state 5030, Change Animation]
type = changeanim
trigger1 = anim != [5000, 5199]
trigger1 = selfanimexist(5030)
value = 5030

[state 5030, Set Hit Velocity]
type = velset
trigger1 = !time
x = gethitvar(xvel) * facing * fvar(27)
y = gethitvar(yvel) * fvar(27)

[state 5030, Add Velocity]
type = veladd
trigger1 = time
y = gethitvar(yaccel)

[state 5030, End State]
type = changestate
triggerall = !hitfall
trigger1 = hitover || gethitvar(hittime) < 0
trigger2 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5040

[state 5030, End State]
type = changestate
triggerall = hitfall
trigger1 = hitover || gethitvar(hittime) < 0 || !animtime || time >= 0
trigger2 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5050 - 10 * var(53)

[state 5030, End State]
type = changestate
trigger1 = !animtime
trigger2 = anim = [5090, 5095]
trigger2 = time >= 7
value = 5035

;=========================================================================
; Air get-hit (transition)
;=========================================================================
[Statedef 5035]
type = A
movetype = H
physics = N

[state 5035, Set Hit Fall]
type = hitfallset
trigger1 = fvar(14) >= fvar(15) || var(4)
value = 1

[state 5035, Add Velocity]
type = veladd
trigger1 = cond((prevstateno = [5030, 5050]), 1, time)
y = gethitvar(yaccel)

[state 5035, End State]
type = changestate
triggerall = !hitfall
trigger1 = hitover || gethitvar(hittime) < 0
trigger2 = pos y + vel y > const(movement.air.gethit.groundlevel)
trigger3 = anim != 5035 && !time
value = 5040

[state 5035, End State]
type = changestate
triggerall = hitfall
trigger1 = hitover || gethitvar(hittime) < 0 || !animtime || time >= 0
trigger2 = pos y + vel y > const(movement.air.gethit.groundlevel)
trigger3 = anim != 5035 && !time
value = 5050 - 10 * var(53)

;=========================================================================
; A. Gethit Recovering
;=========================================================================
[Statedef 5040]
type = A
movetype = H
physics = N

[state 5040, Set Hit Fall]
type = hitfallset
trigger1 = var(53)
value = 0

[state 5040, Set Hit Fall]
type = hitfallset
trigger1 = fvar(14) >= fvar(15) || var(4)
value = 1

[state 5040, End State]
type = changestate
trigger1 = !alive
trigger2 = fvar(14) >= fvar(15) || var(4)
value = 5050
ctrl = 0

[state 5040, Change Animation]
type = changeanim
trigger1 = !time
value = 5040

[state 5040, Set State Type]
type = statetypeset
trigger1 = hitover
movetype = I
persistent = 0

[state 5040, Solidity]
type = playerpush
triggerall = var(53)
trigger1 = command = "holdback" || command = "holdfwd"
value = 0

[state 5040, Set Velocity]
type = veladd
triggerall = var(53)
trigger1 = vel x = [-4.0, 4.0]
trigger1 = command = "holdback" || command = "holdfwd"
x = 0.5 - 1.0 * (command = "holdback")

[state 5040, Set Velocity]
type = velset
triggerall = var(53)
trigger1 = vel x != [-4.0, 4.0]
trigger1 = command = "holdback" || command = "holdfwd"
x = cond(vel x < -4.0, -4.0, 4.0)

[state 5040, Add Velocity]
type = veladd
trigger1 = 1
y = gethitvar(yaccel)

[state 5040, End State]
type = changestate
trigger1 = vel y >= 0
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; A. Gethit Falling
;=========================================================================
[Statedef 5050]
type = A
movetype = H
physics = N

[state 5050, End State]
type = changestate
triggerall = var(53)
trigger1 = alive && fvar(14) < fvar(15) && !var(4)
value = 5040
ctrl = 0

[state 5050, Change Animation]
type = changeanim
trigger1 = !time
trigger1 = anim != [5090, 5095]
value = 5050

[state 5050, Change Animation]
type = changeanim
trigger1 = !time && vel y >= 0
value = 5060

[state 5050, Add Velocity]
type = veladd
trigger1 = 1
y = gethitvar(yaccel)

[state 5050, End State]
type = changestate
trigger1 = vel y >= 0
trigger1 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5100

;=========================================================================
; T. Gethit Flying
;=========================================================================
[Statedef 5071]
type = A
movetype = H
physics = N

[state 5071, Set Trip Flag]
type = varset
trigger1 = !time
sysvar(0) = stateno

[state 5071, Set Hit Velocity]
type = velset
trigger1 = !time
x = gethitvar(xvel) * facing * fvar(27)
y = gethitvar(yvel) * fvar(27)

[state 5071, Add Velocity]
type = veladd
trigger1 = time
y = gethitvar(yaccel)

[state 5071, End State]
type = changestate
trigger1 = var(53)
value = 5040
ctrl = 0

[state 5071, End State]
type = changestate
trigger1 = vel y >= 0
trigger1 = pos y + vel y > const(movement.air.gethit.trip.groundlevel)
value = 5110

;=========================================================================
; L. Gethit Static
;=========================================================================
[Statedef 5110]
type = L
movetype = H
physics = N

[state 5110, Change Animation]
type = changeanim
trigger1 = !time && anim != 5080 && anim != 5110
value = 5170

[state 5110, Change Animation]
type = changeanim
trigger1 = !animtime
trigger2 = anim = 5080 && animelemtime(2) >= 4
value = 5110

[state 5110, Set Position]
type = posset
trigger1 = !time
y = 0

[state 5110, Turn]
type = turn
trigger1 = sysvar(0) = 5071
persistent = 0

[state 5110, Hit Fall Damage]
type = hitfalldamage
trigger1 = !time && prevstateno != [5100, 5101]

[state 5110, Shake]
type = envshake ; fallenvshake
triggerall = !time
trigger1 = (prevstateno != [5080, 5081])
; trigger1 = (prevstateno != [5100, 5101])
time = 4
ampl = 1
freq = 128

[state 5100, Sound]
type = playsnd
triggerall = !time
trigger1 = (prevstateno != [5080, 5081])
; trigger1 = (prevstateno != [5100, 5101])
value = F5100, 0

[state 5100, Hit Ground Dust]
type = helper
triggerall = random%3=0
triggerall = !time
trigger1 = (prevstateno != [5080, 5081])
trigger1 = (prevstateno != [5100, 5101])
name = "Hit Ground Dust"
ID = 60250
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 5110, Set Velocity]
type = velset
trigger1 = !time && vel x != [-1.25, 1.25]
trigger1 = sysvar(0) = 5071
x = cond(vel x > 1.25, 1.25, -1.25) * fvar(27)

[state 5110, Set Velocity]
type = velset
trigger1 = !time && vel x != [-1.875, 1.875]
trigger1 = sysvar(0) != 5071
x = cond(vel x > 1.875, 1.875, -1.875) * fvar(27)

[state 5110, Set Velocity]
type = velset
trigger1 = !time
y = 0.0

[state 5110, Set Velocity]
type = velset
trigger1 = anim = 5110
trigger2 = anim != 5110 && !animtime
x = 0.0 * fvar(27)
persistent = 0

[state 5110, Multiply Velocity]
type = velmul
trigger1 = vel x
x = 0.765

[state 5110, FFB]
type = forcefeedback
trigger1 = alive
trigger1 = !time
time = 8
ampl = 240
waveform = sine

[state 5110, FFB]
type = forcefeedback
trigger1 = !alive
trigger1 = !time
ampl = 200, 7, -0.467
time = 30
waveform = sine

[state 5110, End State]
type = changestate
trigger1 = alive && anim = 5110
value = 5111

[state 5110, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Lying Down
;=========================================================================
[Statedef 5111]
type = L
movetype = H
physics = N

[state 5111, End State]
type = changestate
triggerall = alive
trigger1 = sysvar(0) = 5071 && animelemtime(1) >= 10 ; unqiue
trigger2 = sysvar(0) != 5071 && animelemtime(1) >= 21 ; unqiue
trigger3 = time > 128
value = 5120

[state 5111, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Get Up
;=========================================================================
[Statedef 5120]
type = L
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 5120, Change Animation]
type = changeanim
trigger1 = !time
value = 5120

[state 5120, Turn]
type = turn
trigger1 = sysvar(0) = 5071
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = fvar(14) >= fvar(15) || var(4)
movetype = H
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = !animtime ; unique
statetype = S
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = statetype = L
value = SCA
time = 1

[state 5120, Set Hit Fall]
type = hitfallset
trigger1 = !animtime || statetype = S ; ???
trigger1 = fvar(14) < fvar(15) && !var(4)
value = 1

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = ,NT,ST,HT
time = 12
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value2 = SCA
time = 3
persistent = 0

[state 5120, Control Set]
type = ctrlset
trigger1 = statetype = S
value = 1
persistent = 0

[state 5120, Change to Dizzy State]
type = changestate
triggerall = numhelper(6002) && alive
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger1 = ctrl || !animtime
trigger1 = fvar(14) := 0 || var(4) := 0 || 1
value = 5300

[state 5120, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1