; Super Fighter Team

;=========================================================================
; Iron Skull Strike
;=========================================================================
[Statedef 1000]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, No Cornerpush]
type = varset
trigger1 = !time
fvar(25) = -1.0

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
trigger1 = !time
value = 1000

[state 1000, Solidity]
type = playerpush
trigger1 = animelemtime(2) >= 0
value = 0

[state 1000, Bound]
type = screenbound
trigger1 = animelemtime(2) >= 0
movecamera = 0, 1
value = 0

[state 1000, Camera Helper]
type = helper
trigger1 = !animelemtime(2)
name = "Camera Helper"
ID = 1005
stateno = 1005
postype = P1
pos = 0, 0
ownpal = 0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Calculate Ticks to Reach Wall]
type = null
trigger1 = fvar(18) := -backedgedist || 1
trigger1 = fvar(19) := cond(backedgedist > 128, 16.0, cond(backedgedist > 64, 8.0, 4.0))

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = fvar(18) / fvar(19) ; cond(fvar(18) / fvar(19) > -10.0, -10.0, fvar(18) / fvar(19))
y = cond(var(9) = 2, -56.0, -24.0) / fvar(19)

[state 1000, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A

[state 1000, Wall State]
type = changestate
trigger1 = animelemtime(2) >= fvar(19)
trigger1 = backedgedist <= 0
value = 1001

[state 1000, End State]
type = changestate
trigger1 = time > 128
value = 50

;=========================================================================
; Iron Skull Strike Wall
;=========================================================================
[Statedef 1001]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 1001, Change Animation]
type = changeanim
trigger1 = !time
value = 1001

[state 1001, Set Position]
type = posset
trigger1 = 1
x = gamewidth * 0.5 * -facing + 0.0 * facing

[state 1001, Bound]
type = screenbound
trigger1 = 1
movecamera = 0, 1
value = 0

[state 1001, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100

[state 1001, Remove Static Copy]
type = removeexplod
trigger1 = numexplod(1005)
ID = 1005

[state 1001, Static Copy]
type = explod
trigger1 = !numexplod(1005)
anim = 1005
ID = 1005
postype = back
pos = 0, floor(screenpos y)
facing = 1
bindtime = -1
removetime = -1
sprpriority = 1

[state 1001, Headbutt State]
type = changestate
trigger1 = !AILevel
trigger1 = command != "hold_x" && command != "hold_y" && command != "holdback"
trigger1 = animelemtime(1) >= 16
trigger2 = !AILevel
trigger2 = command = "hold_x" || command = "hold_y" || command = "holdback"
trigger2 = animelemtime(1) >= 64
trigger3 = AILevel
trigger3 = animelemtime(1)>=16 && animelemtime(1)<=64 && random<100
value = 1002

[state 1001, End State]
type = changestate
trigger1 = time > 128
value = 50

;=========================================================================
; Iron Skull Strike Headbutt
;=========================================================================
[Statedef 1002]
type = A
movetype = A
physics = N
ctrl = 0

[state 1002, Change Animation]
type = changeanim
trigger1 = !time
value = 1002

[state 1002, Hit Frame]
type = changeanim
trigger1 = animelemtime(1) > 0 && animelemtime(2) < 0
trigger1 = movecontact || movereversed
value = anim
elem = 2

[state 1002, Bound]
type = screenbound
trigger1 = numhelper(1005)
movecamera = 0, 1
value = 0

[state 1002, Add Power]
type = poweradd
trigger1 = !animelemtime(1)
value = 3

[state 1002, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1000, 0
volumescale = 100
channel = 0
persistent = 0

[state 1002, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1002, Remove Static Copy]
type = removeexplod
trigger1 = numexplod(1005)
ID = 1005

[state 1002, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = animelemtime(1) >= 0 && animelemtime(1) <= 4
trigger1 = animelemtime(animelemno(0)) % 2 = 0
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, -50
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1002, Set Velocity]
type = velset
trigger1 = !animelemtime(1)
x = 22.0
y = 1.5 * command = "holddown" - 3.0 * command = "holdup"
[state 1002, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = vel x * 0.375
[state 1002, Add Velocity]
type = veladd
trigger1 = animelemtime(1) > 0
x = -1.0 * (animelemtime(2) < 0)
y = 0.2 + 0.3 * (animelemtime(2) >= 0)

[state 1002, Juggle Points 1]
type = null
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1002
[state 1002, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
ID = 5230 + 0 * (var(21) := 1002)
attr = A, SA
damage = ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 24, 24
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 48), (var(42) := -60)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -12.0, 0.0
guard.velocity = -8.0
air.velocity = -12.0, 0.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1002, Idle]
type = statetypeset
trigger1 = animelemtime(2) >= 0
movetype = I
persistent = 0

[state 1002, End State]
type = changestate
trigger1 = animelemtime(2) >= 0
trigger1 = pos y + vel y > 24
value = 1003

[state 1002, End State]
type = changestate
trigger1 = time > 128
value = 50

;=========================================================================
; Iron Skull Strike Land
;=========================================================================
[Statedef 1003]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0
movehitpersist = 1

[state 1003, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1003, Change Animation]
type = changeanim
trigger1 = !time
value = 1003

[state 1003, Move Guarded]
type = changeanim
trigger1 = time < 12
trigger1 = moveguarded
value = anim

[state 1003, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1003, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !time
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1003, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1003, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1003, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1003, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Iron Skull Strike Camera
;=========================================================================
[Statedef 1005]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 1005, Change Animation]
type = changeanim
trigger1 = anim != 9999
value = 9999

[state 1005, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 1

[state 1005, Destroy Helper]
type = destroyself
trigger1 = root,stateno != [1000, 1002]
trigger2 = rootdist x >= 0 && root,anim = 1002

;=========================================================================
; Deadly Pincer Grasp
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 1
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = cond(anim = 1101, 6.0, 3.0)
y = cond(anim = 1101, -3.0, -8.0)

[state 1100, Add Velocity]
type = veladd
trigger1 = animelemtime(2) > 0
x = cond(vel x - cond(anim = 1101, 0.125, 0.0625) >= 0, -cond(anim = 1101, 0.125, 0.0625), 0.0)

[state 1100, Precise Velocity]
type = veladd
trigger1 = animelemtime(2) > 0
y = (20 - (cond(anim = 1101, -3.0, -8.0) * cond(anim = 1101, 37.0, 33.0))) / (cond(anim = 1101, 37.0, 33.0) ** 2.0 / 2.0)

[state 1100, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A

[state 1100, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(9) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0
trigger1 = animelemtime(9) >= 0 && animelemtime(10) < 0
ID = 1110 + 0 * (var(21) := 1100)
attr = A, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag =
hitflag = MAF
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5625
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1105
numhits = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(10) >= 0
movetype = I
persistent = 0

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 1101

;=========================================================================
; Deadly Pincer Grasp Slide
;=========================================================================
[Statedef 1101]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 1101, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1101, Change Animation]
type = changeanim
trigger1 = !time
value = 1102

[state 1101, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1101, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(1)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1101, Add Position]
type = posadd
trigger1 = !animelemtime(3)
y = 24.0

[state 1101, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = -3.0
Y = -8.0

[state 1101, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(11) <= 0
y = (-24 - (-8.0 * 27.0)) / (27.0 ** 2.0 / 2.0)

[state 1101, Land Velocity]
type = velset
trigger1 = !animelemtime(11)
x = 0.0
y = 0.0
[state 1101, Land Position]
type = posset
trigger1 = !animelemtime(11)
y = 0

[state 1101, Land Sound]
type = playsnd
trigger1 = !animelemtime(11)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1101, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(11)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1101, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1101, Grounded]
type = statetypeset
trigger1 = !animelemtime(11)
statetype = S

[state 1101, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1101, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1101, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1101, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Deadly Pincer Grasp Success
;=========================================================================
[Statedef 1105]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1105, Change Animation]
type = changeanim
trigger1 = !time
value = 1105

[state 1105, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1105, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1105, Add Velocity]
type = veladd
triggerall = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
y = (const(movement.yaccel) + target,const(movement.yaccel)) ** 2.0 / 2.0

[state 1105, Slam Animation]
type = changeanim
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger1 = pos y + vel y > 0
value = anim
elem = 3
[state 1105, Slam Velocity]
type = velset
trigger1 = !animelemtime(3)
y = 0.0
[state 1105, Slam Position]
type = posset
trigger1 = !animelemtime(3)
y = 0

[state 1105, Add Position]
type = posadd
trigger1 = !animelemtime(5)
y = 24.0

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(5)
x = -3.0
Y = -8.0

[state 1101, Precise Velocity]
type = veladd
trigger1 = animelemtime(5) > 0 && animelemtime(13) <= 0
y = (-24 - (-8.0 * 25.0)) / (25.0 ** 2.0 / 2.0)

[state 1101, Land Velocity]
type = velset
trigger1 = !animelemtime(13)
x = 0.0
y = 0.0
[state 1101, Land Position]
type = posset
trigger1 = !animelemtime(13)
y = 0

[state 1101, Land Sound]
type = playsnd
trigger1 = !animelemtime(13)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1101, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(13)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1101, Airborne]
type = statetypeset
trigger1 = !animelemtime(5)
statetype = A
[state 1101, Grounded]
type = statetypeset
trigger1 = !animelemtime(3) || !animelemtime(13)
statetype = S

[state 1105, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1105, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1110

[state 1105, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
value = -1

;========================< Bind Target >========================

[state 1105, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = !animelemtime(1) ; >= 0 && animelemtime(2) < 0
pos = 38 * target,const(size.xscale), (target,p2dist y  - 32) * target,const(size.yscale), foot

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(3) < 0
pos = 38 * const(size.xscale), -12 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(3)
pos = 38 * const(size.xscale), 0 * const(size.yscale)

;========================< Damage Target >========================

[state 1105, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = !animelemtime(3)
value = -ceil(cond(48 * fvar(23) < 2, 2, 48 * fvar(23)))
kill = !animelemtime(3)

[state 1105, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = !animelemtime(3)
value = 4 * (target,prevstateno != 5300)

;========================< Release Target >========================

[state 1105, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(3)
value = 1111

;========================< Throw Effects >========================

[state 1105, Add Hit]
type = hitadd
trigger1 = !animelemtime(3)
trigger1 = var(15) := 0 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := -1 || var(12) := -1 || fvar(22) := fvar(22) || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := -1 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := -1 || var(42) := -1 || 1 ; sparkxy
value = 1

[state 1105, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 16

[state 1105, Shake]
type = envshake
trigger1 = !animelemtime(3)
time = 8
ampl = 8
freq = 128

[state 1105, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F5100, 0

[state 1105, Split Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Split Dust"
ID = 60254
stateno = 6025
postype = P1
pos = 38, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

;========================< End Throw >========================

[state 1105, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 1105, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1105, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1105, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Target (1110) - 1
;=========================================================================
[Statedef 1110]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1110, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1110

[state 1110, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1110, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1110, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1110) - 2
;=========================================================================
[Statedef 1111]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1111, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1111
[state 1111, Change Animation]
type = changeanim
trigger1 = !animtime
value = 5160 

[state 1111, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1111, Set Velocity]
type = velset
trigger1 = anim = 5160
trigger1 = !animelemtime(1)
x = -4.0 * fvar(27)
y = -3.0 * fvar(27)

[state 1111, Add Velocity]
type = veladd
trigger1 = anim = 5160
trigger1 = animelemtime(1) > 0
y = gethitvar(yaccel)

[state 1111, Own State]
type = selfstate
trigger1 = vel y > 0
trigger1 = pos y + vel y > const(movement.air.gethit.groundlevel)
value = 5110

[state 1111, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Boomerang Kick
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(9 + (anim = 1200))
trigger2 = anim = 1201 && !animelemtime(15)
value = 1200, 0
volumescale = 100
channel = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(9 + (anim = 1200))
trigger2 = anim = 1201 && !animelemtime(15)
value = F2, 3
volumescale = 100
channel = 1

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2) || !animelemtime(4)
trigger2 = !animelemtime(8 + (anim = 1200)) || anim = 1201 && !animelemtime(14)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(3) || !animelemtime(8)
trigger2 = anim = 1201 && !animelemtime(13)
x = 5.0
[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(6) || !animelemtime(11)
x = -2.5 - 0.5 * (anim = 1201)
[state 1200, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(5) < 0
trigger2 = animelemtime(6) > 0 && animelemtime(10 + (anim = 1200)) < 0
trigger3 = anim = 1201 && animelemtime(11) > 0 && animelemtime(16) < 0
x = cond(vel x < 0, 0.75, -0.4)
[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(5) || !animelemtime(10 + (anim = 1200))
trigger2 = anim = 1201 && !animelemtime(16)
x = 0.0

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = S, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 6 + 2 + (anim = 1200), 6 + 2 + (anim = 1200)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -30)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -1.0, (-4.0 - 3.0 * (anim = 1200)) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -8.0
air.velocity = -1.0, (-4.0 - 3.0 * (anim = 1200)) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 2]
type = null
trigger1 = anim = 1201
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1201
[state 1200, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1201
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 1201)
attr = S, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 70), (var(42) := -60)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -1.0, -8.0 + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -8.0
air.velocity = -1.0, -8.0 + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 3]
type = null
trigger1 = animelemtime(11 + 5 * (anim = 1201)) >= 0 && animelemtime(12 + 5 * (anim = 1201)) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1202
[state 1200, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(11 + 5 * (anim = 1201)) >= 0 && animelemtime(12 + 5 * (anim = 1201)) < 0
ID = 0 + 0 * (var(21) := 1202)
attr = S, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 54), (var(42) := -106)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -7.0
guard.velocity = -8.0
air.velocity = -5.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(12 + 5 * (anim = 1201)) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Electric Stab
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Width]
type = width
trigger1 = animelemtime(4) >= 0
edge = 48, 0

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(8)
value = 1200 + 100 * !animelemtime(8), 0
volumescale = 100
channel = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F3, 5
volumescale = 100
channel = 1
persistent = 0

[state 1300, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1301, 6.0, 3.0)
y = cond(anim = 1301, -12.0, -7.5)
[state 1300, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && (animelemtime(8) < 0)
x = cond(anim = 1301, -0.375, -0.125)
y = cond(anim = 1301, 1.0, 0.625)
[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(8)
x = cond(anim = 1301, 5.0, 2.5)
y = 5.0

[state 1300, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(8), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(8) > 0
y = (fvar(18) - (fvar(19) * cond(anim = 1301, 8.0, 6.0))) / (cond(anim = 1301, 8.0, 6.0) ** 2.0 / 2.0)

[state 1300, Airborne]
type = statetypeset
trigger1 = !animelemtime(4)
statetype = A

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(8) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond(cond(anim = 1301, 22, 16) * fvar(23) < 2, 2, cond(anim = 1301, 22, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := cond(animelemno(0) = 4, 56, cond(animelemno(5), 50, 38))), (var(42) := cond(animelemno(0) = 4, -38, cond(animelemno(5), -80, -104)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, cond(anim = 1301, -6.0, -4.0)
guard.velocity = -7.0
air.velocity = -3.0, cond(anim = 1301, -6.0, -4.0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
palfx.time = 16
palfx.add = -128, -128, -128
palfx.sinadd = 32, 128, 256, 8

[state 1300, Juggle Points 2]
type = null
trigger1 = animelemtime(9) >= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1301
[state 1300, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(9) >= 0
ID = 0 + 0 * (var(21) := 1301)
attr = A, SA
damage = ceil(cond(cond(anim = 1301, 20, 14) * fvar(23) < 2, 2, cond(anim = 1301, 20, 14) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, 11.0
guard.velocity = -9.0
air.velocity = -3.0, 11.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0
down.bounce = 0
forcestand = 1
forcenofall = 0

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 1301

;=========================================================================
; Electric Stab Land
;=========================================================================
[Statedef 1301]
type = C
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1301, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1301, Change Animation]
type = changeanim
trigger1 = !time
value = 1302

[state 1301, Sound]
type = null ; playsnd
trigger1 = !time 
value = F3, 6
volumescale = 100

[state 1301, Sound]
type = playsnd
trigger1 = !time 
value = F5100, 0
volumescale = 100

[state 1301, Shake]
type = envshake
trigger1 = !time 
time = 8
ampl = 4
freq = 128

[state 1301, Slide Dust 2]
type = helper
triggerall = random%3=0
trigger1 = !time 
name = "Slide Dust 2"
ID = 60257
stateno = 6025
postype = P1
pos = 44, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1301, Juggle Points 1]
type = null
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1301
[state 1301, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
ID = 0 + 0 * (var(21) := 1301)
attr = C, SA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag =
hitflag = FD
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 50), (var(42) := -4)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, 11.0
guard.velocity = -7.0
air.velocity = -3.0, 11.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0.0
down.velocity = -3.0, 0.0
forcestand = 1
forcenofall = 0

[state 1301, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
statetype = S
movetype = I
persistent = 0

[state 1301, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1301, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1301, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1301, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Knife Thrust
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Add Power]
type = poweradd
triggerall = anim = [1400, 1401]
trigger1 = !animelemtime(3)
value = 0

[state 1400, Voice]
type = playsnd
triggerall = anim = [1400, 1401]
trigger1 = !animelemtime(3)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
triggerall = anim = [1400, 1401]
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1400, Dagger]
type = helper
triggerall = anim = [1400, 1401]
trigger1 = !animelemtime(3)
name = "Dagger"
ID = 1405
stateno = 1405
postype = P1
pos = 62, -55
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1400, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1400, Idle]
type = statetypeset
triggerall = anim = [1400, 1401]
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 1400, Lose Dagger]
type = changeanim
triggerall = anim = [1400, 1401]
triggerall = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = numhelper(1405)
trigger1 = helper(1405),stateno != 1405 && helper(1405),stateno != 1407
value = 1402

[state 1400, Catch Dagger]
type = changeanim
triggerall = anim = [1400, 1401]
triggerall = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = !numhelper(1405)
trigger2 = numhelper(1405)
trigger2 = helper(1405),stateno = 1407 && helper(1405),var(6) >= helper(1405),var(7)
value = anim
elem = 4

[state 1400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1400, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1400, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1400, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dagger Start 1
;=========================================================================
[Statedef 1405]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1405, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1407
[state 1405, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1408

[state 1405, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1406 && !time
var(0) = 1
ignorehitpause = 1

[state 1405, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1405, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1405, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1405, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1405, Change Animation]
type = changeanim
trigger1 = anim != 1405 && !time
value = 1405

[state 1405, Ghost Recon: Unguardable]
type = assertspecial
triggerall = root,name = "Sheana"
trigger1 = root,var(52) || root,prevstateno = [902, 903]
flag = unguardable

[state 1405, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1405, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1405, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1406
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1405, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1405, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1405, Set Velocity]
type = velset
trigger1 = !var(6)
x = cond(var(9) = 2, 12.0, 8.0)

[state 1405, Add Velocity]
type = veladd
trigger1 = var(6)
x = -0.5

[state 1405, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = S, SP
hitflag = 

[state 1405, Juggle Points 1]
type = null
trigger1 = var(2) <= 0 && vel x >= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1405
[state 1405, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0 && vel x >= 0
ID = 0 + 0 * (var(21) := 1405)
attr = S, SP
damage = ceil(cond(32 * fvar(23) < 2, 2, 32 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
guard.pausetime = 4, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(vel x >= 0, -3.0, 3.0), -7.5 
guard.velocity = cond(vel x >= 0, -7.0, 7.0)
air.velocity = cond(vel x >= 0, -3.0, 3.0), -7.5 
airguard.velocity = cond(vel x >= 0, -4.0, 4.0), -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1405, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1405, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1405, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1405, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1405, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1405, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1405, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1405, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1405, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1405, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1405, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1405, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = S, SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1405, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = cond(movehit, 1407, 1408)
ignorehitpause = 1

[state 1405, Destroy Helper]
type = destroyself
trigger1 = var(6) >= cond(var(9) = 2, 48, 32)	
trigger2 = 0 ; root,stateno != [1400, 1401]
trigger3 = 0 ; root,animelemtime(3) < 0 || root,animelemtime(4) >= 0

[state 1405, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

[state 1405, Pseudo-Time]
type = varadd
trigger1 = 1
var(6) = 1

;=========================================================================
; Dagger Canceled 1
;=========================================================================
[Statedef 1406]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1406, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1406, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1406, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1406, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1406, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1406, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1406
slot = 0
time = -1
forceair = 0

[state 1406, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1406, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1406, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1406, Miss]
type = hitdef
trigger1 = 1
attr = S, SP
hitflag = 

[state 1406, End State]
type = changestate
trigger1 = !time
value = 1408

;=========================================================================
; Dagger End 1
;=========================================================================
[Statedef 1407]
type = S
movetype = I
physics = N
ctrl = 0
movehitpersist = 1

[state 1407, Pseudo-Time]
type = varset
trigger1 = !time
var(6) = 0

[state 1407, Change Animation]
type = changeanim
trigger1 = !time
value = 1407

[state 1407, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1407, Add Position]
type = posadd
trigger1 = !time
x = -20.0

[state 1407, Set Velocity]
type = velset
trigger1 = !time
x = (rootdist x  + 62 - 20) / (var(7) := cond(rootdist x > -100, 4, 12))

[state 1407, Destroy]
type = destroyself
trigger1 = var(6) >= var(7)
trigger2 = 0 ; root,stateno != [1400, 1401]
trigger3 = 0 ; root,animelemtime(3) < 0 || root,animelemtime(4) >= 0

[state 1407, Pseudo-Time]
type = varadd
trigger1 = 1
var(6) = 1

;=========================================================================
; Dagger End 2
;=========================================================================
[Statedef 1408]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 1408, Change Animation]
type = changeanim
trigger1 = !time
value = 1408

[state 1408, Angle]
type = angledraw
trigger1 = 1
value = -45 * time

[state 1408, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1408, Add Position]
type = posadd
trigger1 = !time
x = -20.0

[state 1408, Set Velocity]
type = velset
trigger1 = !time
x = -5.0
y = -7.5
[state 1408, Add Velocity]
type = veladd
trigger1 = time
y = 0.5

[state 1408, Fade Out]
type = trans
trigger1 = 1
trans = addalpha
alpha = 256 - 16 * time, 0 + 16 * time

[state 1408, Destroy]
type = destroyself
trigger1 = time >= 16