; Super Fighter Team

;=========================================================================
; Turf Smash
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1
movehitpersist = (prevstateno = 905)
hitcountpersist = (prevstateno = 907)

[state 1000, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1000, Level]
type = null
triggerall = !time && prevstateno != 907
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = anim != 1000 + var(9) - 1
trigger1 = anim != 1005
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Charge Animation]
type = changeanim
trigger1 = command = "hold_a" || command = "hold_b"
trigger1 = anim = 1000 + var(9) - 1 && !animelemtime(2)
trigger1 = var(6) := 3
value = 1005
[state 1000, Loop Charge Animation]
type = changeanim
trigger1 = command = "hold_a" || command = "hold_b"
trigger1 = anim = 1005 && !animelemtime(3) && var(6)
trigger1 = var(6) := var(6) - 1
value = 1005
elem = 1
[state 1000, Interrupt Charge Animation]
type = changeanim
trigger1 = command != "hold_a" && command != "hold_b"
trigger1 = anim = 1005 && animelemtime(3) < 0 && var(6) != 3
value = 1005
elem = 3

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1000, Voice]
type = playsnd
trigger1 = anim = 1000 + var(9) - 1 && !animelemtime(2)
trigger2 = anim = 1005 && !animelemtime(3)
value = 1000, 0
volumescale = 100
channel = 0

[state 1000, Voice]
type = playsnd
trigger1 = anim = 1005 && prevstateno != 907
value = 1, 1
volumescale = 100
channel = 0
persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1000, Energy Outline]
type = explod
trigger1 = anim = 1005
trigger1 = !animelemtime(1)
anim = 1010
ID = 1010
postype = P1
pos = 0, 0
bindtime = -1
sprpriority = 1
removeongethit = 1
supermovetime = 40
pausemovetime = 40
ignorehitpause = 0

[state 1000, Remove Energy Outline]
type = removeexplod
trigger1 = anim != 1005
trigger2 = animelemtime(3) >= 0
ID = 1010	

[state 1000, Remap: Energy Outline]
type = remappal
trigger1 = anim = 1005
trigger1 = numexplod(1010)
trigger1 = animelemtime(1) % 4 = time % 2
source = 950, 0
dest = 950, time % 2

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(2 + (anim = 1005))
x = cond(var(9) = 2, 9.0, 3.0)
[state 1000, Add Velocity]
type = veladd
trigger1 = animelemtime(2 + (anim = 1005)) > 0 && animelemtime(7 + 3 * (anim = 1005)) <= 0
x = cond(var(9) = 2, -0.3, -0.075)
[state 1000, Grounded]
type = velset
trigger1 = !animelemtime(7 + 3 * (anim = 1005))
x = 0.0

[state 1000, Faux-Velocity]
type = offset
trigger1 = anim = 1000
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(7) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-0.5 + (0 - (-0.5 * 24.0)) / (24.0 ** 2.0 / 2.0) * animelemtime(2)) * !hitpausetime
ignorehitpause = 1
[state 1000, Faux-Velocity]
type = offset
trigger1 = anim = 1001
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(7) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-1.5 + (0 - (-1.5 * 27.0)) / (27.0 ** 2.0 / 2.0) * animelemtime(2)) * !hitpausetime
ignorehitpause = 1
[state 1000, Faux-Velocity]
type = offset
trigger1 = anim = 1005
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(3) >= 0 && animelemtime(10) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-0.5 + (0 - (-0.5 * 30.0)) / (30.0 ** 2.0 / 2.0) * animelemtime(3)) * !hitpausetime
ignorehitpause = 1

[state 1000, Juggle Points 1]
type = null
trigger1 = anim = 1000 || anim = 1001
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1000 || anim = 1001
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = S, SA
damage = ceil(cond(cond(anim = 1001, 60, 48) * fvar(23) < 2, 2, cond(anim = 1001, 60, 48) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -8)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0, -9.5
guard.velocity = -12.0
air.velocity = -2.0, -9.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 1]
type = null
trigger1 = anim = 1005
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1005
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = S, SA
damage = ceil(cond(30 * fvar(23) < 2, 2, 30 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -8)
animtype = hard
ground.type = high
air.animtype = back
air.type = high
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0, -3.0
guard.velocity = -8.0
air.velocity = -2.0, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = anim = 1005
trigger1 = animelemtime(7) >= 0 && animelemtime(9 - !var(6)) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1001
[state 1000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1005
trigger1 = animelemtime(7) >= 0 && animelemtime(9 - !var(6)) < 0
ID = 0 + 0 * (var(21) := 1001)
attr = S, SA
damage = ceil(cond(30 * fvar(23) < 2, 2, 30 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -8)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -4.0
guard.velocity = -10.0
air.velocity = -3.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 3]
type = null
trigger1 = anim = 1005 && !var(6)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1002
[state 1000, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1005 && !var(6)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1002)
attr = S, SA
damage = ceil(cond(30 * fvar(23) < 2, 2, 30 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -8)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -5.0
guard.velocity = -12.0
air.velocity = -4.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(6 + 3 * (anim = 1005)) >= 0
movetype = I
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
trigger1 = !animtime
trigger2 = anim = 1000 || anim = 1001
trigger2 = fvar(33) = 7 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
trigger3 = anim = 1005
trigger3 = fvar(33) = 10 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Leaping Grab
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 1100, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1100, Level]
type = null
triggerall = !time && prevstateno != 907
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = anim != 1100 + var(9) - 1
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(4)
value = 1100, 0
volumescale = 100
channel = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = cond(anim = 1101, 7.0, 3.0)
y = cond(anim = 1101, -4.0, -8.0)

[state 1100, Precise Velocity]
type = veladd
trigger1 = animelemtime(4) > 0
x = cond(anim = 1101, -0.25, -0.125)
y = (0 - (cond(anim = 1101, -4.0, -8.0) * 24.0)) / (24.0 ** 2.0 / 2.0)

[state 1100, Airborne]
type = statetypeset
trigger1 = animelemtime(4) >= 0
statetype = A

[state 1100, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0
trigger1 = animelemtime(5) >= 0 && animelemtime(7) < 0
ID = 1110 + 0 * (var(21) := 1100)
attr = A, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 24 ; stun damage
guardflag =
hitflag = AF
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5625
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1105
numhits = 0
kill = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 1100, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1101

;=========================================================================
; Leaping Grab Land
;=========================================================================
[Statedef 1101]
type = S
movetype = I
physics = S
ctrl = 0
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 0
movehitpersist = 1

[state 1101, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1101, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1101, Change Animation]
type = changeanim
trigger1 = anim != 1102
value = 1102

[state 1101, Sound]
type = playsnd
trigger1 = !time && prevstateno != 907
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1101, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !time && prevstateno != 907
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1101, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1101, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1101, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1101, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 3 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Leaping Grab Success
;=========================================================================
[Statedef 1105]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1105, Change Animation]
type = changeanim
trigger1 = !time
value = 1105

[state 1105, Width]
type = width
trigger1 = animelemtime(6) < 0
edge = 80, 0

[state 1100, Voice]
type = null ; playsnd
trigger1 = !animelemtime(1)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1105, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1105, Add Position]
type = posfreeze
trigger1 = animelemtime(4) < 0
value = 1

[state 1105, Add Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 3.0
y = -3.0
[state 1105, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(4) > 0 && animelemtime(5) < 0
x = -0.125
[state 1105, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(5) < 0
y = 0.5

[state 1105, Land]
type = changeanim
trigger1 = animelemtime(5) < 0
trigger1 = pos y + vel y > 0
value = anim
elem = 5

[state 1100, Set Velocity]
type = velset
trigger1 = !animelemtime(5)
x = 0.0
y = 0.0

[state 1105, Set Position]
type = posset
trigger1 = !animelemtime(5)
y = 0

[state 1105, Grounded]
type = statetypeset
trigger1 = !animelemtime(5)
statetype = S

[state 1105, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1105, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1110

[state 1105, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time || !animelemtime(6), 0)
value = -1 + 2 * !animelemtime(6)

;========================< Bind Target >========================

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
pos = 56 * const(size.xscale), -60 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
pos = 62 * const(size.xscale), -72 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = 38 * const(size.xscale), -120 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 0
pos = -12 * const(size.xscale), -114 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
pos = 48 * const(size.xscale), -110 * const(size.yscale)

[state 1105, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(7)
pos = 104 * const(size.xscale), -62 * const(size.yscale)

;========================< Damage Target >========================

[state 1105, Target Damage]
type = targetlifeadd
trigger1 = !animelemtime(8)
value = -ceil(cond(60 * fvar(23) < 2, 2, 60 * fvar(23)))
kill = !animelemtime(8)
persistent = 0

[state 1105, Target Power]
type = targetpoweradd
trigger1 = !animelemtime(8)
value = 4 * (target,prevstateno != 5300)
persistent = 0

;========================< Release Target >========================

[state 1105, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(8)
value = 1111

;========================< Throw Effects >========================

[state 1105, Add Hit]
type = hitadd
trigger1 = !animelemtime(8)
trigger1 = var(15) := 3 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := -1 || var(12) := -1 || fvar(22) := fvar(22) || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := -1 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := 0 || var(42) := 0 || 1 ; sparkxy
value = 1
persistent = 0

[state 1105, Add Power]
type = poweradd
trigger1 = !animelemtime(8)
value = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13))

[state 1105, Shake]
type = envshake
trigger1 = numtarget
trigger1 = target,stateno = 5100
time = 8
ampl = 8
freq = 128
persistent = 0

;========================< End Throw >========================

[state 1105, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 1105, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Target (1110) - 1
;=========================================================================
[Statedef 1110]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1110, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1110 

[state 1110, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1110, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1110, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1110) - 2
;=========================================================================
[Statedef 1111]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1111, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1111, Set Velocity]
type = velset
trigger1 = !time
x = 8.0 ; * fvar(27)
y = 10.0 ; * fvar(27)

[state 1111, Add Velocity]
type = veladd
trigger1 = time
y = gethitvar(yaccel)

[state 1111, Own State]
type = selfstate
trigger1 = pos y + vel y > -16
value = 5100

[state 1111, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Red Tornado
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 1200, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1200, Level]
type = null
triggerall = !time && prevstateno != 907
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = anim != 1200 + var(9) - 1
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1201, 12.0, 8.0)
[state 1200, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(5) <= 3
x = cond(anim = 1201, -1.333333333333333, -0.8888888888888889)
[state 1200, Set Velocity]
type = velset
trigger1 = animelemtime(5) >= 4
x = 0.0

[state 1200, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0 && p2stateno != [150, 155]
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
ID = 1210 + 0 * (var(21) := 1200)
attr = S, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 32 ; stun damage
guardflag =
hitflag = M
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5625
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1205
numhits = 0
kill = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 1200, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 8 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Red Tornado Success
;=========================================================================
[Statedef 1205]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1205, Change Animation]
type = changeanim
trigger1 = !time
value = 1205

[state 1205, Set Number Loops]
type = varset
trigger1 = !time
var(6) = 3 ; number of cycles. values equal to and below ONE will generate one cycle.

[state 1205, Loop Animation]
type = changeanim
triggerall = anim = 1205 && var(6) > 0
trigger1 = !animelemtime(6)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 2

[state 1205, Width]
type = width
trigger1 = animelemtime(9) <= 0
edge = 80, 0

[state 1205, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1200, 0
volumescale = 100
channel = 0
persistent = 0

[state 1205, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1205, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 9
volumescale = 100
channel = 1
persistent = 0

[state 1205, Add Position]
type = posadd
trigger1 = animelemtime(2) >= 0 && animelemtime(6) < 0
trigger1 = var(7) := var(7) + 1
x = 1.0 * cos(var(7) * pi / -10.0)

[state 1205, Set Velocity]
type = velset
trigger1 = !animelemtime(9)
x = 0.0
[state 1205, Set Velocity]
type = velset
trigger1 = !animelemtime(11)
x = -6.0
y = -3.0
[state 1205, Add Velocity]
type = veladd
trigger1 = animelemtime(11) > 0 && animelemtime(13) < 0
x = 0.1875
y = (0 - (-3.0 * 16.0)) / (16.0 ** 2.0 / 2.0)

[state 1205, Land Animation]
type = changeanim
trigger1 = animelemtime(11) > 0 && animelemtime(13) < 0
trigger1 = pos y + vel y > 0
value = anim
elem = 13

[state 1205, Set Velocity]
type = velset
trigger1 = !animelemtime(13)
x = 0.0
y = 0.0

[state 1205, Set Position]
type = null ; posset
trigger1 = !animelemtime(13)
y = 0

[state 1205, Airborne]
type = statetypeset
trigger1 = !animelemtime(11)
statetype = A
[state 1205, Grounded]
type = statetypeset
trigger1 = !animelemtime(13)
statetype = S

[state 1205, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1205, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1210

[state 1205, Target State]
type = targetstate
trigger1 = cond(numtarget, !animelemtime(2), 0)
value = 1211
persistent = 0

[state 1205, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time || !animelemtime(2) || !animelemtime(4) || !animelemtime(6), 0)
value = -1 + 2 * !animelemtime(4)

;========================< Bind Target >========================

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
pos = 72 * const(size.xscale), 0 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
pos = 26 * const(size.xscale), -62 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = 14 * const(size.xscale), -102 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
pos = 2 * const(size.xscale), -104 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
pos = -8 * const(size.xscale), -60 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
pos = -4 * const(size.xscale), -52 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
pos = 40 * const(size.xscale), -46 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
pos = 76 * const(size.xscale), -84 * const(size.yscale)

[state 1205, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(9)
pos = 88 * const(size.xscale), -96 * const(size.yscale)

;========================< Damage Target >========================

[state 1205, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = !animelemtime(9)
value = -ceil(cond(60 * fvar(23) < 2, 2, 60 * fvar(23)))
kill = !animelemtime(9)

[state 1205, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = !animelemtime(9)
value = 4

;========================< Release Target >========================

[state 1205, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(9)
value = 1212

;========================< Throw Effects >========================

[state 1205, Add Hit]
type = hitadd
trigger1 = !animelemtime(9)
trigger1 = var(15) := 3 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := -1 || var(12) := -1 || fvar(22) := fvar(22) || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := -1 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := 0 || var(42) := 0 || 1 ; sparkxy
value = 1
persistent = 0

[state 1205, Add Power]
type = poweradd
trigger1 = !animelemtime(9)
value = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13))

[state 1205, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2) || !animelemtime(5)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32 +0* !animelemtime(5), 0
facing = 1 - 2 * !animelemtime(5)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

;========================< End Throw >========================

[state 1205, Idle]
type = statetypeset
trigger1 = animelemtime(9) >= 0
movetype = I
persistent = 0

[state 1205, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1205, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Target (1210) - 1
;=========================================================================
[Statedef 1210]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1210, Change Animation]
type = changeanim2
trigger1 = !time
value = 1210

[state 1210, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1210, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1210, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1210) - 2
;=========================================================================
[Statedef 1211]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1211, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1211 

[state 1211, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1211, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1211, Solidity]
type = sprpriority
trigger1 = !animelemtime(13) || !animelemtime(15)
value = 2 - 3 * !animelemtime(15)

[state 1211, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1210) - 3
;=========================================================================
[statedef 1212]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1212, Wall Slam Type]
type = varset
trigger1 = !time
fvar(28) = 5235 + 0 * (fvar(21) := 1)

[state 1212, Change Animation]
type = changeanim
trigger1 = !time
value = 5070

[state 1212, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1212, Add Position]
type = posadd
trigger1 = !time
y = -const(size.mid.pos.y)

[state 1212, Set Velocity]
type = velset
trigger1 = !time
x = -12.0
y = -5.0

[state 1212, Own State]
type = selfstate
trigger1 = !time
value = cond(authorname = "Super Fighter Team", 5230, 5050)

[state 1212, Own State]
type = selfstate
trigger1 = pos y + vel y > 0
value = 5100

[state 1212, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Flying Press
;=========================================================================
[Statedef 1300]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1
movehitpersist = (prevstateno = 905)
hitcountpersist = (prevstateno = 907)

[state 1300, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1300, Level]
type = null
triggerall = !time && prevstateno != 907
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Change Animation]
type = changeanim
trigger1 = anim != 1300
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(4)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 3.5 * (var(9) = 2)
Y = -1.75

[state 1300, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 || prevstateno = 907 && animelemtime(4) >= 0
y = 0.5

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = H
hitflag = MAFD
priority = 4, Hit
pausetime = 16, 16
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 12), (var(42) := -62)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, 5.0 + vel y
guard.velocity = -8.0
air.velocity = -5.0, 5.0 + vel y
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1305

;=========================================================================
; Flying Press Land
;=========================================================================
[Statedef 1305]
type = S
movetype = A
physics = S
ctrl = 0
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 0
movehitpersist = 1
hitcountpersist = (prevstateno = 907)

[state 1305, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1305, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1305, Change Animation]
type = changeanim
trigger1 = anim != 1305
value = 1305

[state 1305, Shake]
type = envshake
trigger1 = !time && prevstateno != 907
time = 8
ampl = 8
freq = 128

[state 1305, Sound]
type = playsnd
trigger1 = !time && prevstateno != 907
value = F5100, 0
volumescale = 100

[state 1305, Hit Ground Dust]
type = helper
triggerall = random%3=0
trigger1 = !time && prevstateno != 907
name = "Hit Ground Dust"
ID = 60250
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1305, Faux-Velocity]
type = offset
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(3) >= 0 && animelemtime(7) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -8.0 + (0 - (-8.0 * 17.0)) / (17.0 ** 2.0 / 2.0) * animelemtime(3)

[state 1305, Juggle Points 1]
type = null
trigger1 = !movecontact
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1305
[state 1305, Hit 1]
type = hitdef
triggerall = !movecontact
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(1) > 0 && animelemtime(2) < 0
ID = 0 + 0 * (var(21) := 1305)
attr = S, SA
damage = ceil(cond(26 * fvar(23) < 2, 2, 26 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag =
hitflag = FD
priority = 4, Hit
pausetime = 16, 16
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 50), (var(42) := -4)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, 5.0
guard.velocity = -8.0
air.velocity = -5.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0.0
forcestand = 1
forcenofall = 0
down.velocity = -5.0, 0.0

[state 1305, Idle]
type = statetypeset
trigger1 = animelemtime(2) >= 0
movetype = I
persistent = 0

[state 1305, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1305, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 8 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Sky Toss
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 1400, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 1400, Level]
type = null
triggerall = !time && prevstateno != 907
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = anim != 1400 + var(9) - 1
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 1400, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1400, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1401, 12.0, 8.0)
[state 1400, Add Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(5) <= 3
x = cond(anim = 1401, -1.333333333333333, -0.8888888888888889)
[state 1400, Set Velocity]
type = velset
trigger1 = animelemtime(5) >= 4
x = 0.0

[state 1400, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1400, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 5 || var(15) := 0 || var(21) := 1400
[state 1400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0 && p2stateno != [150, 155]
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
ID = 1410 + 0 * (var(21) := 1400)
attr = S, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag =
hitflag = M
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5625
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 1405
numhits = 0
kill = 0

[state 1400, Idle]
type = statetypeset
trigger1 = animelemtime(5) >= 0
movetype = I
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 8 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Sky Toss Success
;=========================================================================
[Statedef 1405]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 1405, Change Animation]
type = changeanim
trigger1 = !time
value = 1405

[state 1405, Width]
type = width
trigger1 = !time
edge = 64, 0

[state 1405, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1405, Voice]
type = playsnd
trigger1 = !animelemtime(8)
value = 180, 0
volumescale = 100
channel = 0
persistent = 0

[state 1405, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 1405, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1405, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Set Target State >========================

[state 1405, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 1410

[state 1405, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
value = -1

;========================< Bind Target >========================

[state 1405, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(2) < 0
pos = 72 * const(size.xscale), 0 * const(size.yscale)

[state 1405, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
pos = 78 * const(size.xscale), -66 * const(size.yscale)

[state 1405, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
pos = 44 * const(size.xscale), -116 * const(size.yscale)

[state 1405, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(4)
pos = 0 * const(size.xscale), -136 * const(size.yscale)

;========================< Damage Target >========================

[state 1405, Target Damage]
type = null ; targetlifeadd
trigger1 = numtarget
trigger1 = !animelemtime(4)
value = -ceil(cond(48 * fvar(23) < 2, 2, 48 * fvar(23)))
kill = !animelemtime(4)

[state 1405, Target Power]
type = null ; targetpoweradd
trigger1 = numtarget
trigger1 = !animelemtime(4)
value = 4

;========================< Release Target >========================

[state 1405, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(4)
value = 1411

;========================< Throw Effects >========================

[state 1405, Add Hit]
type = hitadd
trigger1 = !animelemtime(4)
trigger1 = var(15) := 1 || var(10) := -4 || fvar(26) := -1 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := -1 || var(12) := -1 || fvar(22) := fvar(22) || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := -1 || var(40) := -1 || 1 ; sparkno, guard.sparkno
trigger1 = var(41) := 0 || var(42) := 0 || 1 ; sparkxy
value = 1
persistent = 0

[state 1405, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13))

;========================< End Throw >========================

[state 1405, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 1405, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1405, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Target (1410) - 1
;=========================================================================
[Statedef 1410]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1410, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 1410 

[state 1410, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1410, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 1410, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1410) - 2
;=========================================================================
[Statedef 1411]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 1411, Change Animation]
type = changeanim
trigger1 = vel y > 0
value = 5060
persistent = 0

[state 1411, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 1411, Set Velocity]
type = velset
trigger1 = !time
x = 1.0
y = -16.0

[state 1411, Add Velocity]
type = veladd
trigger1 = time
y = (136 - (-16.0 * 64.0)) / (64.0 ** 2.0 / 2.0)

[state 1411, Custom State Damage]
type = lifeadd
trigger1 = numenemy
trigger1 = pos y + vel y > 0
value = -ceil(cond(48 * enemy,fvar(23) < 2, 2, 48 * enemy,fvar(23)))
kill = (pos y + vel y > 0)

[state 1411, Custom State Power]
type = poweradd
trigger1 = pos y + vel y > 0
value = 4

[state 1411, Own State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1412

[state 1411, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (1410) - 3
;=========================================================================
[Statedef 1412]
type = A
movetype = H
physics = N

[state 1412, Change Animation]
type = changeanim
trigger1 = !time
value = 5100

[state 1412, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0

[state 1412, Shake]
type = envshake
trigger1 = !time
time = 8
ampl = 8
freq = 128

[state 1412, Hit Ground Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Hit Ground Dust"
ID = 60250
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1412, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1412, Freeze Position]
type = posfreeze
trigger1 = 1

[state 1412, Set Velocity]
type = velset
trigger1 = !time
y = 0.0 * fvar(27)

[state 1412, Multiply Velocity]
type = velmul
trigger1 = !time
x = 0.75

[state 1412, End State]
type = changestate
trigger1 = !animtime
value = 1413

;=========================================================================
; Target (1410) - 4
;=========================================================================
[Statedef 1413]
type = A
movetype = H
physics = N

[state 1413, Change Animation]
type = changeanim
trigger1 = !time
value = 5160

[state 1413, Hit Fall Velocity]
type = hitfallvel
trigger1 = !time

[state 1413, Set Position]
type = posset
trigger1 = !time
y = const(movement.down.bounce.offset.y)

[state 1413, Add Position]
type = posadd
trigger1 = !time
x = const(movement.down.bounce.offset.x)

[state 1413, Multiply Velocity]
type = velmul
trigger1 = !time
x = 0.5

[state 1413, Add Velocity]
type = veladd
trigger1 = time
y = const(movement.down.bounce.yaccel)

[state 1413, End State]
type = changestate
trigger1 = vel y > 0
trigger1 = pos y + vel y > const(movement.down.bounce.groundlevel)
value = 1414

;=========================================================================
; (Target (1410) - 5
;=========================================================================
[Statedef 1414]
type = L
movetype = H
physics = N

[state 1414, Change Animation]
type = changeanim
trigger1 = !time
value = 5170

[state 1414, Change Animation]
type = changeanim
trigger1 = !animtime
value = 5110

[state 1414, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0

[state 1414, Shake]
type = envshake
trigger1 = !time
time = 4
ampl = 1
freq = 128

[state 1414, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1414, Set Velocity]
type = velset
trigger1 = !time && vel x != [-1.875, 1.875]
x = cond(vel x > 1.875, 1.875, -1.875) * fvar(27)

[state 1414, Set Velocity]
type = velset
trigger1 = !time
y = 0.0 * fvar(27)

[state 1414, Set Velocity]
type = velset
trigger1 = anim = 5110
x = 0.0 * fvar(27)
persistent = 0

[state 1414, Multiply Velocity]
type = velmul
trigger1 = vel x
x = 0.765

[state 1414, End State]
type = selfstate
triggerall = anim = 5110
trigger1 = animelemtime(1) >= 60 || !alive
value = 5120 + 30 * !alive