; Super Fighter Team

;=========================================================================
; Dragon Leap
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Set Number Loops]
type = varset
trigger1 = !time
var(6) = cond(anim = 1001, 2, 1) ; number of cycles. values equal to and below ONE will generate one cycle.

[state 1000, Loop Animation]
type = changeanim
triggerall = anim = 1001 && var(6) > 0
trigger1 = !animelemtime(9)
trigger1 = var(6) := var(6) - 1 * !var(7)
value = anim
elem = 7

[state 1000, Force End Loop]
type = changeanim
triggerall = anim = 1001 && !var(7)
trigger1 = animelemtime(7) >= 0 && animelemtime(9) < 0
trigger1 = frontedgebodydist <= 32
value = anim
elem = 9 ; + 0 * (var(6) := 0)
persistent = 0

[state 1000, Change Animation]
type = changeanim
trigger1 = var(7)
value = anim
elem = animelemno(0)

[state 1000, Width]
type = width
trigger1 = animelemtime(5) >= 0 && animelemtime(9) < 0
value = 16, 0
ignorehitpause = 1

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3 * !var(53)

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1000, 0
volumescale = 100
channel = 0
persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F3, 0
volumescale = 75
channel = 1
persistent = 0

[state 1000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !var(7)
trigger1 = animelemtime(2) >= 0 && animelemtime(7) < 0
trigger1 = !animelemtime(animelemno(0)) && animelemno(0) % 2 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 64, -floor(pos y)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Add Position]
type = posfreeze
trigger1 = var(7)
value = 1

[state 1000, Add Position]
type = posadd
trigger1 = !animelemtime(1) || !animelemtime(2)
x = 16.0 * !animelemtime(1)
y = -8.0 * !animelemtime(2)

[state 1000, Set Velocity]
type = velset
trigger1 = animelemtime(2) >= 0 && animelemtime(5) < 0
x = cond(anim = 1001, 0.75, 0.6) * animelemtime(2)

[state 1000, Precise Velocity]
type = veladd
trigger1 = !var(7)
trigger1 = animelemtime(9) >= 0 && animelemtime(12) < 6
x = -cond(anim = 1001, 0.5, 0.25) * cond(vel x - cond(anim = 1001, 0.5, 0.25) < 0, 0, 1)
y = (8 - (0.0 * 8.0)) / (8.0 ** 2.0 / 2.0) * (animelemtime(10) > 0 && animelemtime(12) <= 0)

[state 1000, Land Velocity]
type = velset
trigger1 = !animelemtime(12) || animelemtime(12) = 6
x = vel x * !animelemtime(12)
y = 0.0
[state 1000, Land Position]
type = posset
trigger1 = !animelemtime(12)
y = 0.0

[state 1000, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A
[state 1000, Grounded]
type = statetypeset
trigger1 = !animelemtime(12)
statetype = S

[state 1000, Dragon Barrier]
type = helper
trigger1 = !animelemtime(5)
name = "Dragon Barrier"
ID = 1005
stateno = 1005
postype = P1
pos = 0, 0
ownpal = 0
persistent = 0

[state 1000, Juggle Points 1]
type = null
trigger1 = !var(7)
trigger1 = animelemtime(5) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = !var(7)
trigger1 = animelemtime(5) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = A, SA
damage = ceil(cond(cond(anim = 1001, 36, 26) * fvar(23) < 2, 2, cond(anim = 1001, 36, 26) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 96), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.5, -4.5 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
guard.velocity = -10.0
air.velocity = -2.5, -4.5 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = !var(7)
trigger1 = animelemtime(7) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1001
[state 1000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = !var(7)
trigger1 = animelemtime(7) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1001)
attr = A, SA
damage = ceil(cond(cond(anim = 1001, 26, 20) * fvar(23) < 2, 2, cond(anim = 1001, 26, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 6 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 96), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.5, -8.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
guard.velocity = -10.0
air.velocity = -2.5, -8.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(9) >= 0
movetype = I
persistent = 0

[state 1000, Crouch]
type = statetypeset
trigger1 = !animelemtime(12)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1000, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

[state 1000, Pausetime]
type = varadd
trigger1 = var(7)
var(7) = -1

;=========================================================================
; Dragon Barrier
;=========================================================================
[Statedef 1005]
type = A
movetype = I
physics = N
ctrl = 0
movehitpersist = 1

[state 1005, Bind to Parent]
type = bindtoparent
trigger1 = 1
pos = 0, 0

[state 1005, Pausetime]
type = parentvarset
trigger1 = prevstateno
var(7) = 8
persistent = 0

[state 1005, Absorb Hit]
type = envshake
trigger1 = prevstateno
time = 4
ampl = 5
freq = 128
persistent = 0

[state 1005, Absorb Hit]
type = playsnd
trigger1 = prevstateno
value = F4, 10
channel = 2
persistent = 0

[state 1005, Absorb Hit]
type = null ; destroyself
trigger1 = prevstateno
persistent = 0

[state 1005, Change Animation]
type = changeanim
trigger1 = anim != 1005
value = 1005

[state 1005, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1005
slot = 0
time = -1
forceair = 0

[state 1005, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1005, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1005, Reversal]
type = reversaldef
trigger1 = 1
reversal.attr = SCA, AP
pausetime = 0, 0
sparkno = -1
sparkxy = 0, 0
p1stateno = 1005
numhits = 0

[state 1005, Destroy Helper]
type = destroyself
trigger1 = root,movetype = H
trigger2 = root,stateno != 1000 || root,anim != [1000, 1001]
trigger3 = root,animelemtime(5) < 0 || root,animelemtime(9) >= 0

;=========================================================================
; Coupling Kick
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Pause Frame 1]
type = changeanim
trigger1 = hitpausetime = 11
trigger1 = animelemtime(8) > 0 && animelemtime(9) <= 0
trigger1 = var(6) := 1
value = anim
elem = 9
ignorehitpause = 1
persistent = 0

[state 1100, Pause Frame 1 Alignment]
type = offset
trigger1 = hitpausetime && var(6)
trigger1 = animelemtime(9) >= 0 && animelemtime(10) < 0
x = 84.0 * facing
ignorehitpause = 1

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(cond(anim = 1101, 5, 7))
value = 3 * !var(53)

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(6)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = animelemtime(2) >= 0 && animelemtime(7) < 0
trigger1 = !animelemtime(animelemno(0)) && animelemno(0) % 2 = 0
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Add Position]
type = posadd
trigger1 = !animelemtime(3) || !animelemtime(4)
trigger2 = !animelemtime(5) || !animelemtime(6)
trigger3 = !animelemtime(8) || !animelemtime(11)
x = 16.0 - 8.0 * (!animelemtime(4) || animelemtime(6) >= 0)

[state 1100, Set Velocity]
type = velset
trigger1 = animelemtime(1) >= 0 && animelemtime(3) <= 0
x = const(velocity.walk.fwd.x) * (animelemtime(3) < 0)
[state 1100, Set Velocty]
type = velset
trigger1 = animelemtime(7) >= 0 && animelemtime(11) <= 0
x = (cond(anim = 1101, 8.0, 4.0) - cond(anim = 1101, (8.0 / 13.0), (4.0 / 13.0)) * animelemtime(7)) * (animelemtime(11) < 0)

[state 1100, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(7) >= 0 && animelemtime(11) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-cond(anim = 1101, 8.0, 4.0) + (0 - (-cond(anim = 1101, 8.0, 4.0) * 13.0)) / (13.0 ** 2.0 / 2.0) * animelemtime(7)) * !hitpausetime
ignorehitpause = 1

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 1) || var(21) := 1100
[state 1100, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 28, 24) * fvar(23) < 2, 2, cond(anim = 1101, 28, 24) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -80)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -8.0
guard.velocity = -8.0
air.velocity = -4.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = cond(var(53), 0.375, 0.5)
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = cond(var(53), -7.5, -4.5)
forcestand = 1
forcenofall = 0

[state 1100, Juggle Points 2]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 15) || var(21) := 1101
[state 1100, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1101)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 28, 24) * fvar(23) < 2, 2, cond(anim = 1101, 28, 24) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, 5.0
guard.velocity = -8.0
air.velocity = -4.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = cond(var(53), 0.375, 0.5)
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = cond(var(53), -7.5, -4.5)
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(10) >= 0
movetype = I
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1100, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Shaolin Palm
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Level 2 Animation]
type = changeanim
trigger1 = anim = 1201 && movehit = [1, 8]
trigger1 = animelemtime(17) >= 4 && animelemtime(18) < 0
value = anim
elem = 18

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3 * !var(53)

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1201 && !animelemtime(15)
value = 1200, 0
volumescale = 100
channel = 0
;persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1201 && !animelemtime(15)
value = F2, 2
volumescale = 100
channel = 1
;persistent = 0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1201 && !animelemtime(15)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Add Position]
type = posadd
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1201 && !animelemtime(15)
x = 16.0
[state 1200, Add Position]
type = posadd
trigger1 = !animelemtime(4) || !animelemtime(10)
trigger2 = anim = 1201 && !animelemtime(16)
x = 12.0

[state 1200, Add Position]
type = posadd
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
x = 8.0 - 1.333333333333333 * animelemtime(3)
[state 1200, Add Position]
type = posadd
trigger1 = animelemtime(9) >= 0 && animelemtime(11) < 0
x = 6.0 - 1.0 * animelemtime(9)
[state 1200, Add Position]
type = posadd
trigger1 = anim = 1201
trigger1 = animelemtime(15) >= 0 && animelemtime(17) < 0
x = 4.0 - 0.6666666666666667 * animelemtime(15)

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = S, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -72)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -6.0
guard.velocity = -6.0
air.velocity = -3.0, -7.0 + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 2]
type = null
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1201
[state 1200, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 1201)
attr = S, SA
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 8 * (anim = 1200), 8 + 4 * (anim = 1200)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -6.0
guard.velocity = -6.0
air.velocity = -3.0 - (anim = 1000), -7.0 + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0) * (anim = 1201)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 3]
type = null
trigger1 = anim = 1201
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1202
[state 1200, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1201
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
ID = 0 + 0 * (var(21) := 1202)
attr = S, SA
damage = ceil(cond(18 * fvar(23) < 2, 2, 18 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -8.0, -4.0
guard.velocity = -6.0
air.velocity = -8.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(11 + 6 * (anim = 1201)) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Wave Curl
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3 * !var(53)

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 3
volumescale = 75
channel = 1
persistent = 0

[state 1300, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Add Position]
type = posadd
trigger1 = !animelemtime(1) || !animelemtime(2)
x = 16.0 - 8.0 * !animelemtime(2)

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = cond(anim = 1301, 2.0, 1.75)
Y = cond(anim = 1301, -2.5, -2.5)
[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = vel x * 1.5
Y = vel y * 1.25
[state 1300, Add Velocity]
type = veladd
trigger1 = animelemtime(7) >= -6 && animelemtime(7) < 0
x = -0.25

[state 1300, Precise Velocity]
type = veladd
trigger1 = cond(animelemtime(7) = -6 + 6 * var(53), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(7) >= -6 + 6 * var(53) && animelemtime(9) <= 0
y = (fvar(18) - (fvar(19) * cond(var(53), 10, cond(anim = 1301, 30.0, 25.0)))) / (cond(var(53), 10, cond(anim = 1301, 30.0, 25.0)) ** 2.0 / 2.0)

[state 1300, Land Animation]
type = changeanim
trigger1 = animelemtime(7) >= -6 + 6 * var(53) && animelemtime(9) <= 0
trigger1 = pos y + vel y > 0
value = anim
elem = 9
persistent = 0
[state 1300, Land Velocity]
type = velset
trigger1 = !animelemtime(9)
x = 0.0
y = 0.0
[state 1300, Land Position]
type = posset
trigger1 = !animelemtime(9)
y = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(9)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1300, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(9)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A
[state 1300, Grounded]
type = statetypeset
trigger1 = !animelemtime(9)
statetype = S

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond(cond(var(9) = 2, 24, 18) * fvar(23) < 2, 2, cond(var(9) = 2, 24, 18) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -72)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 16
guard.slidetime = 12
guard.hittime = 16
air.hittime = 0
ground.velocity = -2.5, cond(var(9) = 2, -7.0, -5.0) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
guard.velocity = -8.0
air.velocity = -2.5, cond(var(9) = 2, -7.0, -5.0) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = cond(var(53), 0.375, 0.5)
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)) * !var(53), 2 * !var(53)
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Juggle Points 2]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 3) || var(21) := 1301
[state 1300, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 0 + 0 * (var(21) := 1301)
attr = A, SA
damage = ceil(cond(cond(var(9) = 2, 12, 8) * fvar(23) < 2, 2, cond(var(9) = 2, 12, 8) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 44), (var(42) := -88)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 16
guard.slidetime = 12
guard.hittime = 16
air.hittime = 0
ground.velocity = cond(var(53), -2.5, -5.0), cond(var(53), -6.0, -7.5)
guard.velocity = -8.0
air.velocity = cond(var(53), -2.5, -5.0), cond(var(53), -6.0, -7.5)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = cond(var(53), 0.375, 0.5)
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)) * !var(53), 1 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 1300, Crouch]
type = statetypeset
trigger1 = !animelemtime(9)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1300, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1300, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1300, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Celestial Strike
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Outline Palette]
type = null;remappal
trigger1 = animelemtime(3 + 2 * (anim = 1401)) < 0
source = 1, 1
dest = 1 + (gametime % 12 >= 4) + (gametime % 12 >= 8), cond(palno % 6 > 3, palno % 6 - 3, palno % 6 + 3)

[state 1400, Width]
type = width
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
value = 28, 0

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(4 + 2 * (anim = 1401))
value = 3 * !var(53)

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
value = F5100, 0
volumescale = 100
persistent = 0

[state 1400, Shake]
type = envshake
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
time = 4
ampl = 4
freq = 128

[state 1400, Wind Dust 2]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(3 + 2 * (anim = 1401)) >= 0 && animelemtime(5 + 2 * (anim = 1401)) < 0
trigger1 = animelemtime(animelemtime(3 + 2 * (anim = 1401))) % 4 = 0
name = "Wind Dust 2"
ID = 60253
stateno = 6025
postype = P1
pos = 40 + 4 * animelemtime(animelemtime(3 + 2 * (anim = 1401))), 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1400, Add Position]
type = null ; posadd
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
x = 16.0

[state 1400, Celestial Barrier]
type = helper
trigger1 = !animelemtime(3 + 2 * (anim = 1401))
name = "Celestial Barrier"
ID = 1405 + 1 * (anim = 1401)
stateno = 1405
postype = P1
pos = 0, 0
ownpal = 0

[state 1400, Juggle Points 1]
type = null
trigger1 = animelemtime(4 + 2 * (anim = 1401)) >= 0 && animelemtime(5 + 2 * (anim = 1401)) < 0
trigger1 = var(5) := 2 || var(15) := cond(var(53), 1, 5) || var(21) := 1400 
[state 1400, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4 + 2 * (anim = 1401)) >= 0 && animelemtime(5 + 2 * (anim = 1401)) < 0
ID = 5234 + 0 * (var(21) := 1400)
attr = S, SA
damage = ceil(cond((cond(anim = 1401, 40, 30) - 15 * (var(53) > 0)) * fvar(23) < 2, 2, (cond(anim = 1401, 40, 30) - 15 * (var(53) > 0)) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -16.0, 0.0
guard.velocity = -8.0
air.velocity = -16.0, 0.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)) * !var(53), 7 * !var(53)
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1400, Idle]
type = statetypeset
trigger1 = animelemtime(5 + 2 * (anim = 1401)) >= 0
movetype = I
persistent = 0

[state 1400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Celestial Barrier
;=========================================================================
[Statedef 1405]
type = S
movetype = I
physics = N
ctrl = 0
movehitpersist = 1

[state 1405, Bind to Parent]
type = bindtoparent
trigger1 = 1
pos = 0, 0

[state 1405, Absorb Hit]
type = envshake
trigger1 = prevstateno
time = 4
ampl = 5
freq = 128

[state 1405, Absorb Hit]
type = playsnd
trigger1 = prevstateno
value = F4, 10
channel = 2
persistent = 0

[state 1405, Absorb One Hit]
type = destroyself
trigger1 = prevstateno

[state 1405, Change Animation]
type = changeanim
trigger1 = !time
value = 1405 + ishelper(1406)

[state 1405, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1405
slot = 0
time = -1
forceair = 0

[state 1405, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1405, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1405, Reversal]
type = reversaldef
trigger1 = 1
reversal.attr = SCA, AP
pausetime = 0, 1
sparkno = -1
sparkxy = 0, 0
p1stateno = 1405
p2stateno = 1406
numhits = 0

[state 1410, Absorb One Hit]
type = destroyself
trigger1 = !animtime || root,movetype = H
trigger2 = root,stateno != 1400 || root,anim != [1400, 1401]
trigger3 = root,animelemtime(3 + 2 * (root,anim = 1401)) < 0 || root,animelemtime(5 + 2 * (root,anim = 1401)) >= 0

;=========================================================================
; Celestially Barred Projectile
;=========================================================================
[Statedef 1406]
type = U
movetype = H
physics = U
ctrl = 0
sprpriority = 2

[state 1406, Own State]
type = selfstate
trigger1 = !ishelper
value = cond(authorname = "Super Fighter Team", 5305, 5050)

[state 1406, Angle]
type = angledraw
trigger1 = name = "Cula" && anim = 1205
trigger1 = var(9) = 1
value = -30
ignorehitpause = 1

[state 1406, Vulnerability]
type = nothitby
trigger1 = ishelper
value = SCA
time = 1
ignorehitpause = 1

[state 1406, Turn]
type = turn
trigger1 = ishelper

[state 1406, Own State]
type = selfstate
trigger1 = ishelper
trigger1 = sysvar(1)
trigger1 = var(3) := 1
value = sysvar(1)

[state 1406, Destroy]
type = destroyself
trigger1 = ishelper