; Super Fighter Team

;=========================================================================
; Vajra Arhat
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000 + cond(numtarget, !target,gethitvar(guarded), 0)

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = P1
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(11)
value = F3, 0
volumescale = 100

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(15)
value = F3, 6
volumescale = 100

[state 3000, Celestial Barrier 2]
type = helper
trigger1 = !animelemtime(2)
name = "Celestial Barrier 2"
ID = 3005
stateno = 3005
postype = P1
pos = 0, 0
ownpal = 0

[state 3000, Juggle Points 1]
type = null
trigger1 = anim = 3000
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 3000
[state 3000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = anim = 3000
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 3000)
attr = S, HA
damage = ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 56))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -0.5, -8.0
guard.velocity = -8.0
air.velocity = -0.5, -8.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0 * !var(53), 0 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 1 Canceled]
type = null
trigger1 = anim = 3001
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 3000
[state 3000, Hit 1 Canceled]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = anim = 3001
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 3000)
attr = S, HA
damage = ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 56))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -0.5, -8.0
guard.velocity = -8.0
air.velocity = -0.5, -8.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0 * !var(53), 0 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 2]
type = null
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 3 || var(15) := 1 || var(21) := 3001
[state 3000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
ID = 5230 + 0 * (var(21) := 3001)
attr = S, HA
damage = ceil(cond(50 * fvar(23) < 2, 2, 50 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 56))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -16.0, 0.0
guard.velocity = -16.0
air.velocity = -16.0, 0.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 16.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0 * !var(53), 0 * !var(53)
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(12) >= 0
movetype = I
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Celestial Barrier 2
;=========================================================================
[Statedef 3005]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 3005, Bind to Parent]
type = bindtoparent
trigger1 = 1
pos = 0, 0

[state 3005, Absorb Hit]
type = envshake
trigger1 = !time && prevstateno
time = 4
ampl = 6
freq = 128

[state 3005, Absorb Hit]
type = playsnd
trigger1 = !time && prevstateno
value = F4, 10
channel = 2

[state 3005, Change Animation]
type = changeanim
trigger1 = 1
value = 3005
elem = 1 + (root,animelemtime(11) >= 0 && root,animelemtime(13) < 0)

[state 3005, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 3005
slot = 0
time = -1
forceair = 0

[state 3005, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 3005, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 3005, Reversal]
type = reversaldef
trigger1 = 1
reversal.attr = SCA, AP
pausetime = 0, 0
sparkno = -1
sparkxy = 0, 0
p1stateno = 3005
numhits = 0

[state 3005, Destroy Helper]
type = destroyself
trigger1 = !animtime || root,movetype = H
trigger2 = root,stateno != 3000 || root,anim != [3000, 3001]
trigger3 = root,animelemtime(2) < 0 || root,animelemtime(15) >= 0