; Super Fighter Team

;=========================================================================
; Jump Start
;=========================================================================
[Statedef 40]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && !time
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"
[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && time
trigger1 = command = "holdfwd" || command = "holdback"
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 40, FWD Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = P2BodyDist X > 80 && random >500
trigger2 = (enemynear,movetype!=A || backedgebodydist<=10)
sysvar(1) = 1
[state 40, BACK Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = (P2BodyDist X =[1,60]) && random >500
trigger2 = (enemynear,movetype=A)
sysvar(1) = -1

[state 40, Change Animation]
type = changeanim
trigger1 = !time
value = 41 + sysvar(1)

[state 40, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, NA,SA,HA, NP,SP,HP

[state 40, Jump Dust]
type = helper
triggerall = random%3=0
trigger1 = !animtime
name = "Jump Dust"
ID = 60255
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 40, Neutral Jump]
type = velset
triggerall = !animtime && sysvar(1) = 0
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.375 || 1 ; velocity
trigger1 = fvar(38) := 37.5 || 1 ; time
x = 0.0 
y = fvar(37)
[state 40, Forward Jump]
type = velset
triggerall = !animtime && sysvar(1) = 1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.375 || 1 ; velocity
trigger1 = fvar(38) := 35.0 || 1 ; time
x = 3.75
y = fvar(37)
[state 40, Backward Jump]
type = velset
triggerall = !animtime && sysvar(1) = -1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -9.375 || 1 ; velocity
trigger1 = fvar(38) := 35.0 || 1 ; time
x = -3.375
y = fvar(37)

[state 40, End State]
type = changestate
trigger1 = !animtime
value = 50
ctrl = 1

;=========================================================================
; Dash Forward
;=========================================================================
[Statedef 100]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 100, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 100, Change Animation]
type = changeanim
trigger1 = !time
value = 100

[state 100, Dash Skill]
type = changestate
triggerall = !ailevel
triggerall = power >= powermax * 0.5
triggerall = animelemtime(2) >= 1 && animelemtime(6) < 0
trigger1 = command = "dskill"
value = 110
ctrl = 0

[state 100, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 100, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(1)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 8.0

[state 100, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(2) > 0 && animelemtime(6) <= 0
x = -4.0 / 16.0

[state 100, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(6) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -4.0 + (0 - (-4.0 * 15.0)) / (15.0 ** 2.0 / 2.0) * animelemtime(2)

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 0.0

[state 100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Backward
;=========================================================================
[Statedef 105]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 105, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 105, Set Position]
type = posset
trigger1 = !time
y = 0

[state 105, Change Animation]
type = changeanim
trigger1 = !time
value = 105

[state 105, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 105, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(1)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = -8.0

[state 105, Add Velocity]
type = veladd
trigger1 = vel x < 0
trigger1 = animelemtime(2) > 0 && animelemtime(6) <= 0
x = 4.0 / 16.0

[state 105, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(6) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -4.0 + (0 - (-4.0 * 15.0)) / (15.0 ** 2.0 / 2.0) * animelemtime(2)

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 0.0

[state 105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Skill
;=========================================================================
[Statedef 110]
type = A
movetype = A
physics = N

[state 110, Change Animation]
type = changeanim
trigger1 = !time
value = 110

[state 110, Add Power]
type = poweradd
trigger1 = !time
value = -powermax / 2

[state 110, Afterimage]
type = afterimage
trigger1 = !time
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 110, Width]
type = width
trigger1 = 1
edge = 24, 0

[state 110, Voice]
type = playsnd
trigger1 = !animelemtime(7)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 110, Add Position]
type = posadd
trigger1 = !time
y = fvar(35) 

[state 110, Set Velocity]
type = velset
trigger1 = !time
x = vel x * 0.5
y = -8.0
[state 110, 	Add Velocity]
type = veladd
trigger1 = time && animelemtime(7) < 0
y = 0.5
[state 110, Set Velocity]
type = velset
trigger1 = !animelemtime(7)
X = 3.0
y = 0.0

[state 110, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(7), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(7) > 0 && animelemtime(8) <= 0
y = (fvar(18) - (fvar(19) * 13.0)) / (13.0 ** 2.0 / 2.0)

[state 110, Land Velocity]
type = velset
trigger1 = !animelemtime(8)
x = 0.0
y = 0.0
[state 110, Land Position]
type = posset
trigger1 = !animelemtime(8)
y = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(8)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 110, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(8)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 110, Grounded]
type = statetypeset
trigger1 = !animelemtime(8)
statetype = S

[state 110, Juggle Points 1]
type = null
trigger1 = animelemtime(7) >= 4 && animelemtime(8) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 110
[state 110, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(7) >= 4 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 110)
attr = A, SA
damage = ceil(cond( 24 * fvar(23) < 2, 2, 24 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 8 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 32), (var(42) := -6)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.5, -6.0
guard.velocity = -10.0
air.velocity = -3.5, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 110, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 110, Control]
type = ctrlset
trigger1 = !animtime ; animelemtime(8) >= 0
value = 1
persistent = 0

[state 110, Special Effect]
type = null ; assertspecial
trigger1 = 1
flag = nowalk

[state 110, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; End of Round
;=========================================================================
[statedef 180]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 2

[state 180, Reset Miscellaneous Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 180, Calculate Score Bonus Normal]
type = null
triggerall = !time
trigger1 = var(3) := var(2) || 1 ;update previous score
trigger1 = var(2) := var(2) + Cond((stagevar(info.name)="Bonus Stage"=1),0,(100 * life + 100 * (100 - cond(sysfvar(1) > 99, 99, floor(sysfvar(1))))))


[state 180, Set Position]
type = posset
trigger1 = !time
y = 0

[state 180, Change Animation]
type = changeanim
trigger1 = !time
value = 180 + random % 2

[state 180, Victory Quote]
type = victoryquote
trigger1 = 0
value = 0

[state 180, Special Effect]
type = assertspecial
trigger1 = time < 240
flag = roundnotover

[state 180, Invulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = 1

[state 180, Voice]
type = playsnd
triggerall = stagevar(info.name) != "Bonus Stage"
trigger1 = anim = 180
trigger1 = !animelemtime(5)
value = 180, 0
volumescale = 100
channel = 0

[state 180, Add Position]
type = posadd
triggerall = anim = 180
trigger1 = !animelemtime(1) || !animelemtime(2)
trigger2 = !animelemtime(3)
x = -8.0 + 16.0 * (!animelemtime(2) || !animelemtime(3))

[state 180, Add Position]
type = posadd
triggerall = anim = 181
trigger1 = !animelemtime(1)
x = -8.0

;=========================================================================
; Arcade CPU Intro
;=========================================================================
[Statedef 191]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 191, Set Position]
type = posset
trigger1 = !time
y = 0

[state 191, Camera]
type = helper
trigger1 = !time
name = "Camera"
ID = 191
stateno = 9990
postype = P1
pos = 0, 0
facing = 1
ownpal = 1

[state 191, Change Animation]
type = changeanim
trigger1 = !time
value = 45

[state 191, Special Effect]
type = assertspecial
trigger1 = 1
flag = intro

[state 191, Vulnerability]
type = nothitby
trigger1 = anim = 45
value = SCA
time = 1

[state 191, Solidity]
type = playerpush
trigger1 = anim = 45
value = 0

[state 191, Add Position]
type = posadd
trigger1 = !time
x = -200.0
y = 0.0

[state 191, Set Velocity]
type = velset
trigger1 = !time
x = cond(numhelper(stateno), (helper(stateno),pos x - pos x) * facing, 200.0) / 56.0
y = const(movement.yaccel) * 28.0 * -1.0

[state 191, Add Velocity]
type = veladd
trigger1 = anim = 45
trigger1 = time
y = const(movement.yaccel)

[state 191, Change Animation]
type = changeanim
trigger1 = anim = 45 && time
trigger1 = pos y + vel y >= 0
value = 48

[state 191, State Type Set]
type = statetypeset
trigger1 = anim = 48
statetype = S
persistent = 0

[state 191, Sound]
type = playsnd
trigger1 = anim = 48
value = F52, 0
volumescale = 100
persistent = 0

[state 191, Set Velocity]
type = velset
trigger1 = anim = 48
x = 0.0
y = 0.0
persistent = 0

[state 191, Set Velocity]
type = posset
trigger1 = anim = 48
x = cond(numhelper(stateno), helper(stateno),pos x, pos x)
y = 0.0
persistent = 0

[state 191, Bound]
type = screenbound
trigger1 = anim = 45
value = 0
movecamera = 0, 0

[state 191, End State]
type = changestate
trigger1 = anim = 48
trigger1 = !animtime
value = 0

;=========================================================================
; Taunt
;=========================================================================
[Statedef 195]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 195, Set Position]
type = posset
trigger1 = !time
y = 0

[state 195, Change Animation]
type = changeanim
trigger1 = !time
value = 195

[state 195, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Tough Skill
;=========================================================================
[Statedef 900]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 900, Reset Misc Variables]
type = varset
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(2) = 600 + 0 * (var(52) := 600 / 3)

[state 900, Set Position]
type = posset
trigger1 = !time
y = 0

[state 900, Change Animation]
type = changeanim
trigger1 = !time
value = 900

[state 900, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 900, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 900, Super Pause]
type = superpause
trigger1 = !time
time = 48
movetime = (var(54) := 48)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 900, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 900, Voice]
type = playsnd
trigger1 = !time
value = 1, 1
volumescale = 100
channel = 0

[state 900, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 900, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; External Blaze Active
;=========================================================================
[Statedef 905]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 905, End State]
type = changestate
triggerall = !ishelper
trigger1 = numhelper(905)
trigger1 = helper(905),prevstateno
value = 906

[state 905, Destroy]
type = destroyself
triggerall = ishelper
trigger1 = prevstateno

[state 905, Decrement Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
var(52) = -(sysvar(2) / 3)

[state 905, Set Position]
type = posset
trigger1 = !time
y = 0

[state 905, Change Animation]
type = changeanim
triggerall = !ishelper
trigger1 = !time
value = 905

[state 905, Change Animation]
type = changeanim
triggerall = ishelper
trigger1 = root,anim = 905
value = 907
elem = root,animelemno(0)

[state 905, Bind to Parent]
type = bindtoroot
trigger1 = ishelper
pos = 0, 0

[state 905, Voice]
type = playsnd
triggerall = !ishelper
trigger1 = !animelemtime(3)
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 905, Sound]
type = playsnd
triggerall = !ishelper
trigger1 = !animelemtime(4)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 905, Sound]
type = playsnd
triggerall = !ishelper
trigger1 = !animelemtime(4)
value = F3, 11
volumescale = 50
persistent = 0

[state 905, Reversal Duplicate]
type = helper
triggerall = !ishelper && !numhelper(905)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
name = "Reversal Duplicate"
ID = 905
stateno = 905
postype = P1
pos = 0, 0
ownpal = 0

[state 905, Reversal]
type = reversaldef
triggerall = !ishelper
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
reversal.attr = SCA, NA, SA
pausetime = 0, 24
sparkno = -1
sparkxy = 0, 0
p1stateno = 909
numhits = 0

[state 905, Reversal]
type = reversaldef
triggerall = ishelper
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
reversal.attr = SCA, AP
pausetime = 0, 0
sparkno = -1
sparkxy = 0, 0
p1stateno = 905
p2stateno = 908
numhits = 0

[state 905, Miss]
type = reversaldef
trigger1 = animelemtime(5) >= 0
reversal.attr =
persistent = 0

[state 905, Control]
type = ctrlset
triggerall = !ishelper
trigger1 = !animtime
value = 1

[state 905, Destroy]
type = destroyself
triggerall = ishelper
trigger1 = root,anim != 905 || root,stateno != 905
trigger2 = prevstateno || !root,animtime
trigger3 = root,animelemtime(4) < 0 || root,animelemtime(5) >= 0

[state 905, End State]
type = changestate
triggerall = !ishelper
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; External Blaze Redirection
;=========================================================================
[Statedef 906]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 906, Set Position]
type = posset
trigger1 = !time
y = 0

[state 906, Change Animation]
type = changeanim
trigger1 = !time
value = 906

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F3, 5
volumescale = 100
channel = 1
persistent = 0

[state 906, Voice]
type = playsnd
trigger1 = !animelemtime(7)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(7)
value = F3, 0
volumescale = 100
persistent = 0

[state 906, Absorption Effect]
type = explod
trigger1 = !time
anim = F216
ID = 216
postype = P1
pos = -10, -64
facing = 1
bindtime = -1
removetime = 8
sprpriority = 2
supermovetime = 0
pausemovetime = 0

[state 906, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(6)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 906, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(8)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 906, Add Position]
type = posadd
trigger1 = !animelemtime(6)
y = -20.0

[state 906, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = -1.5
y = -5.0
[state 906, Add Velocity]
type = veladd
trigger1 = animelemtime(6) > 0 && animelemtime(9) < 0
y = (5.0 / 12.0)
[state 906, Set Velocity]
type = velset
trigger1 = !animelemtime(9)
x = vel x * 0.25
y = vel y * 0.5
[state 906, Set Velocity]
type = velset
trigger1 = !animelemtime(13)
x = -1.5
Y = 0.0

[state 906, Air Position]
type = varset
trigger1 = !animelemtime(13)
fvar(18) = -pos y

[state 906, Precise Velocity]
type = veladd
trigger1 = animelemtime(13) > 0 && animelemtime(15) <= 0
y = (fvar(18) - (0.0 * 15.0)) / (15.0 ** 2.0 / 2.0)

[state 906, Land Animation]
type = changeanim
trigger1 = animelemtime(13) > 0 && animelemtime(15) <= 0
trigger1 = pos y + vel y > 0
value = anim
elem = 15
persistent = 0
[state 906, Land Velocity]
type = velset
trigger1 = !animelemtime(15)
x = 0.0
y = 0.0
[state 906, Land Position]
type = posset
trigger1 = !animelemtime(15)
y = 0

[state 906, Sound]
type = playsnd
trigger1 = !animelemtime(15)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 906, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(15)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 906, Airborne]
type = statetypeset
trigger1 = !animelemtime(6)
statetype = A
[state 906, Grounded]
type = statetypeset
trigger1 = !animelemtime(15)
statetype = S

[state 906, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 906, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 906, Serpent Energy]
type = helper
trigger1 = !animelemtime(8)
name = "Serpent Energy"
ID = 907
stateno = 907
postype = P1
pos = 112, -48
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 906, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

[state 906, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 906, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Redirected Energy Start 1
;=========================================================================
[Statedef 907]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 907, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1507
[state 907, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1507

[state 907, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1506 && !time
var(0) = 1
ignorehitpause = 1

[state 907, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 907, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 907, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 907, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 907, Change Animation]
type = changeanim
trigger1 = anim != 908 && !time
value = 908

[state 907, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 907, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 907, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 907, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AP
stateno = 1506
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 907, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 907, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 907, Set Velocity]
type = velset
trigger1 = cond(prevstateno, time = 0, time = 1)
x = 6.0

[state 907, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , HP
hitflag = 

[state 907, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 907
[state 907, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 907)
attr = , HP
damage = ceil(cond(32 * fvar(23) < 2, 2, 32 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag =
hitflag = MAF
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 10
guard.slidetime = 8
guard.hittime = 10
air.hittime = 0
ground.velocity = -5.5, -5.5
guard.velocity = -10.0
air.velocity = -5.5, -5.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 907, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 907, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 907, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 907, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 907, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 907, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 907, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 907, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 907, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 907, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 907, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 907, Miss]
type = hitdef
trigger1 = hitpausetime || var(1) >= cond(root,var(53), 2, 1)
attr = , HP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 907, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1507
ignorehitpause = 1

[state 907, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 907, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Redirected Projectile Shrink
;=========================================================================
[Statedef 908]
type = U
movetype = I
physics = U
ctrl = 0
velset = 0, 0
sprpriority = 2

[state 908, Set Velocity]
type = velset
triggerall = !ishelper
trigger1 = authorname != "Super Fighter Team"
x = -3.0
y = -5.0
[state 908, Own State]
type = selfstate
trigger1 = !ishelper
value = cond(authorname = "Super Fighter Team", 5305, 5050)

[state 908, Vulnerability]
type = nothitby
trigger1 = ishelper
value = SCA
time = 1

[state 908, Turn]
type = null ; turn
trigger1 = numenemy && ishelper
trigger1 = facing = enemynear,facing

[state 908, Scale]
type = angledraw
trigger1 = ishelper
scale = const(size.xscale) - (const(size.xscale) / 8.0) * time, const(size.yscale) - (const(size.yscale) / 8.0) * time

[state 908, Add Position]
type = posadd
trigger1 = !time && ishelper
x = p2dist x + 10
y = p2dist y - 64

[state 908, Miss]
type = hitdef
trigger1 = 1
attr = 
hitflag = 

[state 908, Destroy]
type = removeexplod
trigger1 = numexplod

[state 908, Destroy]
type = destroyself
triggerall = ishelper
trigger1 = time >= 8 || p2stateno != 906
trigger2 = cond(numenemy, enemy,anim != 906, 0)
trigger3 = cond(numenemy, enemy,animelemtime(5) >= 0, 0)

;=========================================================================
; External Blaze Counter
;=========================================================================
[Statedef 909]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 909, Set Position]
type = posset
trigger1 = !time
y = 0

[state 909, Change Animation]
type = changeanim
trigger1 = !time
value = 909

[state 909, Voice]
type = playsnd
trigger1 = !animelemtime(4)
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 909, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 909, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2
persistent = 0

[state 909, Counter Effect]
type = explod
trigger1 = !time
anim = F210
ID = 210
postype = P1
pos = 24, -64
facing = 1
bindtime = -1
removetime = -2
sprpriority = 2
supermovetime = 0
pausemovetime = 0

[state 909, Add Position]
type = posadd
trigger1 = animelemtime(4) >= 0 && animelemtime(9) < 0
x = 8.0 - (8.0 / 12.0) * animelemtime(4)

[state 909, Add Position]
type = posadd
trigger1 = !animelemtime(11) || !animelemtime(12)
trigger2 = !animelemtime(13)
x = -8.0 - 8.0 * (animelemtime(12) >= 0)

[state 909, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(4) >= 0 && animelemtime(9) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-8.0 + (-8.0 - (-8.0 * 11.0)) / (11.0 ** 2.0 / 2.0) * animelemtime(4)) * !hitpausetime
ignorehitpause = 1

[state 909, Juggle Points 1]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 909
[state 909, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 909)
attr = S, HA
damage = ceil(cond(32 * fvar(23) < 2, 2, 32 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 20, 20
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -62)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -6.5, 4.5
guard.velocity = -12.0
air.velocity = -6.5, 4.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
kill = 1;0

[state 909, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 909, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; External Blaze Passive
;=========================================================================
[Statedef 910]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 910, Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(3) = sysvar(2) + 0 * (var(53) := 1)

[state 910, Set Position]
type = posset
trigger1 = !time
y = 0

[state 910, Change Animation]
type = changeanim
trigger1 = !time
value = 910

[state 910, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 910, Super Pause]
type = superpause
trigger1 = !time
time = 36
movetime = (var(54) := 36)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 910, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 36

[state 910, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 910, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100
channel = 9

[state 910, Shake]
type = envshake
trigger1 = !animelemtime(2)
time = 32
ampl = 4
freq = 128

[state 910, Control]
type = ctrlset
trigger1 = time = 36 || !animelemtime(10)
value = 1

[state 910, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Lying Down
;=========================================================================
[Statedef 5111]
type = L
movetype = H
physics = N

[state 5111, End State]
type = changestate
triggerall = alive
trigger1 = sysvar(0) = 5071 && animelemtime(1) >= 6 ; unqiue
trigger2 = sysvar(0) != 5071 && animelemtime(1) >= 14 ; unqiue
trigger3 = time > 128
value = 5120

[state 5111, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Get Up
;=========================================================================
[Statedef 5120]
type = L
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 5120, Change Animation]
type = changeanim
trigger1 = !time
value = 5120

[state 5120, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 5120, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(3)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 5120, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(1) >= 0 && animelemtime(3) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 16.0)) / (16.0 ** 2.0 / 2.0) * animelemtime(1)

[state 5120, State Type Set]
type = statetypeset
trigger1 = fvar(14) >= fvar(15) || var(4)
movetype = H
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = !animtime
statetype = S
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = statetype = L
value = SCA
time = 1

[state 5120, Set Hit Fall]
type = hitfallset
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = 1

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = ,NT,ST,HT
time = 12
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value2 = SCA
time = 3
persistent = 0

[state 5120, Control Set]
type = ctrlset
trigger1 = statetype = S
value = 1
persistent = 0

[state 5120, Change to Dizzy State]
type = changestate
triggerall = numhelper(6002) && alive
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger1 = ctrl || !animtime
trigger1 = fvar(14) := 0 || var(4) := 0 || 1
value = 5300

[state 5120, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1
