; Super Fighter Team

;=========================================================================
; Serpent Fang Swipe
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Level 2 Animation]
type = changeanim
trigger1 = anim = 1001 && movehit = [1, 8]
trigger1 = animelemtime(17) >= 4 && animelemtime(18) < 0
value = anim
elem = 18

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 3

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1001 && !animelemtime(15)
value = 1000, 0
volumescale = 100
channel = 0
;persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1001 && !animelemtime(15)
value = F2, 2
volumescale = 100
channel = 1
;persistent = 0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(3) || !animelemtime(9)
trigger2 = anim = 1001 && !animelemtime(15)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Add Position]
type = posadd
trigger1 = !animelemtime(6) || !animelemtime(7)
trigger2 = anim = 1001
trigger2 = !animelemtime(12) || !animelemtime(13)
x = 12.0

[state 1000, Add Position]
type = posadd
trigger1 = animelemtime(3) >= 0 && animelemtime(5) < 0
x = 10.0 - 1.666666666666667 * animelemtime(3)
[state 1000, Add Position]
type = posadd
trigger1 = animelemtime(9) >= 0 && animelemtime(11) < 0
x = 8.0 - 1.333333333333333 * animelemtime(9)
[state 1000, Add Position]
type = posadd
trigger1 = anim = 1001
trigger1 = animelemtime(15) >= 0 && animelemtime(17) < 0
x = 6.0 - 1.0 * animelemtime(15)

[state 1000, Juggle Points 1]
type = null
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(4) >= 0 && animelemtime(5) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = S, SA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -70)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -8.0
guard.velocity = -8.0
air.velocity = -3.0, -7.0 + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1001
[state 1000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 1001)
attr = S, SA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 8 * (anim = 1000), 8 + 4 * (anim = 1000)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -70)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -6.0
guard.velocity = -6.0
air.velocity = -3.0 - (anim = 1000), -7.0 + cond(p2dist y < -0, 0.05 * abs(p2dist y + 0), 0) * (anim = 1001)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 3]
type = null
trigger1 = anim = 1001
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1002
[state 1000, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1001
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
ID = 5235 + 0 * (var(21) := 1002)
attr = S, SA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -70)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -8.0, -4.0
guard.velocity = -6.0
air.velocity = -8.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype = A

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(11 + 6 * (anim = 1001)) >= 0
movetype = I
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Steady Cut
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1100, Width]
type = width
trigger1 = animelemtime(5 + (anim = 1101)) >= 0
trigger1 = animelemtime(7 + (anim = 1101)) < 0
value = 16, 0

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(5 + (anim = 1101))
value = 3

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(5 + (anim = 1101))
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(5 + (anim = 1101))
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1100, Add Position]
type = posadd
trigger1 = !animelemtime(3 + (anim = 1101)) || !animelemtime(5 + (anim = 1101))
x = 8.0 + 4.0 * !animelemtime(5)

[state 1100, Set Velocity]
type = velset
trigger1 = anim = 1101
trigger1 = animelemtime(2) >= 0 && animelemtime(4) <= 0
x = (8.0 - 1.0 * animelemtime(2)) * (animelemtime(4) < 0)

[state 1100, Crouch]
type = statetypeset
trigger1 = animelemtime(5 + (anim = 1101)) = -1
statetype = C
[state 1100, Stand]
type = statetypeset
trigger1 = animelemtime(7 + (anim = 1101)) = -1
statetype = S

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(5 + (anim = 1101)) >= 0 && animelemtime(6 + (anim = 1101)) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5 + (anim = 1101)) >= 0 && animelemtime(6 + (anim = 1101)) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = C, SA
damage = ceil(cond(cond(anim = 1101, 50, 42) * fvar(23) < 2, 2, cond(anim = 1101, 50, 42) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 10, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 88), (var(42) := -14)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -8.0
guard.velocity = -8.0
air.velocity = -1.5, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(6 + (anim = 1101)) >= 0
movetype = I
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Flying Serpent Kick
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(5) || !animelemtime(8)
trigger2 = !animelemtime(11)
value = 1200, 0
volumescale = 100
channel = 0
;persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(4) || !animelemtime(7)
trigger2 = !animelemtime(10)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Add Position]
type = posadd
trigger1 = !animelemtime(2) || !animelemtime(3)
x = 8.0
[state 1200, Add Position]
type = posadd
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 2
x = 8.0 - cond(anim = 1201, 0.8888888888888889, 1.142857142857143) * animelemtime(4)

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = cond(anim = 1201, 5.0, 3.0)
y = -cond(anim = 1201, 3.0, 2.0)  
[state 1200, Add Velocity]
type = veladd
trigger1 = animelemtime(6) > 0 && animelemtime(12) < 0
x = cond(vel x > cond(anim = 1201, 2.0, 1.0), -0.25, 0.0)
[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(12)
y = vel y * 0.5

[state 1200, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(12), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(12) > 0 && animelemtime(13) <= 0
y = (fvar(18) - (fvar(19) * cond(anim = 1201, 16.0, 12.0))) / (cond(anim = 1201, 16.0, 12.0) ** 2.0 / 2.0)

[state 1200, Land Velocity]
type = velset
trigger1 = !animelemtime(13)
x = 0.0
y = 0.0
[state 1200, Land Position]
type = posset
trigger1 = !animelemtime(13)
y = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(13)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1200, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(13)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Airborne]
type = statetypeset
trigger1 = !animelemtime(6)
statetype = A
[state 1200, Grounded]
type = statetypeset
trigger1 = !animelemtime(13)
statetype = S

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = S, SA
damage = ceil(cond(cond(anim = 1201, 20, 16) * fvar(23) < 2, 2, cond(anim = 1201, 20, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -4)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -cond(anim = 1201, 3.0, 1.5), -cond(anim = 1201, 5.0, 3.5) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -8.0
air.velocity = -cond(anim = 1201, 3.0, 1.5), -cond(anim = 1201, 5.0, 3.5) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 2]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1201
[state 1200, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 1201)
attr = A, SA
damage = ceil(cond(cond(anim = 1201, 20, 16) * fvar(23) < 2, 2, cond(anim = 1201, 20, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 72), (var(42) := -30)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -cond(anim = 1201, 4.0, 2.5), -cond(anim = 1201, 6.0, 3.5) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -8.0
air.velocity = -cond(anim = 1201, 4.0, 2.5), -cond(anim = 1201, 6.0, 3.5) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 3]
type = null
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
trigger1 = var(5) := 2 || var(15) := 1 || var(21) := 1202
[state 1200, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(11) >= 0 && animelemtime(12) < 0
ID = 0 + 0 * (var(21) := 1202)
attr = A, SA
damage = ceil(cond(cond(anim = 1201, 20, 16) * fvar(23) < 2, 2, cond(anim = 1201, 18, 16) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 80), (var(42) := -38)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -7.0
guard.velocity = -8.0
air.velocity = -5.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(12) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1200, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)


[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Rising Serpent
;=========================================================================
[Statedef 1300]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(5)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(5)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F3, 5
volumescale = 100
persistent = 0

[state 1300, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(6)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 1300, Add Position]
type = posadd
trigger1 = !animelemtime(4)
y = -8.0 - 12.0 * (anim = 1300)

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = -cond(anim = 1301, 1.5, 3.0)
y = -cond(anim = 1301, 7.0, 4.0)  
[state 1300, Add Velocity]
type = veladd
trigger1 = animelemtime(4) > 0 && animelemtime(8) < 0
y = cond(anim = 1301, 0.4375, 0.5)  
[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(8)
x = vel x * cond(anim = 1301, 0.5, 0.25)
y = vel y * 0.5
[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(11)
x = -cond(anim = 1301, 1.5, 1.5)
Y = 0.0

[state 1300, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(11), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(11) > 0 && animelemtime(13) <= 0
y = (fvar(18) - (fvar(19) * cond(anim = 1301, 16.0, 12.0))) / (cond(anim = 1301, 16.0, 12.0) ** 2.0 / 2.0)

[state 1300, Land Velocity]
type = velset
trigger1 = !animelemtime(13)
x = 0.0
y = 0.0
[state 1300, Land Position]
type = posset
trigger1 = !animelemtime(13)
y = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(13)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1300, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(13)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1300, Airborne]
type = statetypeset
trigger1 = !animelemtime(4)
statetype = A
[state 1300, Grounded]
type = statetypeset
trigger1 = !animelemtime(13)
statetype = S

[state 1300, Rising Serpent Barrier]
type = helper
trigger1 = !animelemtime(6)
name = "Rising Serpent Barrier"
ID = 1305
stateno = 1305
postype = P1
pos = 0, 0
ownpal = 0

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond((cond(anim = 1301, 48, 36) - 10 * (animelemtime(8) >= 0)) * fvar(23) < 2, 2, (cond(anim = 1301, 48, 36) - 10 * (animelemtime(8) >= 0)) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = abs(pos y * 0.5) ; hit y position
fall.envshake.ampl = 16 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 152), (var(42) := -44)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -5.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(10) >= 0
movetype = I
persistent = 0

[state 1300, Crouch]
type = statetypeset
trigger1 = !animelemtime(13)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1300, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1300, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1300, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1300, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Rising Serpent Barrier
;=========================================================================
[Statedef 1305]
type = A
movetype = I
physics = N
ctrl = 0
movehitpersist = 1

[state 1305, Parent Bind]
type = bindtoparent
trigger1 = 1
pos = 0, 0

[state 1305, Absorb One Hit]
type = envshake
trigger1 = prevstateno
time = 4
ampl = 4
freq = 128

[state 1305, Absorb One Hit]
type = playsnd
trigger1 = prevstateno
value = F4, 10
channel = 2
persistent = 0

[state 1305, Absorb One Hit]
type = destroyself
trigger1 = prevstateno

[state 1305, Change Animation]
type = changeanim
trigger1 = root,animelemno(0) - 5 = [1, 4]
value = root,anim + 5
elem = root,animelemno(0) - 5

[state 1305, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, AP
time = -1

[state 1305, Hit Override]
type = hitoverride
trigger1 = 1
attr = SCA, AA, AT, AP
stateno = 1305
slot = 0
time = -1
forceair = 0

[state 1305, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1305, Destroy Helper]
type = destroyself
trigger1 = !animtime || root,movetype = H
trigger2 = root,stateno != 1300 || root,anim != [1300, 1301]
trigger3 = root,animelemtime(6) < 0 || root,animelemtime(10) >= 0

;=========================================================================
; Aerial Plunge
;=========================================================================
[Statedef 1400]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x, vel y
sprpriority = 1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Change Animation]
type = changeanim
trigger1 = !time
value = 1400 ; + var(9) - 1

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(6)
value = 3

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(5)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 1400, Set Velocity]
type = velset
trigger1 = !time
x = cond(var(9) = 2, 3.0, 0.0)
y = cond(vel y > -5.0, -5.0, vel y)

[state 1400, Set Velocity]
type = velset
trigger1 = !animelemtime(5)
x = 3.0
y = 4.0

[state 1400, Add Velocity]
type = veladd
trigger1 = animelemtime(5) > 0
y = 0.5

[state 1400, Add Velocity]
type = veladd
triggerall = !fvar(37) || !fvar(38)
trigger1 = animelemtime(5) < 0
y = const(movement.yaccel)
[state 1400, Add Velocity]
type = veladd
triggerall = fvar(37) && fvar(38)
trigger1 = animelemtime(5) < 0
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 1400, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1400
[state 1400, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(6) >= 0
ID = 0 + 0 * (var(21) := 1400)
attr = A, SA
damage = ceil(cond(42 * fvar(23) < 2, 2, 42 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 10 ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 32), (var(42) := -8)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.5, -6.0
guard.velocity = -10.0
air.velocity = -3.5, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1400, Idle]
type = statetypeset
trigger1 = pos y + vel y > 0
movetype = I
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1405

;=========================================================================
; Aerial Plunge Land
;=========================================================================
[Statedef 1405]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 1405, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1405, Change Animation]
type = changeanim
trigger1 = !time
value = 1405

[state 1405, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1405, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !time
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1405, Crouch]
type = statetypeset
trigger1 = !time
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1405, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1405, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1405, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl && random<50
value = cond(inguarddist, 120, 40)

[state 1405, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Preying Serpent
;=========================================================================
[Statedef 1500]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1500, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1500, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1500, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1500 + var(9) - 1
[state 1500, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1500

[state 1500, Add Power]
type = poweradd
trigger1 = !animelemtime(8)
value = 0

[state 1500, Voice]
type = playsnd
trigger1 = !animelemtime(6)
value = 1500, 0
volumescale = 100
channel = 0
persistent = 0

[state 1500, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F3, 5
volumescale = 100
channel = 1
persistent = 0

[state 1500, Sound]
type = playsnd
trigger1 = !animelemtime(8)
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1500, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(7)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1500, Serpent Energy]
type = helper
trigger1 = !animelemtime(8)
name = "Serpent Energy"
ID = 1505
stateno = 1505
postype = P1
pos = 70, -75
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1500, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1500, Idle]
type = statetypeset
trigger1 = animelemtime(8) >= 0
movetype = I
persistent = 0

[state 1500, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1500, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Serpent Energy Start 1
;=========================================================================
[Statedef 1505]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1505, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1507
[state 1505, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1510

[state 1505, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1506 && !time
var(0) = 1
ignorehitpause = 1

[state 1505, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1505, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1505, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1505, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1505, Change Animation]
type = changeanim
trigger1 = anim != 1505 && !time
value = 1505

[state 1505, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1505, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1505, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1505, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1506
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1505, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1505, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1505, Set Velocity]
type = velset
trigger1 = cond(prevstateno, time = 0, time = 1)
x = cond(var(9) = 2, 4.5, 3.0)

[state 1505, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = S, SP
hitflag = 

[state 1505, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1505
[state 1505, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1505)
attr = S, SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.5, -5.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1505, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1505, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1505, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1505, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1505, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1505, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1505, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1505, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1505, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1505, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1505, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1505, Miss]
type = hitdef
trigger1 = hitpausetime || var(1) >= cond(root,var(53), 2, 1)
attr = S, SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1505, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1507
ignorehitpause = 1

[state 1505, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1505, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Serpent Energy Canceled 1
;=========================================================================
[Statedef 1506]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1506, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1506, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1506, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1506, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1506, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1506, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1506, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1506
slot = 0
time = -1
forceair = 0

[state 1506, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1506, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1506, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1506, Miss]
type = hitdef
trigger1 = 1
attr = S, SP
hitflag = 

[state 1506, End State]
type = changestate
trigger1 = !time
value = 1507

;=========================================================================
; Serpent Energy End 1
;=========================================================================
[Statedef 1507]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
movehitpersist = 1

[state 1507, Change Animation]
type = changeanim
trigger1 = !time
value = 1507

[state 1507, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1507, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1507, Destroy]
type = destroyself
trigger1 = !animtime

;=========================================================================
; Serpent Energy Reflected 1
;=========================================================================
[Statedef 1510]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; var(3) = reflected
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1510, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1507
[state 1510, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1507

[state 1510, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1511 && !time
var(0) = 1
ignorehitpause = 1

[state 1510, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1510, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1510, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1510, Reset Variables After Reflection]
type = null
triggerall = var(3) && !time
trigger1 = var(0) := 0 || var(1) := 0 || var(2) := -1 || var(3) := 0

[state 1510, Projectile Configuration]
type = null
triggerall = numenemy
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := enemy,var(14) || var(16) := enemy,var(16) || var(17) := enemy,var(17) || var(18) := enemy,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := enemy,var(13) || fvar(22) := enemy,fvar(22) || fvar(23) := enemy,fvar(23) || 1

[state 1510, Change Animation]
type = changeanim
trigger1 = anim != 1505 && !time
value = 1505

[state 1510, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1510, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1510, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1510, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1511
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1510, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1510, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1510, Set Velocity]
type = velset
trigger1 = !time
x = cond(var(9) = 2, 4.5, 3.0)

[state 1510, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , SP
hitflag = 

[state 1510, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1510
[state 1510, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1510)
attr = , SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
affectteam = F
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.5, -5.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (root,stateno != 5300), 0 * (root,stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = root,statetype != A

;========================< Projectile Contact >========================

[state 1510, Reflective Juggle Points 1]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(19) = cond(var(21) = 1510, var(15), 0)
ignorehitpause = 1

[state 1510, Reflective Juggle Points]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(20) = 2
ignorehitpause = 1

[state 1510, Hit Sound]
type = playsnd
triggerall = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && !time
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1510, Hit Spark, Guard Spark]
type = explod
triggerall = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && !time
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1510, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = , SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1510, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1507
ignorehitpause = 1

[state 1510, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1510, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Serpent Energy Canceled 2
;=========================================================================
[Statedef 1511]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1511, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1511, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1511, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1511, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1511, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1511, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1511, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1511
slot = 0
time = -1
forceair = 0

[state 1511, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1511, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1511, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1511, Miss]
type = hitdef
trigger1 = 1
attr = , SP
hitflag = 

[state 1511, End State]
type = changestate
trigger1 = !time
value = 1507