; Super Fighter Team

;=========================================================================
; Fire Wheel
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 3000, Vulnerability]
type = hitby
trigger1 = !animelemtime(6)
value2 = SCA, AA, AT, HP
time = 32
persistent = 0

;========================< Move Functions >========================

[state 3000, Set Number Loops]
type = varset
trigger1 = !time
var(6) = 4 ; number of cycles. values equal to and below ONE will generate one cycle.

[state 3000, Loop Animation]
type = changeanim
triggerall = var(6) > 0
trigger1 = !animelemtime(14)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 8

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0

[state 3000, Sound]
type = playsnd
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
trigger1 = var(8) % 12 = 0
value = F2, 1
volumescale = 100
channel = 1
ignorehitpause = 1
persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
trigger1 = var(8) % 12 = 0
value = F3, 10
volumescale = 100
channel = 3
ignorehitpause = 1

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
trigger1 = var(8) % 20 = 0
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, -floor(pos y)
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
ignorehitpause = 1

[state 3000, Snd/Dust Interval]
type = varadd
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
var(8) = 1
ignorehitpause = 1

[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(8)
y = 24.0
persistent = 0

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 4.0
persistent = 0
[state 3000, Precise Velocity]
type = veladd
trigger1 = animelemtime(6) > 0 && animelemtime(14) < 0
trigger1 = pos y > -64 &&  !fvar(20)
y = (-64.0 - (0.0 * 31.0)) / (31.0 ** 2.0 / 2.0)

[state 3000, Air Velocity]
type = velset
trigger1 = pos y <= -64
x = 0.0
y = 0.0
persistent = 0
[state 3000, Air Position]
type = posset
trigger1 = pos y <= -64
trigger1 = fvar(20) := 1
y = -72.0
persistent = 0

[state 3000, Circle Movement]
type = posadd
trigger1 = animelemtime(8) > 0 && animelemtime(14) < 0
trigger1 = var(7) := var(7) + 1
x = 0.5 * cos(var(7) * pi / 12.0)
[state 3000, Circle Movement]
type = posadd
trigger1 = animelemtime(8) > 0 && animelemtime(14) < 0
trigger1 = fvar(19)
y = -0.5 * sin(var(7) * pi / 12.0)

[state 3000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(14), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(14) > 0 && animelemtime(19) <= 0
y = (fvar(18) - (fvar(19) * 32.0)) / (32.0 ** 2.0 / 2.0)

[state 3000, Land Velocity]
type = velset
trigger1 = !animelemtime(19)
x = 0.0
y = 0.0
[state 3000, Land Position]
type = posset
trigger1 = !animelemtime(19)
y = 0

[state 3000, Airborne]
type = statetypeset
trigger1 = !animelemtime(6)
statetype = A
[state 3000, Grounded]
type = statetypeset
trigger1 = !animelemtime(19)
statetype = S

[state 3000, Width]
type = width
trigger1 = statetype = A
edge = 40, 0

[state 3000, Solidity]
type = playerpush
trigger1 = statetype = A
value = 0
ignorehitpause = 1

[state 3000, Juggle Points 1]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3000 + (animelemtime(10) >= 0) + (animelemtime(12) >= 0)
[state 3000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(8) >= 0 && animelemtime(14) < 0
ID = 0 + 0 * (var(21) := 3000 + (animelemtime(10) >= 0) + (animelemtime(12) >= 0))
attr = A, HA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y - 48))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = cond(p2dist x < 0, -6.0, 6.0), cond(vel y < 0, vel y * 1.5, cond(p2dist y >= -32, -6.0, 6.0))
guard.velocity = -8.0
air.velocity = cond(p2dist x < 0, -6.0, 6.0), cond(vel y < 0, vel y * 1.5, cond(p2dist y >= -32, -6.0, 6.0))
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 8.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = 1 - 2 * (p2dist x < 0)

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(14) >= 0
movetype = I
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1