; Super Fighter Team

;=========================================================================
; Rockin' Dance
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Afterimage]
type = afterimage
trigger1 = !animelemtime(6)
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 0
volumescale = 100
channel = 0

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(6)
value = 1, 1
volumescale = 100
channel = 0
persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F2, 3
volumescale = 100
channel = 1
persistent = 0

[state 3000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(6)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -8, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 12.0
[state 3000, Set Velocity]
type = veladd
trigger1 = animelemtime(6) > 0 && animelemtime(7) <= 0
x = -(12.0 / 16.0)

[state 3000, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 3000, Juggle Points 1]
type = null
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
trigger1 = var(5) := 6 || var(15) := 0 || var(21) := 3000
[state 3000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = p2stateno != 40 && p2dist x > 0 && p2stateno != [150, 155]
trigger1 = animelemtime(6) >= 0 && animelemtime(7) < 0
ID = 3010 + 0 * (var(21) := 3000)
attr = S, ST
damage = 0, 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.damage = 0 ; ceil(cond(40 * fvar(23) < 2, 2, 40 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag =
hitflag = M
priority = 1, miss
pausetime = 0, 0
guard.pausetime = 0, 0
hitsound = -1 + 0 * (var(11) := -1)
guardsound = -1 + 0 * (var(12) := -1)
sparkno = -1 + 0 * (var(39) := -1)
guard.sparkno = -1 + 0 *  (var(40) := -1)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = hard
air.type = low
ground.slidetime = 0
ground.hittime = 0
guard.slidetime = 0
guard.hittime = 0
air.hittime = 0
ground.velocity = 0.0, 0.0
guard.velocity = 0.0
air.velocity = 0.0, 0.0
airguard.velocity = 0.0, 0.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0, 0
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 1
p1facing = 1
p1stateno = 3005
numhits = 0
kill = 0

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Rockin' Dance Success - Gerdon stage
;=========================================================================
[Statedef 3005]
type = S
movetype = A
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 1

[State 3005, Change Stage] ;Not in Gerdon stage
type = ChangeState
trigger1 = stagevar(info.name) != "Thailand"
trigger1 = stagevar(info.author) = "Super Fighter Team"
value = 3020
ctrl = 0
ignorehitpause = 1
;persistent = 


[state 3005, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3005, Change Animation]
type = changeanim
trigger1 = !time
value = 3005

[state 3005, Width]
type = width
trigger1 = !time
edge = 40, 0

[state 3005, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0

[state 3005, Voice]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(23) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = 1 + 179 * (animelemtime(22) >= 0), 0
volumescale = 100
channel = 0
persistent = 0

[state 3005, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 3005, Sound]
type = playsnd
trigger1 = !animelemtime(25)
value = 180, 5 + random % 2
volumescale = 100
persistent = 0

[state 3005, Special Effect]
type = assertspecial
trigger1 = animelemtime(37) < 0
flag = timerfreeze
[state 3005, Special Effect]
type = assertspecial
trigger1 = animelemtime(25) >= 0 && animelemtime(36) < 0
flag = nomusic 

[state 3005, Turn]
type = turn
trigger1 = animelemtime(7) >= 0 && animelemtime(23) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))

[state 3005, Fade Switch]
type = varadd
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger2 = animelemtime(5) >= 0 && animelemtime(6) < 0 || animelemtime(8) >= 0 && animelemtime(9) < 0
trigger3 = animelemtime(11) >= 0 && animelemtime(12) < 0 || animelemtime(14) >= 0 && animelemtime(15) < 0
trigger4 = animelemtime(17) >= 0 && animelemtime(18) < 0 || animelemtime(20) >= 0 && animelemtime(21) < 0
trigger5 = animelemtime(23) >= 0 && animelemtime(24) < 0
var(6) = 1

[state 3005, Background Effect 1]
type = varset
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
trigger2 = !animelemtime(25)
var(6) = 0 + 0 * cond(animelemtime(3) >= 0, var(7) := cond(var(7) + 1 > 6, 0, var(7) + 1), 0)
[state 3005, Background Effect 1]
type = allpalfx
trigger1 = var(6)
time = 1
mul = (256 - cond(animelemtime(5) < 0, 8, 32) * var(6)) * (var(7) = 0 || var(7) = 1 || var(7) = 4 || var(7) = 5), (256 - cond(animelemtime(5) < 0, 8, 32) * var(6)) * (var(7) = 0 || var(7) = 2 || var(7) = 4 || var(7) = 6), (256 - cond(animelemtime(5) < 0, 8, 32) * var(6)) * (var(7) = 0 || var(7) = 3 || var(7) = 5 || var(7) = 6)
color = 256 - cond(animelemtime(5) < 0, 8, 32) * var(6)

[state 3005, Background Effect 2]
type = allpalfx
trigger1 = animelemtime(25) >= 0 && animelemtime(37) < 0
trigger1 = animelemno(0) % 2 = 0 && !animelemtime(animelemno(0))
time = 6
mul = random % 256, random % 256, random % 256
add = 0, 0, 0
color = 0
[state 3005, Background Effect 2]
type = allpalfx
trigger1 = animelemtime(25) >= 0 && animelemtime(37) < 0
trigger1 = animelemno(0) % 2 = 1 && !animelemtime(animelemno(0))
time = 6
mul = random % 256, random % 256, random % 256
add = 0, 0, 0
color = 0

[state 3005, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Target Timeline >========================

[state 3005, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 3010

[state 3005, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
trigger2 = animelemtime(7) >= 0 && animelemtime(23) < 0
trigger2 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = -1

[state 3005, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(1)
pos = (target,pos x - pos x ) * facing * const(size.xscale), 0 * const(size.yscale)
[state 3005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = !animelemtime(1)
pos = target,const(size.ground.front) * target,const(size.xscale), 0 * target,const(size.yscale), foot

[state 3005, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(3) <= 0
pos = 24 * const(size.xscale), 0 * const(size.yscale)
[state 3005, Target Bind]
type = posset
trigger1 = numtarget
trigger1 = !animelemtime(3)
x = -target,const(size.ground.front) * facing
y = 0

[state 3005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = animelemtime(3) > 0 && animelemtime(23) < 0
pos = target,const(size.ground.front) * target,const(size.xscale), 0 * target,const(size.yscale), foot

[state 3005, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(23) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = -ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23)))
kill = (var(6) = 1)

[state 3005, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(23) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = 3 * (target,prevstateno != 5300)
persistent = 0

[state 3005, Target State]
type = targetstate
trigger1 = numtarget
trigger1 = !animelemtime(23)
value = 3011

;========================< Throw Effects >========================

[state 3005, Add Hit]
type = hitadd
triggerall = animelemtime(4) >= 0 && animelemtime(23) < 0
triggerall = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
trigger1 = var(15) := 1 || var(10) := -2 || fvar(26) := 12 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := 1 || var(12) := 10 || fvar(22) := 0 || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := 200 || var(40) := -1 || 1 ; sparkno, guard.sparkno
value = 1

[state 3005, Add Hit]
type = null
trigger1 = !animelemtime(4) || !animelemtime(7)
trigger1 = var(41) := cond(!animelemtime(4), 20, 24) || var(42) := -cond(!animelemtime(4), 88, 90) || 1 ; sparkxy
trigger2 = !animelemtime(10) || !animelemtime(13)
trigger2 = var(41) := cond(!animelemtime(10), 20, 26) || var(42) := -cond(!animelemtime(10), 68, 0) || 1 ; sparkxy
trigger3 = !animelemtime(16) || !animelemtime(19)
trigger3 = var(41) := cond(!animelemtime(16), 16, 24) || var(42) := -cond(!animelemtime(16), 64, 78) || 1 ; sparkxy
trigger4 = !animelemtime(22)
trigger4 = var(41) := 20 || var(42) := -110 || 1 ; sparkxy

[state 3005, Shake]
type = envshake
trigger1 = animelemtime(4) >= 0 && animelemtime(23) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
time = 8
ampl = 8
freq = 128

;========================< End Throw >========================

[state 3005, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0 && var(9) = 1
trigger2 = animelemtime(4) >= 0 && var(9) = 2
movetype = I
persistent = 0

[state 3005, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3005, End State]
type = changestate
trigger1 = !animtime
trigger2 = !animelemtime(8) && var(9) = 1
value = 0
ctrl = 1

;=========================================================================
; Rockin' Dance Success - Other stages
;=========================================================================
[Statedef 3020]
type = S
movetype = A
physics = N
ctrl = 0
sprpriority = 1

[state 3005, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3005, Change Animation]
type = changeanim
trigger1 = !time
value = 3020

[state 3005, Width]
type = width
trigger1 = !time
edge = 40, 0

[state 3000, Set Velocity]
type = velset
trigger1 = !time
x = 0.66
y = 0

[state 3005, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0

[state 3005, Voice]
type = playsnd
trigger1 = animelemtime(4) >= 0 && animelemtime(27) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = 1 + 179 * (animelemtime(22) >= 0), 0
volumescale = 100
channel = 0
persistent = 0

[state 3005, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F4, 12
volumescale = 100
channel = 1
persistent = 0

[state 3005, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

;========================< Target Timeline >========================

[state 3005, Target State]
type = targetstate
trigger1 = cond(numtarget, !time, 0)
value = 3030

[state 3005, Target Facing]
type = targetfacing
trigger1 = cond(numtarget, !time, 0)
trigger2 = animelemtime(7) >= 0 && animelemtime(27) < 0
trigger2 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = -1

[state 3005, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = !animelemtime(1)
pos = (target,pos x - pos x ) * facing * const(size.xscale), 0 * const(size.yscale)
[state 3005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = !animelemtime(1)
pos = target,const(size.ground.front) * target,const(size.xscale), 0 * target,const(size.yscale), foot

[state 3005, Target Bind]
type = targetbind
trigger1 = numtarget
trigger1 = animelemtime(1) >= 0 && animelemtime(3) <= 0
pos = 24 * const(size.xscale), 0 * const(size.yscale)

[state 3005, Target Bind]
type = bindtotarget
trigger1 = numtarget
trigger1 = animelemtime(3) > 0 && animelemtime(27) < 0
pos = target,const(size.ground.front) * target,const(size.xscale), 0 * target,const(size.yscale), foot

[state 3005, Target Damage]
type = targetlifeadd
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(27) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = -ceil(cond(15 * fvar(23) < 2, 2, 15 * fvar(23)))
kill = 1 ;(var(6) = 1)

[state 3005, Target Power]
type = targetpoweradd
trigger1 = numtarget
trigger1 = animelemtime(4) >= 0 && animelemtime(27) < 0
trigger1 = animelemno(0) % 3 = 1 && !animelemtime(animelemno(0))
value = 3 * (target,prevstateno != 5300)
persistent = 0

[State 0, TargetVelSet]
type = TargetVelSet
trigger1 = numtarget
trigger1 = !animelemtime(27)
x = -5
y = -8
ignorehitpause = 1


;========================< Throw Effects >========================

[state 3005, Target State]
type = targetstate
trigger1 =  animelemtime(3)=0 || animelemtime(5)=0 ||animelemtime(8)=0 || animelemtime(10)=0 || animelemtime(13)=0 || animelemtime(15)=0 || animelemtime(17)=0 || animelemtime(21)=0 || animelemtime(25)=0
value = 3030

[state 3005, Add Hit]
type = hitadd
triggerall = animelemtime(3)=0 || animelemtime(5)=0 ||animelemtime(8)=0 || animelemtime(10)=0 || animelemtime(13)=0 || animelemtime(15)=0 || animelemtime(17)=0 || animelemtime(21)=0 || animelemtime(25)=0
trigger1 = var(15) := 1 || var(10) := -2 || fvar(26) := 12 || 1 ; juggle points, hit type, cornerpush time
trigger1 = var(11) := 1 || var(12) := 10 || fvar(22) := 0 || 1 ; hitsound, guard sound, damage scaling
trigger1 = var(39) := 200 || var(40) := -1 || 1 ; sparkno, guard.sparkno
value = 1

[state 3005, Add Hit spark]
type = null
trigger1 = animelemtime(3)=0 || animelemtime(8)=0
trigger1 = var(41) := 46 || var(42) := -66 || 1 ; sparkxy
trigger2 = animelemtime(5)=0 || animelemtime(10)=0
trigger2 = var(41) := 66 || var(42) := -76 || 1 ; sparkxy
trigger3 = animelemtime(13)=0
trigger3 = var(41) := 46 || var(42) := -66 || 1 ; sparkxy
trigger4 = animelemtime(15)=0
trigger4 = var(41) := 46 || var(42) := -56 || 1 ; sparkxy
trigger5 = animelemtime(17)=0
trigger5 = var(41) := 56 || var(42) := 0 || 1 ; sparkxy
trigger6 = animelemtime(21)=0 || animelemtime(25)=0
trigger6 = var(41) := 26 || var(42) := -100 || 1 ; sparkxy

[state 3005, Shake]
type = envshake
trigger1 = animelemtime(3)=0 || animelemtime(8)=0
trigger2 = animelemtime(5)=0 || animelemtime(10)=0
trigger3 = animelemtime(13)=0
trigger4 = animelemtime(15)=0
trigger5 = animelemtime(17)=0
trigger6 = animelemtime(21)=0 || animelemtime(25)=0
time = 8
ampl = 8
freq = 128

;========================< End Throw >========================

[state 3005, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0 && var(9) = 1
trigger2 = animelemtime(4) >= 0 && var(9) = 2
movetype = I
persistent = 0

[state 3005, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3005, End State]
type = changestate
trigger1 = !animtime
trigger2 = !animelemtime(8) && var(9) = 1
value = 0
ctrl = 1

;=========================================================================
; Target (3010) - 1
;=========================================================================
[Statedef 3010]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 3010, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 3010 

[state 3010, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 3010, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 3010, Faux-Shake]
type = offset
trigger1 = animelemtime(4) >= 0 && animelemno(0) % 3 = 1
x = cond(random < 500, random % 2, -random % 2)
y = cond(random < 500, random % 2, -random % 2)

[state 3010, Own State]
type = selfstate
trigger1 = time > 352
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (3010) - 2
;=========================================================================
[Statedef 3011]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 3011, Change Animation]
type = changeanim
trigger1 = !time
value = 5050

[state 3011, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 3011, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 3011, Add Position]
type = posadd
trigger1 = !animelemtime(1)
y = -110.0 + const(size.mid.pos.y)

[state 3011, Set Velocity]
type = velset
trigger1 = !animelemtime(1)
x = -5.0 * fvar(27)
y = -10.0 * fvar(27)

[state 3011, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(1), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(1) > 0
y = (fvar(18) - (fvar(19) * 18.0)) / (18.0 ** 2.0 / 2.0)

[State 0, LifeAdd]
type = LifeAdd
trigger1 = animelemtime(1) >= 18
value = -1
kill = 1
absolute = 0
ignorehitpause = 1
persistent = 0

[state 3011, Own State]
type = changestate
trigger1 = animelemtime(1) >= 18
value = 3012

[state 3011, Own State]
type = selfstate
trigger1 = time > 128
trigger1 = !gethitvar(isbound)
value = 5050

;=========================================================================
; Target (3010) - 3
;=========================================================================
[Statedef 3012]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 3012, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3012, Change Animation 2]
type = changeanim2
trigger1 = !time
value = 3012 

[state 3012, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 3012, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 3012, Shake]
type = envshake
trigger1 = !time
time = 56
ampl = cond(animelemtime(1) < 16, 8, cond(animelemtime(1) < 32, 4, cond(animelemtime(1) < 40, 2, 1)))
freq = 128

[state 3012, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0

[state 3012, Hit Ground Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Hit Ground Dust"
ID = 60250
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3012, Faux-Shake]
type = offset
trigger1 = 1
x = cond(random < 500, random % 2, -random % 2)
y = cond(random < 500, random % 2, -random % 2)

[state 3012, Set Velocity]
type = velset
trigger1 = !animtime || time >= 66
x = -5.0 * fvar(27)

[state 3012, Own State]
type = selfstate
trigger1 = !animtime || time >= 66
value = 5101

;=========================================================================
; Target (3010) - 1
;=========================================================================
[Statedef 3030]
type = A
movetype = H
physics = N
ctrl = 0
velset = 0, 0
sprpriority = -1

[state 3010, Change Animation 2]
type = changeanim2
trigger1 = !time
value = IfElse(random%2=0,5001,5011)

[state 3010, Change Animation 2]
type = changeanim2
trigger1 = time=(0,4]
value = Anim
elem = 1 

[state 3010, Set Hit Fall]
type = hitfallset
trigger1 = !time
value = 1

[state 3010, Bound]
type = screenbound
trigger1 = 1
value = 1
movecamera = 1, 0

[state 3010, Faux-Shake]
type = offset
trigger1 = animelemtime(3) >= 0 && animelemno(0) % 3 = 1
x = cond(random < 500, random % 2, -random % 2)
y = cond(random < 500, random % 2, -random % 2)

[state 3010, Own State]
type = selfstate
;trigger1 = time > 352
trigger1 = !gethitvar(isbound)
value = 5050