; Super Fighter Team

;=========================================================================
; Slice Kick
;=========================================================================
[Statedef 1000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1000, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "b" || command = "NE_b"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1000, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1000, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1000 + var(9) - 1
[state 1000, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1000

[state 1000, Add Power]
type = poweradd
trigger1 = !animelemtime(9)
value = 3

[state 1000, Voice]
type = playsnd
trigger1 = !animelemtime(9) || !animelemtime(12)
trigger2 = anim = 1001 && !animelemtime(15)
value = 1000, 1 + !animelemtime(12)
volumescale = 100
channel = 0
;persistent = 0

[state 1000, Sound]
type = playsnd
trigger1 = !animelemtime(9) || !animelemtime(12)
trigger2 = anim = 1001 && !animelemtime(15)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 1000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = cond(anim = 1001, 3.0, 3.0)
y = cond(anim = 1001, -5.0, -6.0)
[state 1000, Precise Velocity]
type = veladd
trigger1 = animelemtime(2) > 0 && animelemtime(7) <= 0
y = (-32 - (cond(anim = 1001, -5.0, -6.0) * cond(anim = 1001, 15.0, 10.0))) / (cond(anim = 1001, 15.0, 10.0) ** 2.0 / 2.0)

[state 1000, Set Velocity]
type = velset
trigger1 = !animelemtime(7)
x = cond(anim = 1001, 2.0, 1.0)
y = 0.0
[state 1000, Add Velocity]
type = veladd
trigger1 = animelemtime(7) > 0 && animelemtime(13 + 3 * (anim = 1001)) <= 0
x = -cond(anim = 1001, (1.0 / 41.0), (0.5 / 26.0))
; y = (4 - (0.0 * cond(anim = 1001, 45.0, 30.0))) / (cond(anim = 1001, 45.0, 30.0) ** 2.0 / 2.0)

[state 1000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(13 + 3 * (anim = 1001)), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(13 + 3 * (anim = 1001)) > 0 && animelemtime(14 + 3 * (anim = 1001)) <= 0
y = (fvar(18) - (fvar(19) * 16.0)) / (16.0 ** 2.0 / 2.0)

[state 1000, Land Velocity]
type = velset
trigger1 = !animelemtime(14 + 3 * (anim = 1001))
x = 0.0
y = 0.0
[state 1000, Land Position]
type = posset
trigger1 = !animelemtime(14 + 3 * (anim = 1001))
y = 0

[state 1000, Land Sound]
type = playsnd
trigger1 = !animelemtime(14 + 3 * (anim = 1001))
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1000, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(14 + 3 * (anim = 1001))
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1000, Airborne]
type = statetypeset
trigger1 = !animelemtime(2)
statetype = A
[state 1000, Grounded]
type = statetypeset
trigger1 = !animelemtime(14 + 3 * (anim = 1001)) ;!animelemtime(17)
statetype = S

[state 1000, Juggle Points 1]
type = null
trigger1 = animelemtime(9) >= 0 && animelemtime(10) < 0
trigger1 = var(5) := 2 || var(15) := 2 || var(21) := 1000
[state 1000, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(9) >= 0 && animelemtime(10) < 0
ID = 0 + 0 * (var(21) := 1000)
attr = A, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 10 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -32)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0
guard.velocity = -8.0
air.velocity = -3.0, -3.0 + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(10 - 1 * var(13) < 1, 1, 10 - 1 * var(13)), 2
givepower = 3 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 2]
type = null
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
trigger1 = var(5) := 2 || var(15) := 2 || var(21) := 1001
[state 1000, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
ID = 0 + 0 * (var(21) := 1001)
attr = A, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 * (anim = 1000) ; hit y position
fall.envshake.ampl = 10 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 8 * (anim = 1000), 8 + 4 * (anim = 1000)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -32)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 - 3.0 * (anim = 1000), (-3.0 - 2.0 * (anim = 1000) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)) * (anim = 1000)
guard.velocity = -8.0
air.velocity = -3.0 - 3.0 * (anim = 1000), -3.0 - 2.0 * (anim = 1000) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = (anim = 1000)
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Juggle Points 3]
type = null
trigger1 = anim = 1001
trigger1 = animelemtime(15) >= 0 && animelemtime(16) < 0
trigger1 = var(5) := 2 || var(15) := 2 || var(21) := 1002
[state 1000, Hit 3]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = anim = 1001
trigger1 = animelemtime(15) >= 0 && animelemtime(16) < 0
ID = 0 + 0 * (var(21) := 1002)
attr = A, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 10 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 56), (var(42) := -32)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0, -5.0
guard.velocity = -8.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 2
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1000, Idle]
type = statetypeset
trigger1 = animelemtime(13 + 3 * (anim = 1001)) >= 0
movetype = I
persistent = 0

[state 1000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1000, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1000, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Wind Slicer
;=========================================================================
[Statedef 1100]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1100, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1100, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1100, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1100 + var(9) - 1
[state 1100, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1100

[state 1000, Width]
type = width
trigger1 = animelemtime(2) >= 0 && animelemtime(4) < 0
value = 8, 0
ignorehitpause = 1

[state 1100, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 1100, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0

[state 1100, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(3 + 4 * (anim = 1101))
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1100, Add Position]
type = posadd
trigger1 = !animelemtime(2)
x = 12.0

[state 1100, Add Position]
type = posadd
trigger1 = animelemtime(2) >= 0 && animelemtime(3 + 4 * (anim = 1101)) <= 0
x = cond(anim = 1101, 11.0, 8.0) - cond(anim = 1101, 0.75, 0.25) * (animelemtime(2))

[state 1100, Faux-Velocity]
type = offset
trigger1 = anim = 1100
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
y = fvar(35) := fvar(35) + (-4.0 + (0 - (-4.0 * 5.0)) / (5.0 ** 2.0 / 2.0) * animelemtime(2)) * !hitpausetime
ignorehitpause = 1

[state 1100, Faux-Velocity]
type = offset
trigger1 = anim = 1101
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-6.0 + (0 - (-6.0 * 8.0)) / (8.0 ** 2.0 / 2.0) * animelemtime(2)) * !hitpausetime
ignorehitpause = 1

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 30, 20) * fvar(23) < 2, 2, cond(anim = 1101, 30, 20) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 24 + 16 * var(53) ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 68), (var(42) := -64)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -6.0, 5.0 * (anim = 1101)
guard.velocity = -8.0
air.velocity = -5.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = (anim = 1101)
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
fall.yvelocity = 0.0
forcestand = 1
forcenofall = 0

[state 1100, Juggle Points 1]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1100
[state 1100, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1100)
attr = S, SA
damage = ceil(cond(cond(anim = 1101, 24, 14) * fvar(23) < 2, 2, cond(anim = 1101, 24, 14) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 16 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := (80 - 12 * (anim = 1101))), (var(42) := -64)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -4.0 * (anim = 1101)
guard.velocity = -8.0
air.velocity = -4.0, -4.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = (anim = 1101)
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1100, Idle]
type = statetypeset
trigger1 = animelemtime(7) >= 0
movetype = I
persistent = 0

[state 1100, Crouch]
type = statetypeset
trigger1 = !animelemtime(8)
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1100, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1100, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1100, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1100, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Spiral Chop
;=========================================================================
[Statedef 1200]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1200, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1200, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1200, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1200, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1200 + var(9) - 1
[state 1200, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1200

[state 1200, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 1200, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1200, 0
volumescale = 100
channel = 0
persistent = 0

[state 1200, Sound]
type = playsnd
trigger1 = !animelemtime(2) || !animelemtime(5)
value = F2, 2
volumescale = 100
channel = 1
;persistent = 0

[state 1200, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -16, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Add Position]
type = posadd
trigger1 =!animelemtime(3)
x = 8.0

[state 1200, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = cond(anim = 1201, 5.0, 3.0)
y = cond(anim = 1201, -7.0, -6.0)

[state 1200, Precise Velocity]
type = veladd
trigger1 = animelemtime(3) > 0 && animelemtime(9) <= 0
x = cond(vel x - 0.25 > 0, -0.25, 0.0)
y = (0.0 - (cond(anim = 1201, -7.0, -6.0) * cond(anim = 1201, 28.0, 24.0))) / (cond(anim = 1201, 28.0, 24.0) ** 2.0 / 2.0)

[state 1200, Land Velocity]
type = velset
trigger1 = !animelemtime(9)
x = 0.0
y = 0.0
[state 1200, Land Position]
type = posset
trigger1 = !animelemtime(9)
y = 0

[state 1200, Land Sound]
type = playsnd
trigger1 = !animelemtime(9)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1200, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(9)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1200, Airborne]
type = statetypeset
trigger1 = !animelemtime(3)
statetype = A
[state 1200, Grounded]
type = statetypeset
trigger1 = !animelemtime(9)
statetype = S

[state 1200, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1200
[state 1200, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(4) < 0
ID = 0 + 0 * (var(21) := 1200)
attr = A, SA
damage = ceil(cond(cond(anim = 1201, 40, 34) * fvar(23) < 2, 2, cond(anim = 1201, 40, 34) * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 14 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 44), (var(42) := -96)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -7.0
guard.velocity = -8.0
air.velocity = -3.0, -7.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond((10 + 6 * (anim = 1200)) - 1 * var(13) < 1, 1, (10 + 6 * (anim = 1200)) - 1 * var(13)), 2 + 5 * (anim = 1200)
givepower = (3 + 1 * (anim = 1200)) * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Juggle Points 2]
type = null
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 3 || var(21) := 1200 + (anim = 1201)
[state 1200, Hit 2]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(5) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1200 + (anim = 1201))
attr = A, SA
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 6 ; hit y position
fall.envshake.ampl = 8 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 44), (var(42) := -104)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -6.0
guard.velocity = -8.0
air.velocity = -3.0, -6.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond((2 + 14 * (anim = 1200)) - 1 * var(13) < 1, 1, (2 + 14 * (anim = 1200)) - 1 * var(13)), 1 + 6 * (anim = 1200)
givepower = (0 + 4 * (anim = 1200)) * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1200, Idle]
type = statetypeset
trigger1 = animelemtime(6) >= 0
movetype = I
persistent = 0

[state 1200, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1200, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1200, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1200, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Double Chop
;=========================================================================
[Statedef 1300]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 1300, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1300, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1300, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1300 + var(9) - 1
[state 1300, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1300

[state 1300, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 3

[state 1300, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 1300, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 1300, Set Velocity]
type = velset
trigger1 = !animelemtime(1)
x = cond(anim = 1301, 6.0, 3.0)
y = cond(anim = 1301, -0.5, 0.0)

[state 1300, Add Velocity]
type = veladd
trigger1 = animelemtime(1) > 0
x = -0.2 * (animelemtime(3) > 0 && vel x - 0.2 > 0)
y = 0.4296875 - 0.1 * (animelemtime(3) < 0)

[state 1300, Juggle Points 1]
type = null
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1300
[state 1300, Hit 1]
type = hitdef
triggerall = var(21) != var(22) && !var(14) && !var(18)
trigger1 = animelemtime(3) >= 0 && animelemtime(6) < 0
ID = 0 + 0 * (var(21) := 1300)
attr = A, SA
damage = ceil(cond(cond(anim = 1301, 36, 32) * fvar(23) < 2, 2, cond(anim = 1301, 36, 32)  * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 20 + 16 * var(53) ; stun damage
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 - 3.0 * (anim = 1301), 7.0 - 2.0 * (anim = 1301)
guard.velocity = -10.0
air.velocity = -3.0 - 3.0 * (anim = 1301), 7.0 - 2.0 * (anim = 1301)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(16 - 1 * var(13) < 1, 1, 16 - 1 * var(13)), 7
givepower = 4 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 1300, Idle]
type = statetypeset
trigger1 = animelemtime(6) >= 0
movetype = I
persistent = 0

[state 1300, End State]
type = changestate
trigger1 = pos y + vel y > 35
value = 1305

;=========================================================================
; Double Chop Land
;=========================================================================
[Statedef 1305]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 1305, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1305, Change Animation]
type = changeanim
trigger1 = !time
value = 1305

[state 1305, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1305, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !time
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1305, Crouch]
type = statetypeset
trigger1 = !time
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1305, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1305, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1305, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1305, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Sonic Wave
;=========================================================================
[Statedef 1400]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = -1

[state 1400, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1400, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1400, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1400, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1400 + var(9) - 1
[state 1400, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1400

[state 1400, Add Power]
type = poweradd
trigger1 = !animelemtime(4)
value = 0

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(4)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1400, Add Position]
type = posadd
trigger1 = animelemtime(4) >= 0 && animelemtime(7) < 0
x = 1.0

[state 1400, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(6) >= 0 && animelemtime(7) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (0.0 + (24 - (0.0 * 14.0)) / (14.0 ** 2.0 / 2.0) * animelemtime(6)) * !hitpausetime
ignorehitpause = 1

[state 1400, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1400, Ground Wave]
type = helper
trigger1 = !animelemtime(4)
name = "Ground Wave"
ID = 1405
stateno = 1405
postype = P1
pos = 52, -62 + 8
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1400, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1400, Idle]
type = statetypeset
trigger1 = animelemtime(4) >= 0
movetype = I
persistent = 0

[state 1400, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1400, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Ground Wave Start 1
;=========================================================================
[Statedef 1405]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1405, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1407
[state 1405, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1410

[state 1405, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1406 && !time
var(0) = 1
ignorehitpause = 1

[state 1405, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1405, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1405, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1405, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1405, Change Animation]
type = changeanim
trigger1 = anim != 1405 && !time
value = 1405

[state 1405, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1405, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1405, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1405, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1406
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1405, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1405, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1405, Set Velocity]
type = velset
trigger1 = cond(prevstateno, time = 0, time = 1)
x = cond(var(9) = 2, 6.0, 4.0)

[state 1405, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = S, SP
hitflag = 

[state 1405, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1405
[state 1405, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1405)
attr = S, SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1405, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1405, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1405, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1405, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1405, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1405, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1405, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1405, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1405, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1405, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1405, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1405, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = S, SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1405, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1407
ignorehitpause = 1

[state 1405, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1405, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Ground Wave Canceled 1
;=========================================================================
[Statedef 1406]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1406, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1406, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1406, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1406, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1406, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1406, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1406, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1406
slot = 0
time = -1
forceair = 0

[state 1406, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1406, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1406, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1406, Miss]
type = hitdef
trigger1 = 1
attr = S, SP
hitflag = 

[state 1406, End State]
type = changestate
trigger1 = !time
value = 1407

;=========================================================================
; Ground Wave End 1
;=========================================================================
[Statedef 1407]
type = S
movetype = I
physics = N
ctrl = 0
velset = 0, 0
movehitpersist = 1

[state 1407, Change Animation]
type = changeanim
trigger1 = !time
value = 1407

[state 1407, Angle]
type = angledraw
trigger1 = ishelper(1460)
value = -45

[state 1407, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1407, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1407, Sound]
type = playsnd
trigger1 = !time && ishelper(1460)
trigger1 = !movecontact
value = F5100, 0
volumescale = 100

[state 1407, Destroy]
type = destroyself
trigger1 = !animtime

;=========================================================================
; Ground Wave Reflected 1
;=========================================================================
[Statedef 1410]
type = S
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; var(3) = reflected
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1410, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1407
[state 1410, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1407

[state 1410, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1411 && !time
var(0) = 1
ignorehitpause = 1

[state 1410, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1410, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1410, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1410, Reset Variables After Reflection]
type = null
triggerall = var(3) && !time
trigger1 = var(0) := 0 || var(1) := 0 || var(2) := -1 || var(3) := 0

[state 1410, Projectile Configuration]
type = null
triggerall = numenemy
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := enemy,var(14) || var(16) := enemy,var(16) || var(17) := enemy,var(17) || var(18) := enemy,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := enemy,var(13) || fvar(22) := enemy,fvar(22) || fvar(23) := enemy,fvar(23) || 1

[state 1410, Change Animation]
type = changeanim
trigger1 = anim != 1405 && !time
value = 1405

[state 1410, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1410, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1410, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1410, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1411
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1410, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1410, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1410, Set Velocity]
type = velset
trigger1 = !time
x = cond(var(9) = 2, 6.0, 4.0)

[state 1410, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = , SP
hitflag = 

[state 1410, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1410
[state 1410, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1410)
attr = , SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
affectteam = F
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, -5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (root,stateno != 5300), 0 * (root,stateno != 5300)
envshake.time = 4
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = root,statetype != A

;========================< Projectile Contact >========================

[state 1410, Reflective Juggle Points 1]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(19) = cond(var(21) = 1410, var(15), 0)
ignorehitpause = 1

[state 1410, Reflective Juggle Points]
type = parentvarset
trigger1 = var(0) = 1
trigger1 = movecontact = 1 || movereversed = 1
var(20) = 2
ignorehitpause = 1

[state 1410, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1410, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1410, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = , SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1410, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
value = 1407
ignorehitpause = 1

[state 1410, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1410, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Ground Wave Canceled 2
;=========================================================================
[Statedef 1411]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1411, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1411, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1411, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1411, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1411, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1411, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1411, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1411
slot = 0
time = -1
forceair = 0

[state 1411, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1411, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1411, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1411, Miss]
type = hitdef
trigger1 = 1
attr = , SP
hitflag = 

[state 1411, End State]
type = changestate
trigger1 = !time
value = 1407

;=========================================================================
; Airborne Sonic Wave
;=========================================================================
[Statedef 1450]
type = A
movetype = A
physics = N
ctrl = 0
facep2 = 1
sprpriority = -1

[state 1450, Level]
type = null
triggerall = !time
triggerall = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
triggerall = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
triggerall = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = cond(ailevel, 1 * (var(9) := var(9) + !var(9)), 0) ; stop here if AI
trigger2 = cond(!fvar(3) && (command = "y" || command = "NE_y"), 1 * (var(9) := 2), 0) ; stop here if level isn't set
trigger3 = var(9) := cond(fvar(3), floor(fvar(3)), 1) || fvar(3) := 0 ; stop here if level is set

[state 1450, Level]
type = varset
trigger1 = !time && var(53)
var(9) = 1

[state 1450, Change Animation]
type = changeanim
triggerall = !AILevel
trigger1 = !time
value = 1450 + var(9) - 1
[state 1450, AI Change Animation]
type = changeanim
triggerall = AILevel
trigger1 = !time
value = 1450

[state 1450, Add Power]
type = poweradd
trigger1 = !animelemtime(3)
value = 0

[state 1400, Voice]
type = playsnd
trigger1 = !animelemtime(3)
value = 1400, 0
volumescale = 100
channel = 0
persistent = 0

[state 1400, Sound]
type = playsnd
trigger1 = !animelemtime(3)
value = F3, 0
volumescale = 100
channel = 1
persistent = 0

[state 1450, Freeze Position]
type = posfreeze
trigger1 = animelemtime(4) < 0
value = 1

[state 1450, Add Velocity]
type = veladd
trigger1 = animelemtime(4) >= 0
y = 0.4296875

[state 1450, Airborne Wave]
type = helper
trigger1 = !animelemtime(3)
name = "Airborne Wave"
ID = 1460
stateno = 1460
postype = P1
pos = 31, -34
ownpal = 0
size.xscale = const(size.xscale)
size.yscale = const(size.yscale)

[state 1450, Attack Distance]
type = attackdist
trigger1 = !time
value = 0

[state 1450, Idle]
type = statetypeset
trigger1 = animelemtime(3) >= 0
movetype = I
persistent = 0

[state 1450, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 1455

;=========================================================================
; Airborne Sonic Wave Land
;=========================================================================
[Statedef 1455]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 1455, Set Position]
type = posset
trigger1 = !time
y = 0

[state 1455, Change Animation]
type = changeanim
trigger1 = !time
value = 1455

[state 1455, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 1455, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !time
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 1455, Crouch]
type = statetypeset
trigger1 = !time
trigger1 = command = "holddown"
statetype = C
physics = C
persistent = 0

[state 1455, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 1455, End State]
type = changestate
triggerall = !AILevel
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)
[state 1455, AI End State]
type = changestate
trigger1 = AILevel
trigger1 = ctrl
value = cond(inguarddist, 120, 40)

[state 1455, End State]
type = changestate
trigger1 = !animtime
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Airborne Wave Start 1
;=========================================================================
[Statedef 1460]
type = A
movetype = A
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 4

; var(0) = trigger limiter
; var(1) = hit count
; var(2) = hit cool down
; sysvar(0) = subside state
; sysvar(1) = reflected state

;========================< Projectile Configuration >========================

[state 1460, Subside State]
type = varset
trigger1 = !time
sysvar(0) = 1407
[state 1460, Reflected State]
type = varset
trigger1 = !time
sysvar(1) = 1410

[state 1460, Trigger Limiter]
type = varadd
trigger1 = movecontact = 1 || movereversed = 1
trigger2 = prevstateno && prevstateno != 1461 && !time
var(0) = 1
ignorehitpause = 1

[state 1460, Hit Counter]
type = varadd
trigger1 = var(0) = 1
var(1) = 1 + 0 * (var(2) := 0)
ignorehitpause = 1

[state 1460, Hit Cooldown]
type = varset
trigger1 = !time
var(2) = -1
ignorehitpause = 1
[state 1460, Hit Cooldown]
type = varadd
trigger1 = !hitpausetime
var(2) = -1
ignorehitpause = 1

[state 1460, Projectile Configuration]
type = null
; Air Reset, Accumulated Juggle Points, Juggle Overdraft
trigger1 = var(14) := root,var(14) || var(16) := root,var(16) || var(17) := root,var(17) || var(18) := root,var(18) || 1
; Hit Counter, Damage Scale Hit Counter, Damage Scale
trigger1 = var(13) := root,var(13) || fvar(22) := root,fvar(22) || fvar(23) := root,fvar(23) || 1
; Normal/Special/Super Levels
trigger1 = !prevstateno && !time
trigger1 = var(9) := root,var(9)

[state 1460, Change Animation]
type = changeanim
trigger1 = anim != 1460 && !time
value = 1460

[state 1460, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow
ignorehitpause = 1

[state 1460, Priority]
type = sprpriority
trigger1 = 1
value = 4
ignorehitpause = 1

[state 1460, Vulnerability]
type = hitby
trigger1 = !var(1)
value = SCA, AP
time = -1
ignorehitpause = 1

[state 1460, Hit Override]
type = hitoverride
trigger1 = !var(1)
attr = SCA, AA, AT, AP
stateno = 1406
slot = 0
time = -1
forceair = 0
ignorehitpause = 1

[state 1460, Vulnerability]
type = nothitby
trigger1 = var(1)
value = SCA
time = -1
ignorehitpause = 1

[state 1460, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)
ignorehitpause = 1

;========================< Projectile Functionality >========================

[state 1460, Set Velocity]
type = velset
trigger1 = cond(prevstateno, time = 0, time = 1)
x = cond(var(9) = 2, 6.0, 4.0)
Y = cond(var(9) = 2, 4.0, 3.0)

[state 1460, Miss]
type = hitdef
trigger1 = !hitpausetime
attr = A, SP
hitflag = 

[state 1460, Juggle Points 1]
type = null
trigger1 = var(2) <= 0
trigger1 = var(5) := 2 || var(15) := 15 || var(21) := 1460
[state 1460, Hit 1]
type = hitdef
triggerall = !var(14) && !var(18) ; var(21) != var(22) && 
trigger1 = var(2) <= 0
ID = 0 + 0 * (var(21) := 1460)
attr = A, SP
damage = ceil(cond(20 * fvar(23) < 2, 2, 20 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 8 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 12
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 200)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 0), (var(42) := 0)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 13
air.hittime = 0
ground.velocity = -10.0
guard.velocity = -10.0
air.velocity = -5.0, 5.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = cond(2 - 1 * var(13) < 1, 1, 2 - 1 * var(13)), 1
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 5
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
p2facing = p2statetype != A

;========================< Projectile Contact >========================

[state 1460, Score]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(2) = 200
ignorehitpause = 1

[state 1460, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(13) = 1
ignorehitpause = 1
[state 1460, Hit Counter]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
fvar(22) = 1
ignorehitpause = 1

[state 1460, Accumulated Juggle Points]
type = parentvaradd
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
var(16) = var(15)
ignorehitpause = 1
[state 1460, Set Juggle Window]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movehit = 1 && numtarget
trigger1 = var(16) := root,var(16) || 1
var(17) = cond((var(16) = [1, 6]), 120 - 20 * (var(16) - 1), cond(var(16) = 7, 10, cond(var(16) = 8, 4, cond(var(16) = 9, 2, cond(var(16) >= 10, 1, var(17))))))
ignorehitpause = 1

[state 1460, Cornerpush Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(55) = (var(55) := target,ID)
ignorehitpause = 1
[state 1460, Target ID]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
var(56) = (var(56) := target,ID)
ignorehitpause = 1

[state 1460, Cornerpush Force]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(24) = target,gethitvar(xvel) ; * (1.0 + cond(var(13) * 0.05 < 0.5, var(13) * 0.05, 0.5))
ignorehitpause = 1
[state 1460, Cornerpush Duration]
type = parentvarset
triggerall = var(0) = 1
trigger1 = movecontact = 1 && numtarget
fvar(25) = fvar(26)
ignorehitpause = 1

[state 1460, Hit Sound]
type = playsnd
trigger1 = var(0) = 1
value = F4, cond(movehit, var(11), var(12))
channel = 2
ignorehitpause = 1

[state 1460, Hit Spark, Guard Spark]
type = explod
trigger1 = var(0) = 1
anim = F(cond(movehit, var(39), var(40)))
ID = 200
postype = p1
pos = ceil(cond(p2dist x < 0, 0, cond(p2dist x < var(41), p2dist x, var(41))) * const(size.xscale)), ceil(var(42) * const(size.yscale))
facing = 1
bindtime = 1
scale = 1.0 * const(size.xscale), 1.0  * const(size.yscale)
sprpriority = 5
ignorehitpause = 1

[state 1460, Miss]
type = hitdef
trigger1 = hitpausetime || var(1)
attr = A, SP
hitflag = 
ignorehitpause = 1

;========================< Projectile Destroy >========================

[state 1460, End State]
type = changestate
trigger1 = var(1) && !hitpausetime
trigger2 = pos y + vel y > 0
value = 1407
ignorehitpause = 1

[state 1460, Destroy Helper]
type = destroyself
trigger1 = screenpos x != [-128, gamewidth + 128]
trigger2 = screenpos y < -64

[state 1460, Trigger Limiter]
type = varset
trigger1 = !hitpausetime
var(0) = 0
ignorehitpause = 1

;=========================================================================
; Airborne Wave Canceled 1
;=========================================================================
[Statedef 1461]
type = S
movetype = A
physics = N
ctrl = 0
movehitpersist = 1

[state 1461, Hit Counter]
type = varadd
trigger1 = !time
var(1) = 1

[state 1461, Change Animation]
type = changeanim
trigger1 = 0
value = anim
elem = animelemno(0)

[state 1461, Special Effect]
type = assertspecial
trigger1 = 1
flag = noshadow

[state 1461, Priority]
type = sprpriority
trigger1 = 1
value = 4

[state 1461, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[state 1461, Vulnerability]
type = hitby
trigger1 = 0
value = SCA, AP
time = -1

[state 1461, Hit Override]
type = hitoverride
trigger1 = 0
attr = SCA, AA, AT, AP
stateno = 1461
slot = 0
time = -1
forceair = 0

[state 1461, Vulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = -1

[state 1461, Hit Sound]
type = playsnd
trigger1 = !time
value = F4, 10
channel = 2

[state 1461, Attack Distance]
type = attackdist
trigger1 = !time
value = const(size.proj.attack.dist)

[state 1461, Miss]
type = hitdef
trigger1 = 1
attr = A, SP
hitflag = 

[state 1461, End State]
type = changestate
trigger1 = !time
value = 1407