; Super Fighter Team

;=========================================================================
; Savage Strike
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = P1
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 1
volumescale = 100
channel = 0
persistent = 0

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(7) || !animelemtime(13)
value = 3000, 0
volumescale = 100
channel = 0
;persistent = 0
[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(23)
value = 1100, 0
volumescale = 100
channel = 0
persistent = 0
[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(36) || !animelemtime(39)
value = 1000, 1 + !animelemtime(39)
volumescale = 100
channel = 0
;persistent = 0
[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(42) || !animelemtime(50)
value = 1200, 0
volumescale = 100
channel = 0
;persistent = 0
[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(58)
value = 1300, 0
volumescale = 100
channel = 0
persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(7) || !animelemtime(24)
trigger2 = !animelemtime(42) || !animelemtime(44)
trigger3 = !animelemtime(50) || !animelemtime(52)
trigger4 = !animelemtime(58)
value = F2, 2
volumescale = 100
channel = 1
;persistent = 0
[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(13) || !animelemtime(16)
trigger2 = !animelemtime(36) || !animelemtime(39)
value = F2, 3
volumescale = 100
channel = 1
;persistent = 0

[state 3000, End State If Miss]
type = varset
trigger1 = movehit = 1
trigger1 = animelemtime(7) >= 0 && animelemtime(8) <= 0
var(6) = 1
[state 3000, End State If Miss]
type = changestate
triggerall = !animelemtime(8)
trigger1 = !var(6)
value = 3005

;========================< First Part >========================

[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(6) || !animelemtime(23)
x = 12.0
[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(7)
x = 24.0
[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(12)
x = 20.0
[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(15)
x = 16.0
[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(16) || !animelemtime(17)
trigger2 = !animelemtime(18)
x = -8.0

[state 3000, Add Position]
type = posadd
trigger1 = animelemtime(23) >= 0 && animelemtime(25) <= 0
x = 9.0 - 0.75 * animelemtime(23)

[state 3000, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(23) >= 0 && animelemtime(25) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + (-6.0 + (0 - (-6.0 * 8.0)) / (8.0 ** 2.0 / 2.0) * animelemtime(23)) * !hitpausetime
ignorehitpause = 1

;========================< Second Part >========================

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(29)
x = 4.0
y = -3.0
[state 3000, Add Velocity]
type = veladd
trigger1 = vel x - 0.125 > 0
trigger1 = animelemtime(29) > 0 && animelemtime(41) < 0
x = -0.125
[state 3000, Add Velocity]
type = veladd
trigger1 = animelemtime(29) > 0 && animelemtime(34) < 0
y = 0.375
[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(34)
y = vel y * 0.25
[state 3000, Add Velocity]
type = veladd
trigger1 = animelemtime(40) > 0 && animelemtime(41) < 0
y = 0.375

;========================< Third Part >========================

[state 3000, Grounded]
type = changeanim
trigger1 = animelemtime(29) >= 0 && animelemtime(41) < 0
trigger1 = pos y + vel y > 0
value = anim
elem = 41
[state 3000, Grounded]
type = velset
trigger1 = !animelemtime(41)
x = 0.0
y = 0.0
[state 3000, Grounded]
type = posset
trigger1 = !animelemtime(41)
y = 0

[state 3000, Add Position]
type = posadd
trigger1 = !animelemtime(43) || !animelemtime(49)
trigger2 = !animelemtime(51)
x = 8.0

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(42) ; (43)
trigger2 = !animelemtime(50) ; added
x = 6.0
[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(51)
x = 5.0
y = -7.0
[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(54)
y = vel y * 0.75
[state 3000, Add Velocity]
type = veladd
trigger1 = vel x - 0.25 - 0.2 * (animelemtime(51) < 0) > 0
trigger1 = animelemtime(43) > 0 && animelemtime(57) < 0
x = -0.25 - 0.2 * (animelemtime(51) < 0)
[state 3000, Add Velocity]
type = veladd
trigger1 = animelemtime(51) > 0 && animelemtime(57) < 0
y = 0.25

;========================< Fourth Part >========================

[state 3000, Set Velocity]
type = velset
trigger1 = !animelemtime(57)
x = 3.0
y = 0.0
[state 3000, Add Velocity]
type = veladd
trigger1 = vel x - 0.2 > 0
trigger1 = animelemtime(58) > 0
x = -0.2

[state 3000, Precise Velocity]
type = veladd
trigger1 = cond(!animelemtime(60), fvar(18) := -pos y || fvar(19) := vel y || 1, 1)
trigger1 = animelemtime(60) > 0 && animelemtime(61) <= 0
y = (fvar(18) - (fvar(19) * 20.0)) / (20.0 ** 2.0 / 2.0)

[state 3000, Land Velocity]
type = velset
trigger1 = !animelemtime(61)
x = 0.0
y = 0.0
[state 3000, Land Position]
type = posset
trigger1 = !animelemtime(61)
y = 0

[state 3000, Land Sound]
type = playsnd
trigger1 = !animelemtime(61)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 3000, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !animelemtime(61)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Airborne]
type = statetypeset
trigger1 = !animelemtime(29) || !animelemtime(51)
statetype = A
[state 3000, Grounded]
type = statetypeset
trigger1 = !animelemtime(41) || !animelemtime(61)
statetype = S

;========================< Fifth Part >========================

[state 3000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(23) || !animelemtime(42)
trigger2 = !animelemtime(50)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(29)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Juggle Points 1]
type = null
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3000
[state 3000, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(7) >= 0 && animelemtime(8) < 0
ID = 0 + 0 * (var(21) := 3000)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 12, 20
guard.pausetime = 20, 10
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -56)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = 0.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = 0.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 2]
type = null
trigger1 = animelemtime(14) >= 0 && animelemtime(15) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3001
[state 3000, Hit 2]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(14) >= 0 && animelemtime(15) < 0
ID = 0 + 0 * (var(21) := 3001)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 40), (var(42) := -80)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 3]
type = null
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3002
[state 3000, Hit 3]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(16) >= 0 && animelemtime(17) < 0
ID = 0 + 0 * (var(21) := 3002)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -16)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 4]
type = null
trigger1 = animelemtime(24) >= 0 && animelemtime(25) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3003
[state 3000, Hit 4]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(24) >= 0 && animelemtime(25) < 0
ID = 0 + 0 * (var(21) := 3003)
attr = A, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -64)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 4]
type = null
trigger1 = animelemtime(25) >= 0 && animelemtime(26) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3003
[state 3000, Hit 4]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(25) >= 0 && animelemtime(26) < 0
ID = 0 + 0 * (var(21) := 3003)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -64)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 4 - Added After All Hitdefs were coded (Tentative)]
type = null
trigger1 = animelemtime(26) >= 0 && animelemtime(27) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 30032
[state 3000, Hit 4 - Added After All Hitdefs were coded (Tentative)]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(26) >= 0 && animelemtime(27) < 0
ID = 0 + 0 * (var(21) := 30032)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 64), (var(42) := -32)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 5]
type = null
trigger1 = animelemtime(36) >= 0 && animelemtime(37) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3004
[state 3000, Hit 5]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(36) >= 0 && animelemtime(37) < 0
ID = 0 + 0 * (var(21) := 3004)
attr = A, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 68), (var(42) := -64)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 6]
type = null
trigger1 = animelemtime(39) >= 0 && animelemtime(40) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3005
[state 3000, Hit 6]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(39) >= 0 && animelemtime(40) < 0
ID = 0 + 0 * (var(21) := 3005)
attr = A, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 68), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 7]
type = null
trigger1 = animelemtime(42) >= 0 && animelemtime(43) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3006
[state 3000, Hit 7]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(42) >= 0 && animelemtime(43) < 0
ID = 0 + 0 * (var(21) := 3006)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 32), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 8]
type = null
trigger1 = animelemtime(43) >= 0 && animelemtime(45) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3007
[state 3000, Hit 8]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(43) >= 0 && animelemtime(45) < 0
ID = 0 + 0 * (var(21) := 3007)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 42), (var(42) := -88)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 9]
type = null
trigger1 = animelemtime(45) >= 0 && animelemtime(46) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3008
[state 3000, Hit 9]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(45) >= 0 && animelemtime(46) < 0
ID = 0 + 0 * (var(21) := 3008)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 0 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4, 4
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 42), (var(42) := -88)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < 0, 0.05 * abs(p2dist y), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 0
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 10]
type = null
trigger1 = animelemtime(50) >= 0 && animelemtime(51) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3009
[state 3000, Hit 10]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(50) >= 0 && animelemtime(51) < 0
ID = 0 + 0 * (var(21) := 3009)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 32), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -5.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -4, 0.05 * abs(p2dist y + 4), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 11]
type = null
trigger1 = animelemtime(51) >= 0 && animelemtime(53) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3010
[state 3000, Hit 11]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(51) >= 0 && animelemtime(53) < 0
ID = 0 + 0 * (var(21) := 3010)
attr = S, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 10, 10
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 42), (var(42) := -88)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0 * (1.0 / enemy,fvar(27)), -6.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -6.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 12]
type = null
trigger1 = animelemtime(53) >= 0 && animelemtime(54) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3011
[state 3000, Hit 12]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(53) >= 0 && animelemtime(54) < 0
ID = 0 + 0 * (var(21) := 3011)
attr = A, HA
damage = ceil(cond(12 * fvar(23) < 2, 2, 12 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 42), (var(42) := -96)
animtype = hard
ground.type = high
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0 * (1.0 / enemy,fvar(27)), -7.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
guard.velocity = -10.0
air.velocity = -2.0 * (1.0 / enemy,fvar(27)), -7.0 * (1.0 / enemy,fvar(27)) + cond(p2dist y < -16, 0.05 * abs(p2dist y + 16), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 13]
type = null
trigger1 = animelemtime(58) >= 0 && animelemtime(59) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3012
[state 3000, Hit 13]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(58) >= 0 && animelemtime(59) < 0
ID = 0 + 0 * (var(21) := 3012)
attr = A, HA
damage = ceil(cond(10 * fvar(23) < 2, 2, 10 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 16 ; hit y position
fall.envshake.ampl = 4 + 16 * var(53) ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 16, 16
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 60), (var(42) := -56)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -5.0 * (1.0 / enemy,fvar(27)), 10.0 * (1.0 / enemy,fvar(27))
guard.velocity = -10.0
air.velocity = -5.0 * (1.0 / enemy,fvar(27)), 10.0 * (1.0 / enemy,fvar(27))
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(59) >= 0
movetype = I
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Savage Strike Miss
;=========================================================================
[Statedef 3005]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 3005, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3005, Change Animation]
type = changeanim
trigger1 = !time
value = 3005

[state 3005, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1