; Super Fighter Team

;=========================================================================
; Jump Start
;=========================================================================
[Statedef 40]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && !time
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"
[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && time
trigger1 = command = "holdfwd" || command = "holdback"
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 40, FWD Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = P2BodyDist X > 80 && random >500
trigger2 = (enemynear,movetype!=A || backedgebodydist<=10)
sysvar(1) = 1
[state 40, BACK Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = (P2BodyDist X =[1,60]) && random >500
trigger2 = (enemynear,movetype=A)
sysvar(1) = -1

[state 40, Change Animation]
type = changeanim
trigger1 = !time
value = 41 + sysvar(1)

[state 40, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, NA,SA,HA, NP,SP,HP

[state 40, Jump Dust]
type = helper
triggerall = random%3=0
trigger1 = !animtime
name = "Jump Dust"
ID = 60255
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 40, Neutral Jump]
type = velset
triggerall = !animtime && sysvar(1) = 0
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -11.0 || 1 ; velocity
trigger1 = fvar(38) := 37.0 || 1 ; time
x = 0.0 
y = fvar(37)
[state 40, Forward Jump]
type = velset
triggerall = !animtime && sysvar(1) = 1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.5 || 1 ; velocity
trigger1 = fvar(38) := 39.0 || 1 ; time
x = 5.0
y = fvar(37)
[state 40, Backward Jump]
type = velset
triggerall = !animtime && sysvar(1) = -1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.5 || 1 ; velocity
trigger1 = fvar(38) := 39.0 || 1 ; time
x = -5.0
y = fvar(37)

[state 40, End State]
type = changestate
trigger1 = !animtime
value = 50
ctrl = 1

;=========================================================================
; Air Jump Start
;=========================================================================
[Statedef 45]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 45, Air Jump Direction]
type = varset
trigger1 = 1
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 45, Jump Direction]
type = varset
trigger1 = sysvar(1) && !time
trigger1 = p2dist x < 0
sysvar(1) = sysvar(1) * -1

[state 45, Turn]
type = turn
trigger1 = !time
trigger1 = p2dist x < 0

[state 45, Jump Velocity]
type = velset
trigger1 = time = 1
x = cond(sysvar(1) = -1, -4.0, cond(sysvar(1) = 1, 4.0, 0.0))
y = cond(sysvar(1) = -1, -7.0, cond(sysvar(1) = 1, -7.0, -8.0))

[state 45, Change Animation]
type = changeanim
trigger1 = 1
value = 44 + sysvar(1)

[state 45, End State]
type = changestate
trigger1 = time = 1
value = 50
ctrl = 1

;=========================================================================
; Dash Forward
;=========================================================================
[Statedef 100]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 100, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 100, Set Position]
type = posset
trigger1 = !time
y = 0

[state 100, Change Animation]
type = changeanim
trigger1 = !time
value = 100

[state 100, Dash Skill]
type = changestate
triggerall = !ailevel
triggerall = power >= powermax * 0.5
triggerall = animelemtime(2) >= 1 && animelemtime(6) < 0
trigger1 = command = "dskill"
value = 110
ctrl = 0

[state 100, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(1)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 7.5

[state 100, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(2) > 0 && animelemtime(6) <= 0
x = -2.5 / 24.0

[state 100, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(6) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 23.0)) / (23.0 ** 2.0 / 2.0) * animelemtime(2)

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 0.0

[state 100, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Backward
;=========================================================================
[Statedef 105]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 105, Reset Misc Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 105, Set Position]
type = posset
trigger1 = !time
y = 0

[state 105, Change Animation]
type = changeanim
trigger1 = !time
value = 105

[state 105, Sound]
type = playsnd
trigger1 = !animelemtime(6)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 105, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(1)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = -7.5

[state 105, Add Velocity]
type = veladd
trigger1 = vel x < 0
trigger1 = animelemtime(2) > 0 && animelemtime(6) <= 0
x = 2.5 / 24.0

[state 105, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(6) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 23.0)) / (23.0 ** 2.0 / 2.0) * animelemtime(2)

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(6)
x = 0.0

[state 105, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Skill
;=========================================================================
[Statedef 110]
type = A
movetype = A
physics = N

[state 110, Change State on Contact]
type = changestate
trigger1 = movecontact || movereversed
value = 112
ctrl = 1

[state 110, Change Animation]
type = changeanim
trigger1 = !time
value = 110
elem = 1 + var(53)

[state 110, Add Power]
type = poweradd
trigger1 = !time
value = -powermax / 2 * !var(53)

[state 110, Afterimage]
type = afterimage
trigger1 = !time && !var(53)
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 110, Width]
type = width
trigger1 = 1
edge = 40, 0

[state 110, Voice]
type = playsnd
trigger1 = !animelemtime(1) || !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(1) || !animelemtime(2)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 110, Add Position]
type = posadd
trigger1 = !time
y = fvar(35) 

[state 110, Set Velocity]
type = velset
trigger1 = !time
y = -3.5

[state 110, Add Velocity]
type = veladd
trigger1 = time
x = -0.1
y = 0.5

[state 110, Juggle Points 1]
type = null
trigger1 = animelemtime(1) > 0
trigger1 = var(5) := 3 - var(53) || var(15) := cond(var(53), 1, -15) || var(21) := 110
[state 110, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(1) > 0
ID = 0 + 0 * (var(21) := 110)
attr = A, SA
damage = ceil(cond(22 * fvar(23) < 2, 2, 22 * fvar(23))), 8
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 12 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205 - 5 * var(53))
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 32), (var(42) := -40)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -4.0, -7.5
guard.velocity = -8.0
air.velocity = -4.0, -7.5
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 0.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 110, End State]
type = changestate
trigger1 = pos y + vel y > 40
value = 111

;=========================================================================
; Dash Skill Land
;=========================================================================
[Statedef 111]
type = S
movetype = I
physics = N
ctrl = 0

[state 111, Set Position]
type = posset
trigger1 = !time
y = 0

[state 111, Change Animation]
type = changeanim
trigger1 = !time
value = 111

[state 111, Sound]
type = playsnd
trigger1 = !time
value = F5100, 0
volumescale = 100

[state 111, Shake]
type = envshake
trigger1 = !time
time = 4
ampl = 6
freq = 128

[state 111, Slide Dust]
type = helper
triggerall = random%3=0
trigger1 = !time
name = "Slide Dust"
ID = 60256
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 111, Set Velocity]
type = velset
trigger1 = !time
y = 0.0
[state 111, Set Velocity]
type = velset
trigger1 = vel x - 0.375 <= 0
x = 0.0
[state 111, Add Velocity]
type = veladd
trigger1 = vel x - 0.375 > 0
x = -0.375
[state 111, Set Velocity]
type = velset
trigger1 = !animelemtime(3)
x = 0.0

[state 111, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(3) >= 0 && animelemtime(6) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 18.0)) / (18.0 ** 2.0 / 2.0) * animelemtime(3)

[state 111, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 111, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Dash Skill Contact
;=========================================================================
[Statedef 112]
type = A
movetype = I
physics = N
sprpriority = 1

[state 112, Change Animation]
type = changeanim
trigger1 = !time
value = 112

[state 112, Move Contact]
type = velset
trigger1 = !time
x = -5.0
y = -7.5

[state 112, Add Velocity]
type = veladd
trigger1 = time
y = const(movement.yaccel)

[state 112, End State]
type = changestate
trigger1 = vel y > 0
trigger1 = pos y + vel y > 0
value = 113

;=========================================================================
;  Dash Skill Contact Land
;=========================================================================
[Statedef 113]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 113, Set Position]
type = posset
trigger1 = !time
y = 0

[state 113, Change Animation]
type = changeanim
trigger1 = !time
value = 47

[state 113, Sound]
type = playsnd
trigger1 = !time 
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 113, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; End of Round
;=========================================================================
[statedef 180]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 2

[state 180, Reset Miscellaneous Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 180, Calculate Score Bonus Normal]
type = null
triggerall = !time
trigger1 = var(3) := var(2) || 1 ;update previous score
trigger1 = var(2) := var(2) + Cond((stagevar(info.name)="Bonus Stage"=1),0,(100 * life + 100 * (100 - cond(sysfvar(1) > 99, 99, floor(sysfvar(1))))))

[state 180, Set Position]
type = posset
trigger1 = !time
y = 0

[state 180, Change Animation]
type = changeanim
trigger1 = !time
value = 180 + random % 2

[state 180, Victory Quote]
type = victoryquote
trigger1 = 0
value = 0

[state 180, Special Effect]
type = assertspecial
trigger1 = time < 240
flag = roundnotover

[state 180, Invulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = 1

[state 180, Voice]
type = playsnd
triggerall = stagevar(info.name) != "Bonus Stage"
trigger1 = anim = 181
trigger1 = !animelemtime(3)
value = 180, 0
volumescale = 100
channel = 0

;=========================================================================
; Arcade CPU Intro
;=========================================================================
[Statedef 191]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 191, Set Position]
type = posset
trigger1 = !time
y = 0

[state 191, Camera]
type = helper
trigger1 = !time
name = "Camera"
ID = 191
stateno = 9990
postype = P1
pos = 0, 0
facing = 1
ownpal = 1

[state 191, Change Animation]
type = changeanim
trigger1 = !time
value = 45

[state 191, Special Effect]
type = assertspecial
trigger1 = 1
flag = intro

[state 191, Vulnerability]
type = nothitby
trigger1 = anim = 45
value = SCA
time = 1

[state 191, Solidity]
type = playerpush
trigger1 = anim = 45
value = 0

[state 191, Add Position]
type = posadd
trigger1 = !time
x = -200.0
y = 0.0

[state 191, Set Velocity]
type = velset
trigger1 = !time
x = cond(numhelper(stateno), (helper(stateno),pos x - pos x) * facing, 200.0) / 56.0
y = const(movement.yaccel) * 28.0 * -1.0

[state 191, Add Velocity]
type = veladd
trigger1 = anim = 45
trigger1 = time
y = const(movement.yaccel)

[state 191, Change Animation]
type = changeanim
trigger1 = anim = 45 && time
trigger1 = pos y + vel y >= 0
value = 48

[state 191, State Type Set]
type = statetypeset
trigger1 = anim = 48
statetype = S
persistent = 0

[state 191, Sound]
type = playsnd
trigger1 = anim = 48
value = F52, 0
volumescale = 100
persistent = 0

[state 191, Set Velocity]
type = velset
trigger1 = anim = 48
x = 0.0
y = 0.0
persistent = 0

[state 191, Set Velocity]
type = posset
trigger1 = anim = 48
x = cond(numhelper(stateno), helper(stateno),pos x, pos x)
y = 0.0
persistent = 0

[state 191, Bound]
type = screenbound
trigger1 = anim = 45
value = 0
movecamera = 0, 0

[state 191, End State]
type = changestate
trigger1 = anim = 48
trigger1 = !animtime
value = 0

;=========================================================================
; Taunt
;=========================================================================
[Statedef 195]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 195, Set Position]
type = posset
trigger1 = !time
y = 0

[state 195, Change Animation]
type = changeanim
trigger1 = !time
value = 195

[state 195, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Tough Skill
;=========================================================================
[Statedef 900]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 900, Reset Misc Variables]
type = varset
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(2) = 300 + 0 * (var(52) := 300 / 3)

[state 900, Set Position]
type = posset
trigger1 = !time
y = 0

[state 900, Change Animation]
type = changeanim
trigger1 = !time
value = 900

[state 900, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 900, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 900, Super Pause]
type = superpause
trigger1 = !time
time = 48
movetime = (var(54) := 48)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 900, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 900, Voice]
type = playsnd
trigger1 = !time
value = 1, 1
volumescale = 100
channel = 0

[state 900, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 900, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Olympic Pirouette Active
;=========================================================================
[Statedef 905]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 905, Decrement Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
var(52) = -(sysvar(2) / 3)

[state 905, Set Position]
type = posset
trigger1 = !time
y = 0

[state 905, Change Animation]
type = changeanim
trigger1 = !time
value = 905

[state 905, Afterimage]
type = afterimage
trigger1 = !animelemtime(2)
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 905, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 1
volumescale = 100
channel = 0

[state 905, Reduce Dizzy]
type = varadd
trigger1 = !animelemtime(2)
fvar(14) = -16.0

[state 905, Olympic Pirouette Enhancer]
type = varset
trigger1 = !time
fvar(29) = 1

[state 905, Solidity]
type = playerpush
trigger1 = animelemtime(2) >= 0 && animelemtime(13) < 0
value = 0

[state 905, Direction]
type = varset
trigger1 = !time
var(6) = 1 - 2 * (command = "holdback")
[state 905, Add Position]
type = posadd
trigger1 = animelemtime(2) >= 0 && animelemtime(6) < 0
x = 8.0 * var(6) - 0.5 * var(6) * animelemtime(2)

[state 905, Slide Dust]
type = helper
triggerall = random%3=0
trigger1 = animelemtime(2) >= 0 && animelemtime(6) < 0
trigger1 = animelemtime(2) % 6 = 0
name = "Slide Dust"
ID = 60257
stateno = 6025
postype = P1
pos = -16, 0
facing = var(6)
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 905, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 905, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Olympic Pirouette Passive
;=========================================================================
[Statedef 910]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 910, Tough Skill Stock]
type = varadd
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(3) = sysvar(2) + 0 * (var(53) := 1)

[state 910, Set Position]
type = posset
trigger1 = !time
y = 0

[state 910, Change Animation]
type = changeanim
trigger1 = !time
value = 910

[state 910, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 910, Super Pause]
type = superpause
trigger1 = !time
time = 36
movetime = (var(54) := 36)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 910, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 36

[state 910, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 910, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100
channel = 9

[state 910, Shake]
type = envshake
trigger1 = !animelemtime(2)
time = 32
ampl = 4
freq = 128

[state 910, Control]
type = ctrlset
trigger1 = time = 36 || !animelemtime(10)
value = 1

[state 910, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Lying Down
;=========================================================================
[Statedef 5111]
type = L
movetype = H
physics = N

[state 5111, End State]
type = changestate
triggerall = alive
trigger1 = sysvar(0) = 5071 && animelemtime(1) >= 3 ; unqiue
trigger2 = sysvar(0) != 5071 && animelemtime(1) >= 9 ; unqiue
trigger3 = time > 128
value = 5120

[state 5111, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Get Up
;=========================================================================
[Statedef 5120]
type = L
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 5120, Change Animation]
type = changeanim
trigger1 = !time
value = 5120

[state 5120, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 5120, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(4)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 4, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 5120, Faux-Velocity]
type = offset
trigger1 = cond(!time, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(1) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -6.0 + (0 - (-6.0 * 18.0)) / (18.0 ** 2.0 / 2.0) * animelemtime(1)

[state 5120, State Type Set]
type = statetypeset
trigger1 = fvar(14) >= fvar(15) || var(4)
movetype = H
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = !animtime
statetype = S
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = statetype = L
value = SCA
time = 1

[state 5120, Set Hit Fall]
type = hitfallset
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = 1

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = ,NT,ST,HT
time = 12
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value2 = SCA
time = 3
persistent = 0

[state 5120, Control Set]
type = ctrlset
trigger1 = statetype = S
value = 1
persistent = 0

[state 5120, Change to Dizzy State]
type = changestate
triggerall = numhelper(6002) && alive
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger1 = ctrl || !animtime
trigger1 = fvar(14) := 0 || var(4) := 0 || 1
value = 5300

[state 5120, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1