; Super Fighter Team

;=========================================================================
; Shockwave Blade
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = !time
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = P1
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Button Tap Supplement]
type = varadd
trigger1 = command = "y"
fvar(12) = 4

[state 3000, Loop Animation]
type = changeanim
triggerall = !animelemtime(11) && var(6) < 6
trigger1 = fvar(10) >= 32 && fvar(12) || var(6) < 2
trigger1 = var(6) := var(6) + 1
value = anim
elem = 9

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(9)
value = 3000, 0
volumescale = 100
channel = 0
persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F3, 2
volumescale = 100
channel = 1
persistent = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(9)
value = F3, 3
volumescale = 50
persistent = 0

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(9)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Juggle Points 1]
type = null
triggerall = var(6) % 2 = 1
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3000 + var(6) - 1
[state 3000, Hit 1]
type = hitdef
triggerall = var(6) % 2 = 1
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 3000 + var(6) - 1)
attr = , HP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = 1.5, -3.0
guard.velocity = -8.0
air.velocity = 1.5, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
palfx.time = 16
palfx.add = -128, -128, -128
palfx.sinadd = 32, 128, 256, 8

[state 3000, Hit 1: Magnetic]
type = hitdef
triggerall = numenemy
triggerall = enemy,name = "Dietrich"
triggerall = enemy,var(53) && enemy,numhelper(911)
triggerall = var(6) % 2 = 1
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 3000 + var(6) - 1)
attr = S, HA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = 1.5, -3.0
guard.velocity = -8.0
air.velocity = 1.5, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
palfx.time = 16
palfx.add = -128, -128, -128
palfx.sinadd = 32, 128, 256, 8

[state 3000, Juggle Points 1]
type = null
triggerall = var(6) % 2 = 0
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3000 + var(6) - 1
[state 3000, Hit 1]
type = hitdef
triggerall = var(6) % 2 = 0
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 3000 + var(6) - 1)
attr = , HP
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = high
air.animtype = back
air.type = high
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -3.0
guard.velocity = -8.0
air.velocity = -3.0, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
palfx.time = 16
palfx.add = -128, -128, -128
palfx.sinadd = 32, 128, 256, 8

[state 3000, Hit 1: Magnetic]
type = hitdef
triggerall = numenemy
triggerall = enemy,name = "Dietrich"
triggerall = enemy,var(53) && enemy,numhelper(911)
triggerall = var(6) % 2 = 0
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(10) >= 0 && animelemtime(11) < 0
ID = 0 + 0 * (var(21) := 3000 + var(6) - 1)
attr = S, HA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 4 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 6, 6
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := floor(p2dist x)), (var(42) := floor(p2dist y + enemy,const(size.mid.pos.y)))
animtype = hard
ground.type = high
air.animtype = back
air.type = high
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -3.0, -3.0
guard.velocity = -8.0
air.velocity = -3.0, -3.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := -1.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0
palfx.time = 16
palfx.add = -128, -128, -128
palfx.sinadd = 32, 128, 256, 8

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(11) >= 0
movetype = I
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1