; Super Fighter Team

;=========================================================================
; Stand
;=========================================================================
[StateDef 0]
type = S
movetype = I
physics = N
velset = 0, 0
sprpriority = 0

[state 0, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 0, Destroy]
type = stopsnd
trigger1 = ishelper
channel = -1
[state 0, Destroy]
type = removeexplod
trigger1 = ishelper
[state 0, Destroy]
type = destroyself
trigger1 = ishelper

[state 0, Change Animation]
type = changeanim
trigger1 = anim != 0 && anim != 5
trigger2 = anim = 5 && !animtime
value = 0

[state 0, End State]
type = changestate
trigger1 = !alive
value = 5050

;=========================================================================
; Stand to Crouch
;=========================================================================
[Statedef 10]
type = C
movetype = I
physics = C
velset = 0, 0
sprpriority = 0

[state 10, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 10, Change Animation]
type = changeanim
trigger1 = anim != 10 && !time
value = 10

[state 10, Multiply Velocity]
type = velmul
trigger1 = !time
x = 0.75

[state 10, Set Velocity]
type = velset
trigger1 = abs(vel x) < const(movement.crouch.friction.threshold)
x = 0.0

[state 10, End State]
type = changestate
trigger1 = !animtime
value = 11

;=========================================================================
; Crouching
;=========================================================================
[Statedef 11]
type = C
movetype = I
physics = C
velset = 0, 0
sprpriority = 0

[state 11, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 11, Change Animation]
type = changeanim
trigger1 = anim != 6 && anim != 11
trigger2 = anim != 11 && !animtime
value = 11

;=========================================================================
; Crouch to Stand
;=========================================================================
[Statedef 12]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 0

[state 12, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 12, Change Animation]
type = changeanim
trigger1 = anim != 12 && !time
value = 12

[state 12, End State]
type = changestate
trigger1 = !animtime
value = 0

;=========================================================================
; Walking
;=========================================================================
[StateDef 20]
type = S
movetype = I
physics = N
ctrl = 1
sprpriority = 0

[state 20, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

; Walk forward
[state 20, Set Velocity]
type = velset
trigger1 = command = "holdfwd"
x = const(velocity.walk.fwd.x)

; Walk backward
[state 20, Set Velocity]
type = velset
trigger1 = command = "holdback"
x = const(velocity.walk.back.x)

[state 20, Change Animation]
type = changeanim
trigger1 = anim != 20 + (vel x < 0)
value = 20 + (vel x < 0)

;=========================================================================
; Jump Start
;=========================================================================
[Statedef 40]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 40, End State]
type = changestate
trigger1 = !time && var(53)
value = 0 + 20 * (command = "holdback" || command = "holdfwd")
ctrl = 1

[state 40, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && !time && prevstateno != 907
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"
[state 40, Jump Direction]
type = varset
trigger1 = !ailevel && time && prevstateno != 907
trigger1 = command = "holdfwd" || command = "holdback"
sysvar(1) = 0 - command = "holdback" + command = "holdfwd"

[state 40, FWD Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = P2BodyDist X > 80 && random >500
trigger2 = (enemynear,movetype!=A || backedgebodydist<=10)
sysvar(1) = 1
[state 40, BACK Jump AI Direction]
type = varset
triggerall = ailevel && !time
trigger1 = (P2BodyDist X =[1,60]) && random >500
trigger2 = (enemynear,movetype=A)
sysvar(1) = -1

[state 40, Change Animation]
type = changeanim
trigger1 = anim != 41 + sysvar(1)
value = 41 + sysvar(1)

[state 40, Vulnerability]
type = hitby
trigger1 = 1
value = SCA, NA,SA,HA, NP,SP,HP

[state 40, Jump Dust]
type = helper
triggerall = random%3=0
trigger1 = !animtime
name = "Jump Dust"
ID = 60255
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 40, Neutral Jump]
type = velset
triggerall = !animtime && sysvar(1) = 0
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.5 || 1 ; velocity
trigger1 = fvar(38) := 33.5 || 1 ; time
x = 0.0 
y = fvar(37)
[state 40, Forward Jump]
type = velset
triggerall = !animtime && sysvar(1) = 1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.5 || 1 ; velocity
trigger1 = fvar(38) := 33.5 || 1 ; time
x = 2.75
y = fvar(37)
[state 40, Backward Jump]
type = velset
triggerall = !animtime && sysvar(1) = -1
trigger1 = fvar(36) := -pos y || 1 ; distance
trigger1 = fvar(37) := -10.5 || 1 ; velocity
trigger1 = fvar(38) := 33.5 || 1 ; time
x = -2.375
y = fvar(37)

[state 40, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 2 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 50
ctrl = 1

;=========================================================================
; Jumping
;=========================================================================
[Statedef 50]
type = A
movetype = I
physics = N
sprpriority = 1

[state 50, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 50, Change Animation]
type = changeanim
trigger1 = !time && (prevstateno != [600, 699]) && prevstateno != 907
value = cond(prevstateno = 140, 44, 44 + sysvar(1))
elem = cond(prevstateno = 140, 4, 1)

[state 50, Add Velocity]
type = veladd
trigger1 = !fvar(37) || !fvar(38)
y = const(movement.yaccel)
[state 50, Add Velocity]
type = veladd
trigger1 = fvar(37) && fvar(38)
y = (fvar(36) - fvar(37) * fvar(38)) / (fvar(38) ** 2.0 / 2.0)

[state 50, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 52

;=========================================================================
; Jump Land
;=========================================================================
[Statedef 52]
type = S
movetype = I
physics = S
ctrl = 0
velset = 0, 0
sprpriority = 0

[state 52, Super Armor State Detector]
type = varset
trigger1 = name = "Stan"
fvar(34) = stateno
ignorehitpause = 1

[state 52, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 52, Change Animation]
type = changeanim
trigger1 = anim != cond(command = "holddown", 10, 47 + sysvar(1))
value = cond(command = "holddown", 10, 47 + sysvar(1))

[state 52, Set State Type]
type = statetypeset
trigger1 = anim = 10
statetype = C
physics = C
persistent = 0

[state 52, Control]
type = ctrlset
trigger1 = time = (prevstateno = [600, 699])
; trigger1 = prevstateno != [600, 699]
; trigger1 = animtime >= -2
value = 1
persistent = 0

[state 52, Special Effect]
type = assertspecial
trigger1 = !ctrl || animtime < -2
flag = nowalk

[state 52, Sound]
type = playsnd
trigger1 = !time && prevstateno != 907
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 52, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
trigger1 = !time && prevstateno != 907 
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 52, End State]
type = changestate
triggerall = ctrl
trigger1 = command = "holdup"
trigger2 = command = "holdback" && inguarddist
value = cond(command = "holdup", 40, 120)

[state 52, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 2 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0 + 11 * (statetype = C)
ctrl = 1

;=========================================================================
; Dash Forward
;=========================================================================
[Statedef 100]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 100, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 100, Reset Misc Variables]
type = null
triggerall = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 100, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 100, Change Animation]
type = changeanim
trigger1 = anim != 100
value = 100

[state 100, Dash Skill]
type = changestate
triggerall = !ailevel
triggerall = power >= powermax * 0.5
triggerall = animelemtime(2) >= 1 && animelemtime(4) < 0
trigger1 = command = "dskill"
value = 110
ctrl = 0

[state 100, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 100, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = 8.0

[state 100, Add Velocity]
type = veladd
trigger1 = vel x > 0
trigger1 = animelemtime(2) > 0 && animelemtime(4) <= 0
x = -4.5 / 12.0

[state 100, Faux-Velocity]
type = offset
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -2.5 + (0 - (-2.5 * 11.0)) / (11.0 ** 2.0 / 2.0) * animelemtime(2)

[state 100, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 0.0

[state 100, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 5 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Dash Backward
;=========================================================================
[Statedef 105]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 105, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 105, Reset Misc Variables]
type = null
triggerall = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 ; command buffering

[state 105, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 105, Change Animation]
type = changeanim
trigger1 = anim != 105
value = 105

[state 105, Sound]
type = playsnd
trigger1 = !animelemtime(4)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 105, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(2)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -24, 0
facing = -1
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(2)
x = -8.0

[state 105, Add Velocity]
type = veladd
trigger1 = vel x < 0
trigger1 = animelemtime(2) > 0 && animelemtime(4) <= 0
x = 4.5 / 12.0

[state 105, Faux-Velocity]
type = offset
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(2) >= 0 && animelemtime(4) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -2.5 + (0 - (-2.5 * 11.0)) / (11.0 ** 2.0 / 2.0) * animelemtime(2)

[state 105, Set Velocity]
type = velset
trigger1 = !animelemtime(4)
x = 0.0

[state 105, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 5 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Dash Skill
;=========================================================================
[Statedef 110]
type = A
movetype = A
physics = N
movehitpersist = (prevstateno = 905)
hitcountpersist = (prevstateno = 907)

[state 110, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 110, Level]
type = null
triggerall = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 110, Change Animation]
type = changeanim
trigger1 = anim != 110
value = 110

[state 110, Add Power]
type = poweradd
trigger1 = !time && prevstateno != 907
value = -powermax / 2

[state 110, Afterimage]
type = afterimage
trigger1 = !time
time = 1
length = 12
palcolor = 0
palbright = 64, 64, 64
palcontrast = 160, 160, 256
paladd = 0, 0, 0
palmul = 1.0, 1.0, 1.0

[state 110, Width]
type = width
trigger1 = 1
edge = 40, 0

[state 110, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 110, Sound]
type = playsnd
trigger1 = !animelemtime(1)
value = F2, 2
volumescale = 100
channel = 1
persistent = 0

[state 110, Vulnerability]
type = nothitby
trigger1 = !fvar(29)
trigger1 = !time && prevstateno != 907
value = SCA
time = 8
[state 110, Vulnerability]
type = hitby
trigger1 = !fvar(29)
trigger1 = !time && prevstateno != 907
value2 = SCA, AA, AT
time = 12

[state 110, Add Position]
type = posadd
trigger1 = !animelemtime(1)
y = -8.0

[state 110, Set Velocity]
type = velset
trigger1 = !animelemtime(1)
x = vel x * 1.25
y = 0.0

[state 110, Add Velocity]
type = veladd
trigger1 = var(6) := var(6) + 1
x = cond(vel x - 0.25 <= 0, 0, -0.25)
[state 110, Add Velocity]
type = veladd
trigger1 = var(6) >= 8
y = 0.25

[state 110, Juggle Points 1]
type = null
trigger1 = animelemtime(2) >= 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 110
[state 110, Hit 1]
type = hitdef
triggerall = var(21) != var(22) ; && !var(14) && !var(18)
trigger1 = animelemtime(2) >= 0
ID = 5232 + 0 * (var(21) := 110)
attr = A, SA
damage = ceil(cond(4 * fvar(23) < 2, 2, 4 * fvar(23)))
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 4 ; hit y position
fall.envshake.ampl = 128 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 14, 14
hitsound = -1 + 0 * (var(11) := 1)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 54), (var(42) := -54)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -12.0, 0.0
guard.velocity = -12.0
air.velocity = -12.0, 0.0
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 110, End State]
type = changestate
trigger1 = pos y + vel y > 0
value = 111

;=========================================================================
; Dash Skill Land
;=========================================================================
[Statedef 111]
type = S
movetype = I
physics = N
ctrl = 0

[state 111, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 111, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 111, Change Animation]
type = changeanim
trigger1 = anim != 111
value = 111

[state 111, Sound]
type = playsnd
trigger1 = !time && prevstateno != 907
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 111, Set Velocity]
type = velset
trigger1 = !time && prevstateno != 907
y = 0.0

[state 111, Set Velocity]
type = velset
trigger1 = vel x - 1.0 <= 0
x = 0.0

[state 111, Add Velocity]
type = veladd
trigger1 = vel x - 1.0 > 0
x = -1.0

[state 111, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 111, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 2 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; End of Round
;=========================================================================
[statedef 180]
type = S
movetype = I
physics = S
velset = 0, 0
sprpriority = 2

[state 180, Reset Miscellaneous Variables]
type = null
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables

[state 180, Calculate Score Bonus Normal]
type = null
triggerall = !time
trigger1 = var(3) := var(2) || 1 ;update previous score
trigger1 = var(2) := var(2) + Cond((stagevar(info.name)="Bonus Stage"=1),0,(100 * life + 100 * (100 - cond(sysfvar(1) > 99, 99, floor(sysfvar(1))))))


[state 180, Set Position]
type = posset
trigger1 = !time
y = 0

[state 180, Change Animation]
type = changeanim
trigger1 = !time
value = 180 + random % 2

[state 180, Victory Quote]
type = victoryquote
trigger1 = 0
value = 0

[state 180, Special Effect]
type = assertspecial
trigger1 = time < 240
flag = roundnotover

[state 180, Invulnerability]
type = nothitby
trigger1 = 1
value = SCA
time = 1

[state 180, Voice]
type = playsnd
triggerall = stagevar(info.name) != "Bonus Stage"
trigger1 = anim = 181
trigger1 = !animelemtime(2)
value = 180, 0
volumescale = 100
channel = 0

;=========================================================================
; Arcade CPU Intro
;=========================================================================
[Statedef 191]
type = A
movetype = I
physics = N
ctrl = 0
velset = 0, 0
sprpriority = 1

[state 191, Set Position]
type = posset
trigger1 = !time
y = 0

[state 191, Camera]
type = helper
trigger1 = !time
name = "Camera"
ID = 191
stateno = 9990
postype = P1
pos = 0, 0
facing = 1
ownpal = 1

[state 191, Change Animation]
type = changeanim
trigger1 = !time
value = 45

[state 191, Special Effect]
type = assertspecial
trigger1 = 1
flag = intro

[state 191, Vulnerability]
type = nothitby
trigger1 = anim = 45
value = SCA
time = 1

[state 191, Solidity]
type = playerpush
trigger1 = anim = 45
value = 0

[state 191, Add Position]
type = posadd
trigger1 = !time
x = -200.0
y = 0.0

[state 191, Set Velocity]
type = velset
trigger1 = !time
x = cond(numhelper(stateno), (helper(stateno),pos x - pos x) * facing, 200.0) / 56.0
y = const(movement.yaccel) * 28.0 * -1.0

[state 191, Add Velocity]
type = veladd
trigger1 = anim = 45
trigger1 = time
y = const(movement.yaccel)

[state 191, Change Animation]
type = changeanim
trigger1 = anim = 45 && time
trigger1 = pos y + vel y >= 0
value = 48

[state 191, State Type Set]
type = statetypeset
trigger1 = anim = 48
statetype = S
persistent = 0

[state 191, Sound]
type = playsnd
trigger1 = anim = 48
value = F52, 0
volumescale = 100
persistent = 0

[state 191, Set Velocity]
type = velset
trigger1 = anim = 48
x = 0.0
y = 0.0
persistent = 0

[state 191, Set Velocity]
type = posset
trigger1 = anim = 48
x = cond(numhelper(stateno), helper(stateno),pos x, pos x)
y = 0.0
persistent = 0

[state 191, Bound]
type = screenbound
trigger1 = anim = 45
value = 0
movecamera = 0, 0

[state 191, End State]
type = changestate
trigger1 = anim = 48
trigger1 = !animtime
value = 0

;=========================================================================
; Taunt
;=========================================================================
[Statedef 195]
type = S
movetype = I
physics = S
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 0

[state 195, Set Position]
type = posset
trigger1 = !time
y = 0

[state 195, Change Animation]
type = changeanim
trigger1 = !time
value = 195

[state 195, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Tough Skill
;=========================================================================
[Statedef 900]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 900, Reset Misc Variables]
type = varset
triggerall = !time
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(2) = 1800 + 0 * (var(52) := 1800 / 3)

[state 900, Set Position]
type = posset
trigger1 = !time
y = 0

[state 900, Change Animation]
type = changeanim
trigger1 = !time
value = 900

[state 900, Add Power]
type = poweradd
trigger1 = !time
value = -powermax

[state 900, Super Effect]
type = helper
trigger1 = !time
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 900, Super Pause]
type = superpause
trigger1 = !time
time = 48
movetime = (var(54) := 48)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 900, Vulnerability]
type = nothitby
trigger1 = !time
value = SCA
time = 48

[state 900, Voice]
type = playsnd
trigger1 = !time
value = 1, 1
volumescale = 100
channel = 0

[state 900, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 900, End State]
type = changestate
trigger1 = !animtime
value = 0
ctrl = 1

;=========================================================================
; Stone Body Active
;=========================================================================
[Statedef 905]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 1

[state 905, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 905, Decrement Tough Skill Stock]
type = varadd
triggerall = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
var(52) = -(sysvar(2) / 3)

[state 905, Set Position]
type = posset
trigger1 = !time
y = 0

[state 905, Change Animation]
type = changeanim
trigger1 = anim != 905
value = 905

[state 905, Set Number Loops]
type = varset
trigger1 = !time && prevstateno != 907
var(6) = 3

[state 905, Loop Animation]
type = changeanim
triggerall = var(6) > 0
trigger1 = !animelemtime(4)
trigger1 = var(6) := var(6) - 1
value = anim
elem = 2

[state 905, Stone Body: Resistance]
type = varset
trigger1 = !time && prevstateno != 907
fvar(29) = 5

[state 905, Stone Palette]
type = remappal
trigger1 = !time && fvar(29)
source = 1, 1
dest = var(45) := (1 + (sysvar(2) > 0 && var(52) >= (sysvar(2) / 3)) + (sysvar(2) && var(52) >= sysvar(2))), cond(palno % 6 > 3, palno % 6 - 3, palno % 6 + 3) + 6 * (fvar(29) > 0)

[State 905, Blink White]
type = palfx
trigger1 = !animelemtime(2) ; && prevstateno != 907
time = 8
add = 256, 256, 256
sinadd = -256, -256, -256, 16
persistent = 0

[state 905, Voice]
type = playsnd
trigger1 = !animelemtime(2) ; && prevstateno != 907
value = 1, 0
volumescale = 100
channel = 0
persistent = 0

[state 905, Sound]
type = playsnd
trigger1 = !animelemtime(2) ; && prevstateno != 907
value = F3, 5
volumescale = 100
channel = 1
persistent = 0

[state 905, Shake]
type = envshake
trigger1 = !animelemtime(2) ; && prevstateno != 907
time = 8
ampl = 4
freq = 128
persistent = 0

[state 905, Control]
type = ctrlset
trigger1 = !animtime
value = 1

[state 905, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 6 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Super Armor Absorb Hits
;=========================================================================
[Statedef 906]
type = U
physics = U
movetype = H
movehitpersist = 1
hitcountpersist = 1

[state 906, Super Armor Specs]
type = null
triggerall = !time
trigger1 = fvar(29) := fvar(29) - 1 || 1 ; deplete super armor
trigger1 = fvar(30) := fvar(30) + 1 || 1 ; detect consectutive super armor hits
trigger1 = fvar(31) := gethitvar(hittime) + 8 || 1 ; amount of time before super armor hit is not consecutive
trigger1 = fvar(32) := animelemtime(animelemno(0)) || 1 ; animelemtime of current frame
trigger1 = fvar(33) := animelemno(-1) || 1  ; current frame

[state 906, Palette]
type = remappal
trigger1 = !time && !fvar(29)
source = 1, 1
dest = 1, cond(palno % 6 > 3, palno % 6 - 3, palno % 6 + 3)

[State 906, Freeze Animation]
type = changeanim
trigger1 = 1
value = anim
elem = cond(animelemno(0) = 1, 1, animelemno(-1))

[State 906, Blink White]
type = palfx
trigger1 = !time
time = 4
add = 256, 256, 256
sinadd = -256, -256, -256, 16

[State 906, Faux-Shake]
type = offset
trigger1 = 1
x = cond(random < 500, random % 2, -random % 2) * (gametime % 2 = 0)
y = fvar(35) + cond(random < 500, random % 2, -random % 2) * (gametime % 2 = 0)

[State 906, Set Position]
type = posset
trigger1 = statetype != A
y = 0

[State 906, Freeze Position]
type = posfreeze
trigger1 = 1
value = 1

[State 906, End]
type = changestate
trigger1 = !alive
value = 5050

[State 906, End]
type = changestate
triggerall = alive && time
trigger1 = hitshakeover || time >= 32
trigger2 = numenemy && time >= 8
trigger2 = enemynear,hitdefattr = SCA, AA && !enemynear,hitpausetime
trigger3 = fvar(30) >= 2
trigger3 = gethitvar(hitshaketime) - fvar(30) - 1 - time <= 0
value = 907

;=========================================================================
; Super Armor Anim Manager
;=========================================================================
[Statedef 907]
type = U
physics = U
movetype = H
movehitpersist = 1
hitcountpersist = 1

[state 907, Palette]
type = remappal
trigger1 = !time && !fvar(29)
source = 1, 1
dest = 1, cond(palno % 6 > 3, palno % 6 - 3, palno % 6 + 3)

[State 907, First Frame if Looping Animation]
type = changeanim
triggerall = !animelemtime(animelemno(0) + 1)
trigger1 = (anim = [20, 21]) && animelemtime(6) >= 0
trigger1 = fvar(32) >= 1
value = anim
elem = floor(1 + 0 * (fvar(32) := 0))

[State 907, First Loop Frame if Custom Looping Animation]
type = changeanim
trigger1 = stateno = 1000 && anim = 1005 
trigger1 = animelemtime(2) >= 0 && animelemtime(3) < 0
trigger1 = fvar(32) >= 1 && var(6)
value = anim
elem = floor(1 + 0 * (fvar(32) := 0))

[State 907, Next Frame if Possible]
type = changeanim
trigger1 = animelemtime(animelemno(0) + 1)
trigger1 = animelemtime(animelemno(0)) >= 0 && animelemtime(animelemno(0) + 1) < 0
value = anim
elem = floor(animelemno(0) + 1 + 0 * (fvar(32) := 0))

[State 907, Return to State]
type = changestate
trigger1 = 1
value = floor(fvar(34))
ctrl = 1

;=========================================================================
; Stone Body Passive
;=========================================================================
[Statedef 910]
type = S
movetype = I
physics = N
ctrl = 0
facep2 = 1
velset = 0, 0
sprpriority = 1

[state 910, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

[state 910, Tough Skill Stock]
type = varadd
triggerall = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 ; superpause cornerpush
sysvar(3) = sysvar(2) + 0 * (var(53) := 1)

[state 910, Set Position]
type = posset
trigger1 = !time && prevstateno != 907
y = 0

[state 910, Change Animation]
type = changeanim
trigger1 = anim != 910
value = 910

[state 910, Super Effect]
type = helper
trigger1 = !time && prevstateno != 907
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 910, Super Pause]
type = superpause
trigger1 = !time && prevstateno != 907
time = 36
movetime = (var(54) := 36)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 910, Vulnerability]
type = nothitby
trigger1 = !time && prevstateno != 907
value = SCA
time = 36

[state 910, Voice]
type = playsnd
trigger1 = !animelemtime(2)
value = 1, 0
volumescale = 100
channel = 0

[state 910, Sound]
type = playsnd
trigger1 = !animelemtime(2)
value = F3, 5
volumescale = 100
channel = 9

[state 910, Shake]
type = envshake
trigger1 = !animelemtime(2)
time = 32
ampl = 4
freq = 128

[state 910, Control]
type = ctrlset
trigger1 = time = 36 || !animelemtime(10)
value = 1

[state 910, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 10 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1

;=========================================================================
; Lying Down
;=========================================================================
[Statedef 5111]
type = L
movetype = H
physics = N

[state 5111, End State]
type = changestate
triggerall = alive
trigger1 = sysvar(0) = 5071 && animelemtime(1) >= 16 ; unqiue
trigger2 = sysvar(0) != 5071 && animelemtime(1) >= 28 ; unqiue
trigger3 = time > 128
value = 5120

[state 5111, End State]
type = changestate
trigger1 = !alive
trigger1 = !animtime || anim = [5110, 5119]
value = 5150

;=========================================================================
; Get Up
;=========================================================================
[Statedef 5120]
type = L
movetype = I
physics = N
ctrl = 0
velset = 0, 0

[state 5120, Change Animation]
type = changeanim
trigger1 = anim != 5120
value = 5120

[state 5120, Sound]
type = playsnd
trigger1 = !animelemtime(5)
value = F52, 0
volumescale = 100
channel = 4
lowpriority = 1

[state 5120, Jump Land Dust]
type = helper
triggerall = !NumHelper(60260)
triggerall = random%3=0
trigger1 = !animelemtime(5)
name = "Jump Land Dust"
ID = 60260
stateno = 6025
postype = P1
pos = 0, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 5120, Faux-Velocity]
type = offset
trigger1 = cond(!time && prevstateno != 907, fvar(35) := 0 || 1, 1)
trigger1 = cond(animelemtime(1) >= 0 && animelemtime(5) < 0, var(47) := 1, var(47) := 0)
y = fvar(35) := fvar(35) + -8.0 + (0 - (-8.0 * 18.0)) / (18.0 ** 2.0 / 2.0) * animelemtime(1)

[state 5120, State Type Set]
type = statetypeset
trigger1 = fvar(14) >= fvar(15) || var(4)
movetype = H
persistent = 0

[state 5120, State Type Set]
type = statetypeset
trigger1 = !animtime
statetype = S
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = statetype = L
value = SCA
time = 1

[state 5120, Set Hit Fall]
type = hitfallset
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = 1

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value = ,NT,ST,HT
time = 12
persistent = 0

[state 5120, Vulnerability]
type = nothitby
trigger1 = !animtime || statetype = S
trigger1 = fvar(14) < fvar(15) && !var(4)
value2 = SCA
time = 3
persistent = 0

[state 5120, Control Set]
type = ctrlset
trigger1 = statetype = S
value = 1
persistent = 0

[state 5120, Change to Dizzy State]
type = changestate
triggerall = numhelper(6002) && alive
trigger1 = fvar(14) >= fvar(15) || var(4)
trigger1 = ctrl || !animtime
trigger1 = fvar(14) := 0 || var(4) := 0 || 1
value = 5300

[state 5120, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 6 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1