; Super Fighter Team

;=========================================================================
; Comet Punch
;=========================================================================
[StateDef 3000]
type = S
movetype = A
physics = N
ctrl = 0
facep2 = 1
velset = vel x * (prevstateno = 907), vel y * (prevstateno = 907)
sprpriority = 0
movehitpersist = (prevstateno = 905)
hitcountpersist = (prevstateno = 907)

[state 3000, Super Armor State Detector]
type = varset
trigger1 = 1
fvar(34) = stateno
ignorehitpause = 1

;========================< Super Indication >========================

[state 3000, Level, Timer]
type = null
trigger1 = !time && prevstateno != 907
trigger1 = var(6) := 0 || var(7) := 0 || var(8) := 0 || 1 ; miscellaneous variables 
trigger1 = fvar(18) := 0 || fvar(19) := 0 || fvar(20) := 0 || 1 ; miscellaneous variables
trigger1 = var(9) := 4 || 1 ; level
trigger1 = fvar(1) := 0 || fvar(2) := 0 || 1 ; command buffering
trigger1 = fvar(39) := fvar(25) || fvar(25) := -1 || 1 ; superpause cornerpush

[state 3000, Set Position]
type = posset
trigger1 = !time
y = 0

[state 3000, Change Animation]
type = changeanim
trigger1 = anim != 3000
value = 3000

[state 3000, Add Power]
type = poweradd
trigger1 = !time && prevstateno != 907
value = -powermax

[state 3000, Super Effect]
type = helper
trigger1 = !time && prevstateno != 907
name = "Super Effect"
ID = 6030
stateno = 6030
postype = left
pos = 0, 4
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 2147483647
pausemovetime = 2147483647

[state 3000, Super Pause]
type = superpause
trigger1 = !time && prevstateno != 907
time = 40
movetime = (var(54) := 40)
unhittable = 1
anim = -1
sound = -1
p2defmul = 1
darken = 0

[state 3000, Super Outline]
type = explod
trigger1 = !animelemtime(1)
anim = 3005
ID = 3005
postype = P1
pos = 0, 0
bindtime = -1
sprpriority = 1
removeongethit = 1
supermovetime = 40
pausemovetime = 40
ignorehitpause = 0

[state 3000, Remap: Super Outline]
type = remappal
trigger1 = numexplod(3005)
trigger1 = animelemtime(1) % 4 = 0
source = 950, 0
dest = 950, random % 7

[state 3000, Vulnerability]
type = nothitby
trigger1 = !time && prevstateno != 907
value = SCA
time = 48

;========================< Move Functions >========================

[state 3000, Voice]
type = playsnd
trigger1 = !animelemtime(1)
value = 3000, 0
volumescale = 100
channel = 0

[state 3000, Sound]
type = playsnd
trigger1 = !animelemtime(7) || !animelemtime(11)
trigger2 = !animelemtime(14)
value = F3, 10 + !animelemtime(14)
volumescale = 100

[state 3000, Comet Streak]
type = explod
trigger1 = !animelemtime(15)
anim = 3010
ID = 3010
postype = P1
pos = 0, 0
bindtime = -1
sprpriority = 2
removeongethit = 1
ignorehitpause = 0

[state 3000, Skid Dust]
type = helper
triggerall = !NumHelper(60251)
triggerall = random%3=0
trigger1 = !animelemtime(7) || !animelemtime(11)
name = "Skid Dust"
ID = 60251
stateno = 6025
postype = P1
pos = -32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Wind Dust]
type = helper
triggerall = random%3=0
trigger1 = !animelemtime(15)
name = "Wind Dust"
ID = 60252
stateno = 6025
postype = P1
pos = 32, 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0

[state 3000, Add Position]
type = posadd
trigger1 = animelemtime(7) >= 0 && animelemtime(9) <= 0
trigger2 = animelemtime(11) >= 0 && animelemtime(13) <= 0
x = 8.0 - 0.5 * cond(animelemtime(11) >= 0, animelemtime(11), animelemtime(7))
[state 3000, Add Position]
type = posadd
trigger1 = animelemtime(9) >= 0 && animelemtime(10) <= 0
trigger2 = animelemtime(13) >= 0 && animelemtime(14) <= 0
x = -0.5
[state 3000, Add Position]
type = posadd
trigger1 = animelemtime(15) >= 0 && animelemtime(17) <= 0
x = 8.0 - 0.5 * animelemtime(15)

[state 3000, Juggle Points 1]
type = null
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
trigger1 = var(5) := 3 || var(15) := -15 || var(21) := 3000
[state 3000, Hit 1]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(8) >= 0 && animelemtime(9) < 0
ID = 0 + 0 * (var(21) := 3000)
attr = S, HA
damage = ceil(cond(24 * fvar(23) < 2, 2, 24 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0, -4.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -8.0
air.velocity = -2.0, -4.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 2]
type = null
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
trigger1 = var(5) := 3 || var(15) := 0 || var(21) := 3001
[state 3000, Hit 2]
type = hitdef
triggerall = numenemy
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(12) >= 0 && animelemtime(13) < 0
ID = 0 + 0 * (var(21) := 3001)
attr = S, HA
damage = ceil(cond(24 * fvar(23) < 2, 2, 24 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 8, 8
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 52), (var(42) := -48)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0, -6.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
guard.velocity = -8.0
air.velocity = -2.0, -6.0 + cond(p2dist y < -8, 0.05 * abs(p2dist y + 8), 0)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 12.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Juggle Points 3, 4, 5]
type = null
trigger1 = animelemtime(15) >= 0 && animelemtime(18) < 0
trigger1 = var(5) := 3 || var(15) := 15 * (animelemtime(17) >= 3) || var(21) := 3002 + (animelemtime(16) >= 0)  + (animelemtime(16) >= 3) + (animelemtime(17) >= 0) + (animelemtime(17) >= 3)
[state 3000, Hit 3, 4, 5]
type = hitdef
triggerall = var(21) != var(22) && !var(18) ; && !var(14)
trigger1 = animelemtime(15) >= 0 && animelemtime(18) < 0
ID = 0 + 0 * (var(21) := 3002 + (animelemtime(16) >= 0)  + (animelemtime(16) >= 3) + (animelemtime(17) >= 0) + (animelemtime(17) >= 3))
attr = S, HA
damage = ceil(cond(16 * fvar(23) < 2, 2, 16 * fvar(23))), 2
fall.envshake.time = var(5) ; hit/attack level
fall.envshake.phase = 8 ; hit y position
fall.envshake.ampl = 0 ; stun damage
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 4 + 12 * (animelemtime(17) >= 3), 4 + 12 * (animelemtime(17) >= 3)
hitsound = -1 + 0 * (var(11) := 2)
guardsound = -1 + 0 * (var(12) := 10)
sparkno = -1 + 0 * (var(39) := 205)
guard.sparkno = -1 + 0 * (var(40) := 210)
sparkxy = (var(41) := 44), (var(42) := -102)
animtype = hard
ground.type = low
air.animtype = back
air.type = low
ground.slidetime = 12
ground.hittime = 22
guard.slidetime = 12
guard.hittime = 18
air.hittime = 0
ground.velocity = -2.0 - 4.0 * (animelemtime(17) >= 3), -3.0 - 5.0 * (animelemtime(17) >= 3)
guard.velocity = -8.0
air.velocity = -2.0 - 4.0 * (animelemtime(17) >= 3), -3.0 - 5.0 * (animelemtime(17) >= 3)
airguard.velocity = -4.0, -4.0
ground.cornerpush.veloff = 0.0 * (fvar(26) := 8.0)
guard.cornerpush.veloff = 0.0
yaccel = 0.5
getpower = 0, 0
givepower = 0 * (p2stateno != 5300), 0 * (p2stateno != 5300)
envshake.time = 4
envshake.ampl = 6
envshake.freq = 128
fall = 1
air.fall = 1
fall.recover = 0
fall.recovertime = 0
fall.animtype = back
forcestand = 1
forcenofall = 0

[state 3000, Idle]
type = statetypeset
trigger1 = animelemtime(18) >= 0
movetype = I
persistent = 0

[state 3000, Control]
type = ctrlset
trigger1 = !animtime
value = 1
persistent = 0

[state 3000, End State]
type = changestate
trigger1 = !animtime
trigger2 = fvar(33) = 20 && prevstateno = 907
trigger2 = animelemtime(floor(fvar(33))) >= 0
value = 0
ctrl = 1